<?php



	Kirki::add_panel( 'cl_general', array(
	    'priority'    => 10,
	    'type' => '',
	    'title'       => __( 'General', 'mediclin' ),
	    'tooltip' => __( 'All General Options of theme', 'mediclin' ),
	) );




	/* General */
	Kirki::add_section( 'cl_general_options', array(
	    'title'          => __( 'Site Options', 'mediclin' ),
	    'description'    => __( 'Some options about responsive, favicon and other theme features.', 'mediclin' ),
	    'panel'          => 'cl_general',
	    'type'           => '',
	    'priority'       => 160,
	    'capability'     => 'edit_theme_options'
	) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'responsive_layout',
			'label'    => __( 'Responsive Layout', 'mediclin' ),
			'tooltip' => __( 'Turn On / Off Responsive functionalities', 'mediclin' ),
			'section'  => 'cl_general_options',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'transport' => 'postMessage',
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );




		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'nicescroll',
			'label'    => __( 'Smooth scroll', 'mediclin' ),
			'tooltip' => __('Active smoothscroll over pages to make scrolling more fluid to create better user experience', 'mediclin' ),
			'section'  => 'cl_general_options',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'transport' => 'postMessage',
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'favicon',
			'label'    => __( 'Favicon', 'mediclin' ),
			'tooltip' => __( 'Upload favion for website', 'mediclin' ),
			'section'  => 'cl_general_options',
			'type'     => 'image',
			'default' => '',
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'page_comments',
			'label'    => __( 'Page Comments', 'mediclin' ),
			'description'    => __( 'Enable this option to active comments in normal pages.', 'mediclin' ),
			'section'  => 'cl_general_options',
			'type'     => 'switch',
			'priority' => 10,
			'transport' => 'postMessage',
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'jpeg_quality',
			'label'    => __( 'JPEG Quality', 'mediclin' ),
			'section'  => 'cl_general_transitions',
			'type'     => 'slider',
			'priority' => 10,
			'default'  => 82,
			'choices'     => array(
				'min' => '0',
				'max' => '100',
				'step' => '1'
			),
			
			'required'    => array(
				array(
					'setting'  => 'codeless_page_transition',
					'operator' => '==',
					'value'    => 1,
				),
			),
		) );

		/*Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'theme_disabled_vc',
			'label'    => __( 'VC Theme-Disabled Features', 'mediclin' ),
			'description'    => __( 'By enable this, all features and elements that are disabled should be enable again.', 'mediclin' ),
			'section'  => 'cl_general_options',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );*/

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'back_to_top',
			'label'    => __( 'Back To Top', 'mediclin' ),
			'description'    => __( 'Enable this option to show the "Back to Top" button on site', 'mediclin' ),
			'section'  => 'cl_general_options',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'Show', 'mediclin' ),
				0 => esc_attr__( 'Hide', 'mediclin' ),
			),
			'transport' => 'postMessage'
		) );

		

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'textarea',
			'settings'    => '404_error_message',
			'label'       => esc_attr__( '404 Error Message', 'mediclin' ),
			'section'     => 'cl_general_options',
			'default'     => __('It looks like nothing was found at this location. Maybe try a search?', 'mediclin' ),
			'priority'    => 10,
			
			'required'    => array(
				array(
					'setting'  => 'logo_type',
					'operator' => '==',
					'value'    => 'font',
				),
			),
			'transport' => 'postMessage'
		) );






	

		

	/* Page Transitions */
	Kirki::add_section( 'cl_general_transitions', array(
	    'title'          => __( 'Page Transitions', 'mediclin' ),
	    'description'    => __( 'Options to enable page transitions with various effects', 'mediclin' ),
	    'panel'          => 'cl_general',
	    'priority'       => 160,
	    'type'			 => '',
	    'capability'     => 'edit_theme_options'
	) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'codeless_page_transition',
			'label'    => __( 'On/Off Page Transitions', 'mediclin' ),
			'section'  => 'cl_general_transitions',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'page_transition_in',
			'label'       => __( 'Page Transition In Effect', 'mediclin' ),
			'section'     => 'cl_general_transitions',
			'default'     => 'fade-in',
			'priority'    => 10,
			'multiple'    => 1,
			'choices'     => array(
				'fade-in' => 'fade-in',
                'fade-in-up-sm' => 'fade-in-up-sm',
                'fade-in-up' => 'fade-in-up',
                'fade-in-up-lg' => 'fade-in-up-lg',
                'fade-in-down-sm' => 'fade-in-down-sm',
                'fade-in-down-lg' => 'fade-in-down-lg',
                'fade-in-down' => 'fade-in-down',
                'fade-in-left-sm' => 'fade-in-left-sm',
                'fade-in-left' => 'fade-in-left',
                'fade-in-left-lg' => 'fade-in-left-lg',
                'fade-in-right-sm' => 'fade-in-right-sm',
                'fade-in-right' => 'fade-in-right',
                'fade-in-right-lg' => 'fade-in-right-lg',
			),
			
			'required'    => array(
				array(
					'setting'  => 'codeless_page_transition',
					'operator' => '==',
					'value'    => 1,
				),
			),
		) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'page_transition_in_duration',
			'label'    => __( 'Page Transition In Duration', 'mediclin' ),
			'section'  => 'cl_general_transitions',
			'type'     => 'slider',
			'priority' => 10,
			'default'  => 1000,
			'choices'     => array(
				'min' => '0',
				'max' => '10000',
				'step' => '50'
			),
			
			'required'    => array(
				array(
					'setting'  => 'codeless_page_transition',
					'operator' => '==',
					'value'    => 1,
				),
			),
		) );


		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'page_transition_out',
			'label'       => __( 'Page Transition Out Effect', 'mediclin' ),
			'section'     => 'cl_general_transitions',
			'default'     => 'fade-out',
			'priority'    => 10,
			'multiple'    => 1,
			'choices'     => array(
				'fade-out' => 'fade-out',
                'fade-out-up-sm' => 'fade-out-up-sm',
                'fade-out-up' => 'fade-out-up',
                'fade-outout-up-lg' => 'fade-out-up-lg',
                'fade-out-down-sm' => 'fade-out-down-sm',
                'fade-out-down-lg' => 'fade-out-down-lg',
                'fade-out-down' => 'fade-out-down',
                'fade-out-left-sm' => 'fade-out-left-sm',
                'fade-out-left' => 'fade-out-left',
                'fade-out-left-lg' => 'fade-out-left-lg',
                'fade-out-right-sm' => 'fade-out-right-sm',
                'fade-out-right' => 'fade-out-right',
                'fade-out-right-lg' => 'fade-out-right-lg',
			),
			
			'required'    => array(
				array(
					'setting'  => 'codeless_page_transition',
					'operator' => '==',
					'value'    => 1,
				),
			),
		));

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'page_transition_out_duration',
			'label'    => __( 'Page Transition Out Duration', 'mediclin' ),
			'section'  => 'cl_general_transitions',
			'type'     => 'slider',
			'priority' => 10,
			'default'  => 1000,
			'choices'     => array(
				'min' => '0',
				'max' => '10000',
				'step' => '50'
			),
			
			'required'    => array(
				array(
					'setting'  => 'codeless_page_transition',
					'operator' => '==',
					'value'    => 1,
				),
			),
		) );




	/* Custom Codes */
	Kirki::add_section( 'cl_general_custom_codes', array(
	    'title'          => __( 'Custom Codes', 'mediclin' ),
	    'description'    => __( 'HTML, JS, CSS custom codes. Add Google Analytics or anything else.', 'mediclin' ),
	    'panel'          => 'cl_general',
	    'priority'       => 160,
	    'type'			 => '',
	    'capability'     => 'edit_theme_options'
	) );


		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'code',
			'settings'    => 'custom_css',
			'label'       => __( 'Custom CSS', 'mediclin' ),
			'section'     => 'cl_general_custom_codes',
			'default'     => '',
			'priority'    => 10,
			'choices'     => array(
				'language' => 'css',
				'theme'    => 'monokai',
				'height'   => 250,
			),
			'transport' => 'postMessage'
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'code',
			'settings'    => 'custom_html',
			'label'       => __( 'Custom HTML', 'mediclin' ),
			'section'     => 'cl_general_custom_codes',
			'default'     => '',
			'priority'    => 10,
			'choices'     => array(
				'language' => 'html',
				'theme'    => 'monokai',
				'height'   => 250,
			),
			'transport' => 'postMessage'
		) );


	/* Custom Codes */
	Kirki::add_section( 'cl_general_lightbox', array(
	    'title'          => __( 'Lightbox', 'mediclin' ),
	    'description'    => __( 'Lightbox Options', 'mediclin' ),
	    'panel'          => 'cl_general',
	    'priority'       => 160,
	    'type'			 => '',
	    'capability'     => 'edit_theme_options'
	) );
		

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'lightbox_skin',
			'label'       => __( 'Lightbox Skin', 'mediclin' ),
			'section'     => 'cl_general_lightbox',
			'default'     => 'dark',
			'priority'    => 10,
			'multiple'    => 1,
			'choices'     => array(
				'dark' => 'Dark',
				'light' => 'Light',
				'parade' => 'Parade',
				'smooth' => 'Smooth',
				'metro-black' => 'Metro-Black',
				'metro-white' => 'Metro-White',
				'mac' => 'Mac'
			),
		
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'lightbox_path',
			'label'       => __( 'Lightbox Path', 'mediclin' ),
			'section'     => 'cl_general_lightbox',
			'default'     => 'vertical',
			'priority'    => 10,
			'multiple'    => 1,
			'choices'     => array(
				'vertical' => 'Vertical',
				'horizontal' => 'Horizontal',
			),
		
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_mousewheel',
			'label'    => __( 'Lightbox Mousewheel', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_toolbar',
			'label'    => __( 'Lightbox Toolbar', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_arrows',
			'label'    => __( 'Lightbox Arrows', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_slideshow',
			'label'    => __( 'Lightbox Slideshow', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_fullscreen',
			'label'    => __( 'Lightbox Fullscreen', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_thumbnail',
			'label'    => __( 'Lightbox Thumbnail', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_swipe',
			'label'    => __( 'Lightbox Swipe', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'lightbox_contextmenu',
			'label'    => __( 'Lightbox Context Menu (Right click on image)', 'mediclin' ),
			'section'  => 'cl_general_lightbox',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'Enable', 'mediclin' ),
				0 => esc_attr__( 'Disable', 'mediclin' ),
			),
		) );

		
		global $cl_theme_mod_defaults;
		/*Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'codelessheader',
			'settings'    => 'header_builder',
			'label'       => __( 'Header Builder', 'mediclin' ),
			'section'     => 'cl_general_custom_codes',
			'default'     => $cl_theme_mod_defaults['header_builder'],
			'priority'    => 10,
			'choices'     => array(
				'language' => 'html',
				'theme'    => 'monokai',
				'height'   => 250,
			),
			'transport' => 'postMessage'
	
			
		) );*/
		
		
		

		





?>