<?php

/* Header Options ---------------------------------------- */


Kirki::add_panel('cl_header', array(
	'priority' => 10,
	'type' => '',
	'title' => __('Header', 'mediclin') ,
	'tooltip' => __('All Header Options', 'mediclin') ,
));



/* -------------------- Layout --------------------- */

Kirki::add_section('cl_header_general', array(
	'title' => __('Layout', 'mediclin') ,
	'tooltip' => __('General Header Layout, global header options', 'mediclin') ,
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_container',
	'label' => __('Header Stretch', 'mediclin') ,
	'section' => 'cl_header_general',
	'type' => 'select',
	'default' => 'container',
	'priority' => 10,
	'choices' => array(
		'container' => esc_attr__('Into Container', 'mediclin') ,
		'container-fluid' => esc_attr__('Fullwidth', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_layout',
	'label' => __('Header Layout', 'mediclin') ,
	'tooltip' => __('Select type of header to use', 'mediclin') ,
	'section' => 'cl_header_general',
	'type' => 'select',
	'default' => 'top',
	'priority' => 10,
	'choices' => array(
		'top' => esc_attr__('Top', 'mediclin') ,
		'left' => esc_attr__('Left', 'mediclin') ,
		'right' => esc_attr__('Right', 'mediclin') ,
		'bottom' => esc_attr__('Bottom', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_position_left',
	'label' => __('Logo Position', 'mediclin') ,
	'tooltip' => __('Select the position (alignment) of logo', 'mediclin') ,
	'section' => 'cl_header_general',
	'type' => 'select',
	'default' => 'center',
	'priority' => 10,
	'choices' => array(
		'flex-start' => 'Left',
		'center' => 'Center',
		'flex-end' => 'Right',
	) ,
	'required' => array(
		array(
			'setting' => 'header_layout',
			'operator' => '==',
			'value' => array(
				'left',
				'right'
			) ,
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.cl-h-cl_header_logo',
			'property' => 'justify-content'
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_forced_center',
	'label' => __('Force Center, Middle Column', 'mediclin') ,
	'tooltip' => __('Switch On to force the middle column of the main Header Row to be centered.', 'mediclin') ,
	'section' => 'cl_header_general',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_boxed',
	'label' => __('Boxed (Outter) Header', 'mediclin') ,
	'section' => 'cl_header_general',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage'
));


Kirki::add_field('cl_mediclin', array(
	'type'        => 'sortable',
	'settings'    => 'header_columns_responsive_order',
	'label'       => __( 'Order Responsive Header Columns for Main Row', 'mediclin' ),
	'section'     => 'cl_header_general',
	'default'     => array(
		'left',
		'middle',
		'right'
	),
	'choices'     => array(
		'left' => esc_attr__( 'Left Column', 'mediclin' ),
		'middle' => esc_attr__( 'Middle Column', 'mediclin' ),
		'right' => esc_attr__( 'Right Column', 'mediclin' )
	),
	'priority'    => 10,
));




/* -------------------------- Logo ----------------------------- */

Kirki::add_section('cl_header_logo', array(
	'title' => __('Logo', 'mediclin') ,
	'tooltip' => __('Logo Options', 'mediclin') ,
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_type',
	'label' => __('Logo Type', 'mediclin') ,
	'tooltip' => __('Select font or image logo type', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'select',
	'default' => 'image',
	'priority' => 10,
	'into_group' => true,
	'choices' => array(
		'font' => esc_attr__('Font Logo', 'mediclin') ,
		'image' => esc_attr__('Image Logo', 'mediclin')
	) ,
	'transport' => 'postMessage',
	'partial_refresh' => array(
		'logo_refresh_type' => array(
			'selector' => '#logo',
			'container_inclusive' => true,
			'render_callback' =>
			function ()
				{
				echo codeless_load_header_element('cl_header_logo');
				}

			,
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo',
	'label' => __('Default Logo', 'mediclin') ,
	'tooltip' => __('Upload here the logo that is placed in top of the page', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'image',
	'priority' => 10,
	'default' => get_template_directory_uri() . '/img/logo.png',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'postMessage',
	'partial_refresh' => array(
		'logo_refresh_default' => array(
			'selector' => '#logo',
			'container_inclusive' => true,
			'render_callback' =>
			function ()
				{
				echo codeless_load_header_element('cl_header_logo');
				}

			,
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_light',
	'label' => __('Logo Light', 'mediclin') ,
	'tooltip' => __('Upload logo that will be shown on dark baackground or header', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'image',
	'priority' => 10,
	'default' => get_template_directory_uri() . '/img/logo_light.png',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'postMessage',
	'partial_refresh' => array(
		'logo_refresh_light' => array(
			'selector' => '#logo',
			'container_inclusive' => true,
			'render_callback' =>
			function ()
				{
				echo codeless_load_header_element('cl_header_logo');
				}

			,
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_height',
	'label' => __('Logo Height', 'mediclin') ,
	'tooltip' => __('Define the Height of your logo', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'number',
	'priority' => 10,
	'default' => 20,
	'choices' => array(
		'min' => 10,
		'max' => 300,
		'step' => 1,
	) ,
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '#logo img',
			'units' => 'px',
			'property' => 'height'
		)
	) ,
	'js_vars' => array(
		array(
			'suffix' => '!important'
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_responsive_div',
	'label' => __('Logo Responsive', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'groupdivider',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_responsive',
	'label' => __('Logo Responsive', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'grouptitle',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_iphone',
	'label' => __('Logo Additional in iPhone', 'mediclin') ,
	'tooltip' => __('Upload logo that will be shown only on iPhone', 'mediclin') ,
	'section' => 'cl_header_logo',
	'into_group' => true,
	'type' => 'image',
	'priority' => 10,
	'default' => '',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_ipad',
	'label' => __('Logo Additional in iPad', 'mediclin') ,
	'tooltip' => __('Upload logo that will be shown only on iPad', 'mediclin') ,
	'section' => 'cl_header_logo',
	'into_group' => true,
	'type' => 'image',
	'priority' => 10,
	'default' => '',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_height_ipad',
	'label' => __('Logo Height (iPad)', 'mediclin') ,
	'tooltip' => __('Define the Height of your logo in iPad', 'mediclin') ,
	'section' => 'cl_header_logo',
	'into_group' => true,
	'type' => 'number',
	'priority' => 10,
	'default' => 37,
	'choices' => array(
		'min' => 1,
		'max' => 100,
		'step' => 1,
	) ,
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
	'output' => array(
		array(
			'element' => '#logo img',
			'units' => 'px',
			'property' => 'height',
			'media_query' => '@media (max-width: 991px)'
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_height_iphone',
	'label' => __('Logo Height (iPhone)', 'mediclin') ,
	'tooltip' => __('Define the Height of your logo in iPhone', 'mediclin') ,
	'section' => 'cl_header_logo',
	'into_group' => true,
	'type' => 'number',
	'priority' => 10,
	'default' => 37,
	'choices' => array(
		'min' => 1,
		'max' => 100,
		'step' => 1,
	) ,
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'image',
			'transport' => 'postMessage'
		) ,
	) ,
	'output' => array(
		array(
			'element' => '#logo img',
			'units' => 'px',
			'property' => 'height',
			'media_query' => '@media (max-width: 480px)'
		)
	)
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'text',
	'settings' => 'logo_font_text',
	'label' => esc_attr__('Logo Font', 'mediclin') ,
	'section' => 'cl_header_logo',
	'default' => 'Mediclin',
	'priority' => 10,
	'into_group' => true,
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'font',
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'typography',
	'settings' => 'logo_font',
	'label' => esc_attr__('Logo Font Typography', 'mediclin') ,
	'section' => 'cl_header_logo',
	'into_group' => true,
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '28px',
		'line-height' => '',
		'letter-spacing' => '-1',
		'subsets' => array(
			'latin-ext'
		) ,
		'color' => '#222',
		'text-transform' => 'lowercase',
		'text-align' => 'left'
	) ,
	'priority' => 10,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => codeless_dynamic_css_register_tags('logo_font')
		) ,
	) ,
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'font',
			'transport' => 'postMessage'
		) ,
	) ,
));


Kirki::add_field('cl_mediclin', array(
	'settings' => 'logo_font_responsive_color',
	'label' => __('Logo Font Responsive Color', 'mediclin') ,
	'section' => 'cl_header_logo',
	'type' => 'select',
	'default' => 'dark',
	'priority' => 10,
	'choices' => array(
		'light' => esc_attr__('Light', 'mediclin') ,
		'dark' => esc_attr__('Dark', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
	'required' => array(
		array(
			'setting' => 'logo_type',
			'operator' => '==',
			'value' => 'font',
			'transport' => 'postMessage'
		) ,
	) ,
));



/* --------------------- MENU ------------------------------*/

Kirki::add_section('cl_header_menu', array(
	'title' => __('Menu Style', 'mediclin') ,
	'tooltip' => '',
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_menu_style',
	'label' => 'Main Menu Style',
	'tooltip' => 'Select the Main Navigation Items Style',
	'default' => 'border_bottom',
	'choices' => array(
		'simple' => 'Simple',
		'border_top' => 'Border Top',
		'border_bottom' => 'Border Bottom',
		'border_left' => 'Border Left',
		'border_right' => 'Border Right',
		'border_effect' => 'Border Effect',
		'border_effect_two' => 'Border Effect 2',
		'background_color' => 'Background Color'
	) ,
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'transport' => 'postMessage'
));


Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_space_menu',
	'label' => 'Space between Menu Items',
	'default' => 13,
	'choices' => array(
		'min' => '0',
		'max' => '40',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container.header-top nav > ul > li, .header_container.header-bottom nav > ul > li',
			'units' => 'px',
			'property' => 'padding-left',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-top nav > ul > li, .header_container.header-bottom nav > ul > li',
			'units' => 'px',
			'property' => 'padding-right',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-left nav > ul > li, .header_container.header-right nav > ul > li, .vertical-menu nav > ul > li',
			'units' => 'px',
			'property' => 'padding-top',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-left nav > ul > li, .header_container.header-right nav > ul > li, .vertical-menu nav > ul > li',
			'units' => 'px',
			'property' => 'padding-bottom',
			'media_query' => '@media (min-width: 992px)'
		)
	) ,
));



Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_menu_border_style',
	'label' => 'Border Style',
	'default' => 'solid',
	'choices' => array(
		'solid' => 'solid',
		'dotted' => 'dotted',
		'dashed' => 'dashed',
		'double' => 'double',
		'groove' => 'groove',
		'ridge' => 'ridge',
		'inset' => 'inset',
		'outset' => 'outset',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'output' => array(
		array(
			'element' => codeless_dynamic_css_register_tags('header_menu_border_style') ,
			'property' => 'border-style'
		)
	) ,
	'required' => array(
		array(
			'setting' => 'header_menu_style',
			'operator' => '==',
			'value' => array(
				'border_top',
				'border_bottom',
				'border_left',
				'border_right'
			) ,
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_menu_border_width',
	'label' => 'Border Width',
	'default' => 1,
	'choices' => array(
		'min' => '0',
		'max' => '10',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'transport' => 'postMessage',
	'required' => array(
		array(
			'setting' => 'header_menu_style',
			'operator' => '==',
			'value' => array(
				'border_top',
				'border_bottom',
				'border_left',
				'border_right'
			) ,
			'transport' => 'postMessage'
		) ,
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_menu_style_full',
	'label' => __('Style over full item', 'mediclin') ,
	'tooltip' => __('Switch on if you want to apply the style over full menu item or switch off if you want only text to take the style.', 'mediclin') ,
	'section' => 'cl_header_menu',
	'type' => 'switch',
	'priority' => 10,
	'default' => 1,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
	'required' => array(
		array(
			'setting' => 'header_menu_style',
			'operator' => '==',
			'value' => array(
				'border_top',
				'border_bottom',
				'border_left',
				'border_right',
				'background_color'
			) ,
			'transport' => 'postMessage'
		) ,
	) ,
));

Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'divider_menu_active',
		   'label'    => '',
		   'section'  => 'cl_header_menu',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'title_menu_active',
		   'label'    => __( 'Hover & Active Item Styles', 'mediclin' ),
		   'section'  => 'cl_header_menu',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
) );

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_menu_border_color',
	'label' => 'Menu Item Active Border Color',
	'tooltip' => 'Border color on menu item hover. Used on menu styles with borders only.',
	'default' => '#4cd4ca',
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => codeless_dynamic_css_register_tags('header_menu_border_color'),
			'property' => 'border-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_menu_background_color',
	'label' => 'Menu Item Active BG Color',
	'tooltip' => 'BG color on menu item hover. Used on menu styles with background only.',
	'default' => '#222',
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => codeless_dynamic_css_register_tags('header_menu_background_color'),
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_menu_font_color',
	'label' => 'Menu Item Active Font Color',
	'tooltip' => 'Font color on menu item hover. Used on menu styles with background only.',
	'default' => '#222',
	'inline_control' => true,
	'section' => 'cl_header_menu',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => codeless_dynamic_css_register_tags('header_menu_font_color'),
			'property' => 'color',
			'suffix' => '!important'
		)
	) ,
	'transport' => 'auto'
));






Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'divider_menu_main',
		   'label'    => '',
		   'section'  => 'cl_header_menu',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'title_menu_main',
		   'label'    => __( 'Main Menu Typography', 'mediclin' ),
		   'section'  => 'cl_header_menu',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
) );



Kirki::add_field('cl_mediclin', array(
	'type' => 'typography',
	'settings' => 'menu_font',
	'label' => esc_attr__('Menu Typography', 'mediclin') ,
	'section' => 'cl_header_menu',
	'into_group' => true,
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '500',
		'font-size' => '14px',
		'line-height' => '20px',
		'letter-spacing' => '0.5px',
		'color' => '#696969',
		'text-align' => 'center',
		'text-transform' => 'none',
	) ,
	'priority' => 10,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => codeless_dynamic_css_register_tags('menu_font')
		) ,
	) ,
));


Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'divider_menu_dropdown',
		   'label'    => '',
		   'section'  => 'cl_header_menu',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'title_menu_dropdown',
		   'label'    => __( 'Dropdown Typography', 'mediclin' ),
		   'section'  => 'cl_header_menu',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
) );


Kirki::add_field('cl_mediclin', array(
	'type' => 'typography',
	'settings' => 'dropdown_hassubmenu_item',
	'label' => esc_attr__('Dropdown Items with submenu typography', 'mediclin'),
	'tooltip' => esc_attr__('Except Main Navigation Items', 'mediclin'),
	'section' => 'cl_header_menu',
	'into_group' => true,
	'default' => array(
		'variant' => '500',
		'font-size' => '14px',
		'line-height' => '22.5px',
		'letter-spacing' => '0px',
		'color' => '#748494',
		'text-transform' => 'Capitalize',
	) ,
	'priority' => 10,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => 'nav .codeless_custom_menu_mega_menu h6, nav .menu li ul.sub-menu li.hasSubMenu > a'
		) ,
	) ,
));
Kirki::add_field('cl_mediclin', array(
	'type' => 'typography',
	'settings' => 'dropdown_item_typography',
	'label' => esc_attr__('Dropdown Items typography', 'mediclin') ,
	'tooltip' => esc_attr( 'All other items without Submenu, Except Main Navigation Items.', 'mediclin' ),
	'section' => 'cl_header_menu',
	'into_group' => true,
	'default' => array(
		'font-size' => '14px',
		'line-height' => '22.5px',
		'variant' => '500',
		'letter-spacing' => '0px',
		'color' => '#748494',
		'text-transform' => 'none',
	) ,
	'priority' => 10,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => 'nav .menu li ul.sub-menu li a, .cl-submenu a, .cl-submenu .empty, .tool .header_cart .total'
		) ,
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_mobile_menu_hamburger_color',
	'label' => __('Mobile Menu Hamburger Color', 'mediclin') ,
	'section' => 'cl_header_menu',
	'type' => 'select',
	'default' => 'dark',
	'priority' => 10,
	'choices' => array(
		'light' => esc_attr__('Light', 'mediclin') ,
		'dark' => esc_attr__('Dark', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
));


/* ---------------------- MAIN ROW ----------------------------- */

Kirki::add_section('cl_header_main', array(
	'title' => __('Main Header Row', 'mediclin') ,
	'tooltip' => '',
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_design',
	'label' => __('Header Box Design', 'mediclin') ,
	'section' => 'cl_header_main',
	'type' => 'css_tool',
	'default' => array(
		'border-bottom-width' => '1px'
	) ,
	'into_group' => true,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_space_el',
	'label' => 'Space between elements',
	'default' => 60,
	'choices' => array(
		'min' => '0',
		'max' => '80',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_main',
	'output' => array(
		array(
			'element' => '.header_container.header-left > .main .header-el, .header_container.header-right > .main .header-el',
			'units' => 'px',
			'property' => 'margin-bottom',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-top > .main .header-el, .header_container.header-bottom > .main .header-el',
			'units' => 'px',
			'property' => 'margin-right',
			'media_query' => '@media (min-width: 992px)'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_width',
	'label' => 'Header Width',
	'default' => 260,
	'choices' => array(
		'min' => '100',
		'max' => '700',
		'step' => '5',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_main',
	'required' => array(
		array(
			'setting' => 'header_layout',
			'operator' => '==',
			'value' => array(
				'left',
				'right'
			) ,
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'postMessage'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_height',
	'label' => 'Header Height',
	'tooltip' => 'Works on Top, Bottom Layouts or when outter boxed header is actived',
	'default' => 100,
	'choices' => array(
		'min' => '30',
		'max' => '600',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_main',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container.header-top > .main, .header_container.header-bottom > .main',
			'units' => 'px',
			'property' => 'height',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-top > .main, .header_container.header-bottom > .main',
			'units' => 'px',
			'property' => 'line-height',
			'media_query' => '@media (min-width: 992px)'
		)
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_divider',
	'label' => __('Design Options', 'mediclin') ,
	'section' => 'cl_header_main',
	'type' => 'groupdivider',
	'into_group' => true,
));


Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_ti',
	'label' => __('Background', 'mediclin') ,
	'section' => 'cl_header_main',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_bg_color',
	'label' => 'Background Color',
	'default' => '#fff',
	'inline_control' => true,
	'section' => 'cl_header_main',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container > .main, .header_container.header-left, .heaer_container.header-right',
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'image',
	'label' => 'Background Image',
	'settings' => 'header_bg_image',
	'default' => '',
	'inline_control' => true,
	'section' => 'cl_header_main',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container > .main',
			'property' => 'background-image'
		)
	),
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_bg_pos',
	'label' => 'Background Position',
	'default' => 'left top',
	'choices' => array(
		'left top' => 'left top',
		'left center' => 'left center',
		'left bottom' => 'left bottom',
		'right top' => 'right top',
		'right center' => 'right center',
		'right bottom' => 'right bottom',
		'center top' => 'center top',
		'center center' => 'center center',
		'center bottom' => 'center bottom',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_main',
	'output' => array(
		array(
			'element' => '.header_container > .main',
			'property' => 'background-position'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_bg_repeat',
	'label' => 'Background Repeat',
	'default' => 'no-repeat',
	'choices' => array(
		'repeat' => 'repeat',
		'repeat-x' => 'repeat-x',
		'repeat-y' => 'repeat-y',
		'no-repeat' => 'no-repeat'
	) ,
	'inline_control' => true,
	'section' => 'cl_header_main',
	'output' => array(
		array(
			'element' => '.header_container > .main',
			'property' => 'background-repeat'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_border_divider',
	'label' => __('Design Options', 'mediclin') ,
	'section' => 'cl_header_main',
	'type' => 'groupdivider',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_border_ti',
	'label' => __('Border', 'mediclin') ,
	'section' => 'cl_header_main',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_border_style',
	'label' => 'Border Style',
	'default' => 'solid',
	'choices' => array(
		'solid' => 'solid',
		'dotted' => 'dotted',
		'dashed' => 'dashed',
		'double' => 'double',
		'groove' => 'groove',
		'ridge' => 'ridge',
		'inset' => 'inset',
		'outset' => 'outset',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_main',
	'output' => array(
		array(
			'element' => '.header_container > .main',
			'property' => 'border-style'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_border_color',
	'label' => 'Border Color',
	'default' => '#e7e7e7',
	'inline_control' => true,
	'section' => 'cl_header_main',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container > .main',
			'property' => 'border-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_shadow',
	'label' => __('Add Shadow', 'mediclin') ,
	'tooltip' => __('Not only border, but add a light shadow that will look awesome on white pages', 'mediclin') ,
	'section' => 'cl_header_main',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage'
));



/* ----------------------------- Top Nav --------------------------------------- */
Kirki::add_section('cl_header_top_row', array(
	'title' => __('Top Navigation Row', 'mediclin') ,
	'tooltip' => '',
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_top_nav',
	'label' => __('Top Header Row', 'mediclin') ,
	'tooltip' => __('Switch on to active Top Header Navigation Row, than you can add elements.', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'refresh'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_top_nav_sticky',
	'label' => __('Show on sticky', 'mediclin') ,
	'tooltip' => __('Switch on to active Top Header Navigation Row on sticky', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'required' => array(
		array(
			'setting' => 'header_sticky',
			'operator' => '==',
			'value' => true,
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'refresh'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_design_top',
	'label' => __('Header Box Design', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'css_tool',
	'default' => array(
		'border-bottom-width' => '0px'
	) ,
	'into_group' => true,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_space_el_top',
	'label' => 'Space between elements',
	'default' => 26,
	'choices' => array(
		'min' => '0',
		'max' => '80',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'output' => array(
		array(
			'element' => '.header_container.header-left > .top_nav .header-el, .header_container.header-right > .top_nav .header-el',
			'units' => 'px',
			'property' => 'margin-bottom',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-top > .top_nav .header-el, .header_container.header-bottom > .top_nav .header-el',
			'units' => 'px',
			'property' => 'margin-right',
			'media_query' => '@media (min-width: 992px)'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_height_top',
	'label' => 'Height',
	'tooltip' => 'Works on Top, Bottom Layouts or when outter boxed header is actived',
	'default' => 45,
	'choices' => array(
		'min' => '30',
		'max' => '600',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container.header-top > .top_nav, .header_container.header-bottom > .top_nav',
			'units' => 'px',
			'property' => 'height',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-top > .top_nav, .header_container.header-bottom > .top_nav',
			'units' => 'px',
			'property' => 'line-height',
			'media_query' => '@media (min-width: 992px)'
		)
	) ,
));


Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_typography_divider_top',
	'label' => __('Typography', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'groupdivider',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_typography_top',
	'label' => __('Typography', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_overwrite_typography',
	'label' => __('Overwrite Default Typography', 'mediclin') ,
	'tooltip' => __('Switch on to active custom typography for top navigation', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'switch',
	'default' => 1,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'typography',
	'settings' => 'header_top_typography',
	'label' => 'Typography Style',
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'default'     => array(
		'font-family'    => 'Poppins',
		'letter-spacing' => '0',
		'font-weight' => '400',
		'text-transform' => 'none',
		'font-size' => '15px',
		'color' => '#fff'
	),
	'priority'    => 10,
	'transport' => 'auto',
	'output'      => array(
		array(
			'element' => codeless_dynamic_css_register_tags('header_top_typography'),
		),

	),
	'required' => array(
		array(
			'setting' => 'header_overwrite_typography',
			'operator' => '==',
			'value' => true,
			'transport' => 'postMessage'
		) ,
	)
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_divider_top',
	'label' => __('Design Options', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'groupdivider',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_ti_top',
	'label' => __('Background', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_bg_color_top',
	'label' => 'Background Color',
	'default' => '#5371c6',
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container > .top_nav',
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'image',
	'label' => 'Background Image',
	'settings' => 'header_bg_image_top',
	'default' => '',
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container > .top_nav',
			'property' => 'background-image'
		)
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_bg_pos_top',
	'label' => 'Background Position',
	'default' => 'left top',
	'choices' => array(
		'left top' => 'left top',
		'left center' => 'left center',
		'left bottom' => 'left bottom',
		'right top' => 'right top',
		'right center' => 'right center',
		'right bottom' => 'right bottom',
		'center top' => 'center top',
		'center center' => 'center center',
		'center bottom' => 'center bottom',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'output' => array(
		array(
			'element' => '.header_container > .top_nav',
			'property' => 'background-position'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_bg_repeat_top',
	'label' => 'Background Repeat',
	'default' => 'no-repeat',
	'choices' => array(
		'repeat' => 'repeat',
		'repeat-x' => 'repeat-x',
		'repeat-y' => 'repeat-y',
		'no-repeat' => 'no-repeat'
	) ,
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'output' => array(
		array(
			'element' => '.header_container > .top_nav',
			'property' => 'background-repeat'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_border_divider_top',
	'label' => __('Design Options', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'groupdivider',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_border_ti_top',
	'label' => __('Border', 'mediclin') ,
	'section' => 'cl_header_top_row',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_border_style_top',
	'label' => 'Border Style',
	'default' => 'solid',
	'choices' => array(
		'solid' => 'solid',
		'dotted' => 'dotted',
		'dashed' => 'dashed',
		'double' => 'double',
		'groove' => 'groove',
		'ridge' => 'ridge',
		'inset' => 'inset',
		'outset' => 'outset',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'output' => array(
		array(
			'element' => '.header_container > .top_nav',
			'property' => 'border-style'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_border_color_top',
	'label' => 'Border Color',
	'default' => 'rgba(235,235,235,0.17)',
	'inline_control' => true,
	'section' => 'cl_header_top_row',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container > .top_nav',
			'property' => 'border-color'
		)
	) ,
	'transport' => 'auto'
));






/* ----------------------------- Extra Row --------------------------------------- */

Kirki::add_section('cl_header_extra_row', array(
	'title' => __('Extra (Bottom) Row', 'mediclin') ,
	'tooltip' => '',
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_extra',
	'label' => __('Extra Header Row', 'mediclin') ,
	'tooltip' => __('Switch on to active Extra Header Navigation Row, than you can add elements.', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'switch',
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'refresh'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_design_extra',
	'label' => __('Box Design', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'css_tool',
	'default' => array(
		'border-bottom-width' => '0px'
	) ,
	'into_group' => true,
	'transport' => 'postMessage',
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_space_el_extra',
	'label' => 'Space between elements',
	'default' => 60,
	'choices' => array(
		'min' => '0',
		'max' => '80',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'output' => array(
		array(
			'element' => '.header_container.header-left > .extra_row .header-el, .header_container.header-right > .extra_row .header-el',
			'units' => 'px',
			'property' => 'margin-bottom',
			'media_query' => '@media (min-width: 992px)'
		) ,
		array(
			'element' => '.header_container.header-top > .extra_row .header-el, .header_container.header-bottom > .extra_row .header-el',
			'units' => 'px',
			'property' => 'margin-right',
			'media_query' => '@media (min-width: 992px)'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'slider',
	'settings' => 'header_height_extra',
	'label' => 'Height',
	'tooltip' => 'Works on Top, Bottom Layouts or when outter boxed header is actived',
	'default' => 40,
	'choices' => array(
		'min' => '30',
		'max' => '600',
		'step' => '1',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container.header-top > .extra_row, .header_container.header-bottom > .extra_row',
			'units' => 'px',
			'property' => 'height'
		) ,
		array(
			'element' => '.header_container.header-top > .extra_row, .header_container.header-bottom > .extra_row',
			'units' => 'px',
			'property' => 'line-height'
		)
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_divider_extra',
	'label' => __('Design Options', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'groupdivider',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_custom_ti_extra',
	'label' => __('Background', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_bg_color_extra',
	'label' => 'Background Color',
	'default' => '',
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container > .extra_row',
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'image',
	'label' => 'Background Image',
	'settings' => 'header_bg_image_extra',
	'default' => '',
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header_container > .extra_row',
			'property' => 'background-image'
		)
	) ,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_bg_pos_extra',
	'label' => 'Background Position',
	'default' => 'left top',
	'choices' => array(
		'left top' => 'left top',
		'left center' => 'left center',
		'left bottom' => 'left bottom',
		'right top' => 'right top',
		'right center' => 'right center',
		'right bottom' => 'right bottom',
		'center top' => 'center top',
		'center center' => 'center center',
		'center bottom' => 'center bottom',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'output' => array(
		array(
			'element' => '.header_container > .extra_row',
			'property' => 'background-position'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_bg_repeat_extra',
	'label' => 'Background Repeat',
	'default' => 'no-repeat',
	'choices' => array(
		'repeat' => 'repeat',
		'repeat-x' => 'repeat-x',
		'repeat-y' => 'repeat-y',
		'no-repeat' => 'no-repeat'
	) ,
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'output' => array(
		array(
			'element' => '.header_container > .extra_row',
			'property' => 'background-repeat'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_border_divider_extra',
	'label' => __('Design Options', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'groupdivider',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_border_ti_extra',
	'label' => __('Border', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'grouptitle',
	'into_group' => true,
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'select',
	'settings' => 'header_border_style_extra',
	'label' => 'Border Style',
	'default' => 'solid',
	'choices' => array(
		'solid' => 'solid',
		'dotted' => 'dotted',
		'dashed' => 'dashed',
		'double' => 'double',
		'groove' => 'groove',
		'ridge' => 'ridge',
		'inset' => 'inset',
		'outset' => 'outset',
	) ,
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'output' => array(
		array(
			'element' => '.header_container > .extra_row',
			'property' => 'border-style'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_border_color_extra',
	'label' => 'Border Color',
	'default' => 'rgba(235,235,235,0.17)',
	'inline_control' => true,
	'section' => 'cl_header_extra_row',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container > .extra_row',
			'property' => 'border-color'
		)
	) ,
	'transport' => 'auto'
));



Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_extra_nav_sticky',
	'label' => __('Show on sticky', 'mediclin') ,
	'tooltip' => __('Switch on to active Top Header Navigation Row on sticky', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'required' => array(
		array(
			'setting' => 'header_sticky',
			'operator' => '==',
			'value' => true,
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'refresh'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_extra_row_sticky',
	'label' => __('Show on sticky', 'mediclin') ,
	'tooltip' => __('Switch on to active Extra Header Row Row on sticky', 'mediclin') ,
	'section' => 'cl_header_extra_row',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'required' => array(
		array(
			'setting' => 'header_sticky',
			'operator' => '==',
			'value' => true,
			'transport' => 'postMessage'
		) ,
	) ,
	'transport' => 'refresh'
));



/* ---------------------------- Dropdown & Mobile -------------------------------- */

Kirki::add_section('cl_header_dropdown', array(
	'title' => __('Dropdown & Mobile Styles', 'mediclin') ,
	'tooltip' => __('All styles of dropdown, megamenu and mobile', 'mediclin') ,
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));
Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'dropdown_bg_color',
	'label' => 'Background Color',
	'default' => '#fff',
	'inline_control' => true,
	'section' => 'cl_header_dropdown',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => 'nav .codeless_custom_menu_mega_menu, nav .menu > li > ul.sub-menu, nav .menu > li > ul.sub-menu ul, .cl-mobile-menu, .cl-submenu, .tool .tool-link .cart-total',
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'dropdown_item_hover_bg',
	'label' => 'Item Hover BG Color',
	'default' => '#f8faff',
	'inline_control' => true,
	'section' => 'cl_header_dropdown',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => 'nav .menu li > ul.sub-menu li:hover, #site-header-cart .cart_list li:hover, #site-header-search input[type="search"]',
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));
Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'dropdown_item_hover_color',
	'label' => 'Item Hover Font Color',
	'default' => '#5371c6',
	'inline_control' => true,
	'section' => 'cl_header_dropdown',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => 'nav .menu li ul.sub-menu li a:hover, #site-header-search input[type="search"]',
			'property' => 'color',
			'suffix' => '!important'
		)
	) ,
	'transport' => 'auto'
));
Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'dropdown_borders_color',
	'label' => 'Separators Color',
	'default' => '#3a3a3a',
	'inline_control' => true,
	'section' => 'cl_header_dropdown',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => 'nav .codeless_custom_menu_mega_menu > ul > li, #site-header-cart ul li, #site-header-search input[type="search"]',
			'property' => 'border-color'
		)
	) ,
	'transport' => 'auto'
));




/* ----------------- Sticky -------------  */

Kirki::add_section('cl_header_sticky', array(
	'title' => __('Sticky', 'mediclin') ,
	'tooltip' => __('Make header sticky', 'mediclin') ,
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));
Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_sticky',
	'label' => __('Sticky', 'mediclin') ,
	'tooltip' => __('By switch this option, your header will be sticky', 'mediclin') ,
	'section' => 'cl_header_sticky',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage'
));

Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_sticky_mobile',
	'label' => __('Sticky Mobile', 'mediclin') ,
	'tooltip' => __('By switch this option, your header will be sticky on mobile', 'mediclin') ,
	'section' => 'cl_header_sticky',
	'type' => 'switch',
	'priority' => 10,
	'default' => 0,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage'
));

Kirki::add_field('cl_mediclin', array(
	'type' => 'color',
	'settings' => 'header_sticky_bg',
	'label' => 'Sticky BG Color',
	'default' => '#ffffff',
	'inline_control' => true,
	'section' => 'cl_header_sticky',
	'choices' => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header_container.cl-header-sticky-ready',
			'property' => 'background-color'
		)
	) ,
	'transport' => 'auto'
));
Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_sticky_content',
	'label' => __('Sticky Content Color', 'mediclin') ,
	'section' => 'cl_header_sticky',
	'type' => 'select',
	'default' => 'dark',
	'priority' => 10,
	'choices' => array(
		'light' => esc_attr__('Light', 'mediclin') ,
		'dark' => esc_attr__('Dark', 'mediclin') ,
	) ,
	'transport' => 'postMessage',
));
Kirki::add_field('cl_mediclin', array(
	'settings' => 'header_sticky_shadow',
	'label' => __('Add Shadow', 'mediclin') ,
	'section' => 'cl_header_sticky',
	'type' => 'switch',
	'priority' => 10,
	'default' => 1,
	'choices' => array(
		1 => esc_attr__('On', 'mediclin') ,
		0 => esc_attr__('Off', 'mediclin') ,
	) ,
	'transport' => 'postMessage'
));


Kirki::add_section('cl_header_default', array(
	'title' => __('Default Header Options', 'mediclin') ,
	'tooltip' => __('Default site header options, you can overwrite in each page or post. This will be default for all archives.', 'mediclin') ,
	'panel' => 'cl_header',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));
Kirki::add_field('cl_mediclin', array(
	'settings' => 'default_header_desc',
	'section' => 'cl_header_default',
	'type' => 'custom',
	'priority' => 10,
	'default' => __('Default site header options, you can overwrite in each page or post. This will be default for all archives.', 'mediclin') ,
	'transport' => 'postMessage'
));
Kirki::add_field('cl_mediclin', array(
	'settings' => 'default_header_color',
	'label' => __('Default Header Color', 'mediclin') ,
	'tooltip' => __('Set the header color', 'mediclin') ,
	'section' => 'cl_header_default',
	'type' => 'select',
	'priority' => 10,
	'default' => 'dark',
	'choices' => array(
		'dark' => esc_attr__('Dark', 'mediclin') ,
		'light' => esc_attr__('Light', 'mediclin') ,
	) ,
	'transport' => 'refresh'
));
Kirki::add_field('cl_mediclin', array(
	'settings' => 'default_header_transparent',
	'label' => __('Default Header Transparent', 'mediclin') ,
	'tooltip' => __('Set the header as tranparent background', 'mediclin') ,
	'section' => 'cl_header_default',
	'type' => 'select',
	'priority' => 10,
	'default' => 'no_transparent',
	'choices' => array(
		'transparent' => esc_attr__('Transparent', 'mediclin') ,
		'no_transparent' => esc_attr__('No Transparent', 'mediclin') ,
	) ,
	'transport' => 'refresh'
));





?>