<?php

Kirki::add_section( 'cl_shop', array(
	    'priority'    => 10,
	    'type' => '',
	    'title'       => __( 'Shop', 'mediclin' ),
	    'tooltip' => __( 'All Shop Options', 'mediclin' ),
	) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'shop_columns',
			'label'    => __( 'Shop Columns', 'mediclin' ),
			'tooltip' => __( 'Select number of items to display per Row on SHOP Page', 'mediclin' ),
			'section'  => 'cl_shop',
			'type'     => 'select',
			'priority' => 10,
			'default'  => '3',
			'choices'     => array(
				'2'  => esc_attr__( '2 Columns', 'mediclin' ),
				'3'  => esc_attr__( '3 Columns', 'mediclin' ),
				'4'  => esc_attr__( '4 Columns', 'mediclin' ),
				'5'  => esc_attr__( '5 Columns', 'mediclin' ),
				'6'  => esc_attr__( '6 Columns', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'slider',
		    'settings' => 'shop_item_distance',
			'label' => 'Distance between items',
			'default' => '15',
			'choices'     => array(
			'min'  => '0',
			'max'  => '30',
			'step' => '1',
							),
			'inline_control' => true,
			'section'  => 'cl_shop',
			'transport' => 'postMessage'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
				'settings' => 'shop_animation',
				'label'    => __( 'Animation Type', 'mediclin' ),
				
				'section'  => 'cl_shop',
				'type'     => 'select',
				'priority' => 10,
				'default'  => 'bottom-t-top',
				'choices' => array(
					'none'	=> 'None',
					'top-t-bottom' =>	'Top-Bottom',
					'bottom-t-top' =>	'Bottom-Top',
					'right-t-left' => 'Right-Left',
					'left-t-right' => 'Left-Right',
					'alpha-anim' => 'Fade-In',	
					'zoom-in' => 'Zoom-In',	
					'zoom-out' => 'Zoom-Out',
					'zoom-reverse' => 'Zoom-Reverse',
				),
				'transport' => 'postMessage'
	) );

    	Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'shop_item_heading',
			'label'    => __( 'Shop Item Heading', 'mediclin' ),
			'section'  => 'cl_shop',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'h6',
			'choices'     => array(
				'h1'  => esc_attr__( 'H1', 'mediclin' ),
				'h2'  => esc_attr__( 'H2', 'mediclin' ),
				'h3'  => esc_attr__( 'H3', 'mediclin' ),
				'h4'  => esc_attr__( 'H4', 'mediclin' ),
				'h5'  => esc_attr__( 'H5', 'mediclin' ),
				'h6'  => esc_attr__( 'H6', 'mediclin' ),
			),
			'transport' => 'postMessage'
		) );


    	Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'shop_pagination_style',
			'label'    => __( 'Shop Pagination Style', 'mediclin' ),
			'section'  => 'cl_shop',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'numbers',
			'choices'     => array(
				'numbers'  => esc_attr__( 'With Page Numbers', 'mediclin' ),
				'next_prev'  => esc_attr__( 'Next/Prev', 'mediclin' ),
				'load_more'  => esc_attr__( 'Load More Button', 'mediclin' ),
				'infinite_scroll'  => esc_attr__( 'Infinite Scroll', 'mediclin' ),
			),
			'transport' => 'refresh'
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'shop_category_layout',
			'label'    => __( 'Shop Categories Layout', 'mediclin' ),
			'tooltip' => __( 'Select shop Product Categories page layout.', 'mediclin' ),
			'section'  => 'cl_shop',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'fullwidth',
			'choices'     => array(
				'fullwidth'  => esc_attr__( 'Fullwidth', 'mediclin' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'mediclin' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'mediclin' )
			),
		) );

		
?>