<?php
    
    Kirki::add_panel( 'cl_styling', array(
    	    'title'          => __( 'Styling', 'mediclin' ),
    	    'description'    => __( 'All theme styling options', 'mediclin' ),
    	    'type'			 => '',
    	    'capability'     => 'edit_theme_options'
    	) );
		
		
		
		Kirki::add_section( 'cl_styling_colors', array(
		    
		    'title'          => __( 'Colors', 'mediclin' ),
    	    'type'			 => '',
    	    'panel'     => 'cl_styling'
		 
		));

		Kirki::add_section( 'cl_styling_typography', array(
		    
		    'title'          => __( 'Typography', 'mediclin' ),
    	    'type'			 => '',
    	    'panel'     => 'cl_styling'
		 
		));

		Kirki::add_section( 'cl_styling_blog', array(
		    
		    'title'          => __( 'Blog', 'mediclin' ),
    	    'type'			 => '',
    	    'panel'     => 'cl_styling'
		 
		));

		Kirki::add_section( 'cl_styling_portfolio', array(
		    
		    'title'          => __( 'Portfolio', 'mediclin' ),
    	    'type'			 => '',
    	    'panel'     => 'cl_styling'
		 
		));
		
		Kirki::add_section( 'cl_styling_buttons', array(
		    
		    'title'          => __( 'Buttons', 'mediclin' ),
    	    'type'			 => '',
    	    'panel'     => 'cl_styling'
		 
		));

		Kirki::add_section( 'cl_styling_widgets', array(
		    
		    'title'          => __( 'Widgets', 'mediclin' ),
    	    'type'			 => '',
    	    'panel'     => 'cl_styling'
		 
		));
		
	
	    Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'primary_color',
			'label' => 'Primary Accent Color',
			'default' => '#5170ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'primary_color', 'color' ),
					'property' => 'color',
					'suffix' => '!important'
				),
				array(
				    'element' => codeless_dynamic_css_register_tags( 'primary_color', 'background_color' ),
				    'property' => 'background-color' 
				),
				array(
				    'element' => codeless_dynamic_css_register_tags( 'primary_color', 'border-color' ),
				    'property' => 'border-color' 
				)
			),
		    'transport' => 'auto'
    	));

	    Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'secondary_color',
			'label' => 'Secondary Accent Color',
			'default' => '#4cd4ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'secondary_color', 'color' ),
					'property' => 'color',
					'suffix' => '!important'
				),
				array(
				    'element' => codeless_dynamic_css_register_tags( 'secondary_color', 'background_color' ),
				    'property' => 'background-color' 
				),
				array(
				    'element' => codeless_dynamic_css_register_tags( 'secondary_color', 'border-color' ),
				    'property' => 'border-color' 
				)
			),
		    'transport' => 'auto'
    	));


    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'border_accent_color',
			'label' => 'Border Accent Color',
			'default' => '#e7e7e7',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'border_accent_color', 'border-color' ),
					'property' => 'border-color',
					'suffix' => '!important'
				)
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'labels_accent_color',
			'label' => 'Labels, Span accent color',
			'tooltip' => 'Used for prepended text (In, By, etc..), counter ("3" categories for example), quote icon, current pagination and more.',
			'default' => '#9b9b9b',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'labels_accent_color' ),
					'property' => 'color'
				)
			),
		    'transport' => 'auto' 
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'highlight_light_color',
			'label' => 'Highlighted area light',
			'tooltip' => 'Areas like pagination buttons and other areas with light color highlight',
			'default' => '#dedede',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'highlight_light_color', 'background-color' ),
					'property' => 'background-color'
				)
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'highlight_dark_color',
			'label' => 'Highlighted area dark',
			'tooltip' => 'Areas like loadmore button or small links like categories, widgets links, quote text and more.',
			'default' => '#303133',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'highlight_dark_color', 'color' ),
					'property' => 'color'
				),
				array(
					'element' => codeless_dynamic_css_register_tags( 'highlight_dark_color', 'background-color' ),
					'property' => 'background-color'
				)
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'other_area_links',
			'label' => 'Links Color',
			'tooltip' => 'Other links that dont have the primary accent color, like sidebar links, cetegories links or date link',
			'default' => '#5170ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'other_area_links', 'color' ),
					'property' => 'color'
				)
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'text_links_color',
			'label' => 'Content Link Color',
			'tooltip' => 'The color of the link on a standard page',
			'default' => '#5170ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => '.cl-text > p > a',
					'property' => 'color'
				)
			),
		    'transport' => 'auto'
    	));


    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'text_links_color_hover',
			'label' => 'Content Link Color Hover',
			'tooltip' => 'The color on hover of the link on a standard page',
			'default' => '#4cd4ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_colors',
			'output' => array(
				array(
					'element' => '.cl-text > p > a:hover',
					'property' => 'color'
				)
			),
		    'transport' => 'auto'
    	));




		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'body_bg_color',
			'label' => 'Body Overall Background Color',
			'default' => '',
			'inline_control' => true,
			'choices' => array(
				'alpha' => false,
				'palettes' => codeless_generate_palettes()
			),
			'section'  => 'cl_styling_body',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-color',
					'suffix' => ''
				),
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field('cl_mediclin', array(
			'type' => 'image',
			'label' => 'Background Image',
			'settings' => 'body_bg_image',
			'default' => '',
			'inline_control' => true,
			'section' => 'cl_styling_body',
			'transport' => 'auto',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-image'
				)
			),
		));

		Kirki::add_field('cl_mediclin', array(
			'type' => 'select',
			'settings' => 'body_bg_pos',
			'label' => 'Background Position',
			'default' => 'left top',
			'choices' => array(
				'left top' => 'left top',
				'left center' => 'left center',
				'left bottom' => 'left bottom',
				'right top' => 'right top',
				'right center' => 'right center',
				'right bottom' => 'right bottom',
				'center top' => 'center top',
				'center center' => 'center center',
				'center bottom' => 'center bottom',
			) ,
			'inline_control' => true,
			'section' => 'cl_styling_body',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-position'
				)
			) ,
			'transport' => 'auto'
		));

		Kirki::add_field('cl_mediclin', array(
			'type' => 'select',
			'settings' => 'body_bg_repeat',
			'label' => 'Background Repeat',
			'default' => 'no-repeat',
			'choices' => array(
				'repeat' => 'repeat',
				'repeat-x' => 'repeat-x',
				'repeat-y' => 'repeat-y',
				'no-repeat' => 'no-repeat'
			) ,
			'inline_control' => true,
			'section' => 'cl_styling_body',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-repeat'
				)
			) ,
			'transport' => 'auto'
		));

		Kirki::add_field('cl_mediclin', array(
			'type' => 'select',
			'settings' => 'body_bg_attachment',
			'label' => 'Background Attachment',
			'default' => 'scroll',
			'choices' => array(
				'scroll' => 'scroll',
				'fixed' => 'fixed'
			) ,
			'inline_control' => true,
			'section' => 'cl_styling_body',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-attachment'
				)
			) ,
			'transport' => 'auto'
		));

		Kirki::add_field('cl_mediclin', array(
			'type' => 'select',
			'settings' => 'body_bg_size',
			'label' => 'Background Size',
			'default' => 'auto',
			'choices' => array(
				'auto' => 'auto',
				'cover' => 'cover'
			) ,
			'inline_control' => true,
			'section' => 'cl_styling_body',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-size'
				)
			) ,
			'transport' => 'auto'
		));

		Kirki::add_field('cl_mediclin', array(
			'type' => 'select',
			'settings' => 'body_bg_blend',
			'label' => 'Background Blend Mode',
			'default' => 'normal',
			'choices' => array(
				'normal' => 'normal',
				'multiply' => 'multiply',
				'screen' => 'screen',
				'overlay' => 'overlay',
				'darken' => 'darken',
				'lighten' => 'lighten',
				'color-dodge' => 'color-dodg',
				'color-burn' => 'color-burn',
				'hard-light' => 'hard-light',
				'soft-light' => 'soft-light',
				'difference' => 'difference',
				'exclusion' => 'exclusion',
				'hue' => 'hue',
				'saturation' => 'saturation',
				'color' => 'color',
				'luminosity' => 'luminosity',
			) ,
			'inline_control' => true,
			'section' => 'cl_styling_body',
			'output' => array(
				array(
					'element' => 'body',
					'property' => 'background-blend-mode'
				)
			) ,
			'transport' => 'auto'
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'body_typo',
			'label'       => esc_attr__( 'Body Typography', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'show_subsets' => false,
			'default'     => array(
				'font-family'    => 'jostregular',
				'letter-spacing' => '0',
				'font-weight' => '400',
				'text-transform' => 'none',
				'font-size' => '15px',
				'line-height' => '24px',
				'color' => '#373737'
			),
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'body_typo' )
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'headings_typo',
			'label'       => esc_attr__( 'General Headings Typography', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => array(
				'font-family'    => 'Poppins',
			),
			'priority'    => 10,
			'show_subsets' => false,
			'show_variants' => false,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'headings_typo' )
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h1_font_size',
			'label'       => esc_attr__( 'H1 Font Size', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '48',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h1:not(.custom_font), .h1',
					'units'  => 'px',
					'property' => 'font-size'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h1_line_height',
			'label'       => esc_attr__( 'H1 Line-height', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '72',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h1:not(.custom_font), .h1',
					'units'  => 'px',
					'property' => 'line-height'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h1_text_transform',
			'label'       => esc_attr__( 'H1 Text Transform', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => 'none',
			'priority'    => 10,
			'choices' => array(
				'none' => 'None',
				'uppercase' => 'Uppercase'
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h1:not(.custom_font), .h1',
					'units'  => '',
					'property' => 'text-transform'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h1_font_weight',
			'label'       => esc_attr__( 'H1 Font Weight', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '700',
			'priority'    => 10,
			'choices' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h1:not(.custom_font), .h1',
					'units'  => '',
					'property' => 'font-weight'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h1_letter_space',
			'label'       => esc_attr__( 'H1 Letter Spacing', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '0',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h1:not(.custom_font), .h1',
					'units'  => 'px',
					'property' => 'letter-spacing'
				),

			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 5,
				'step' => 0.05,
			),
		));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h1_dark_color',
			'label' => 'H1 Color (Dark)',
			'default' => '#222222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => 'h1:not(.custom_font), .h1',
					'property' => 'color',
					'suffix' => ''
				),
				
			),
		    'transport' => 'auto'
    	));


    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h1_light_color',
			'label' => 'H1 Color (Light)',
			'default' => '#ffffff',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => '.light-text h1:not(.custom_font), .light-text .h1',
					'property' => 'color',
					'suffix' => ' !important'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'general_style_div_h2',
		    'label'    => '',
		    'section'  => 'cl_styling_typography',
		    'type'     => 'groupdivider',
		    'choices'  => array('small' => 'true')
		
		));
    	
    	
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h2_font_size',
			'label'       => esc_attr__( 'H2 Font Size', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '36',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h2:not(.custom_font), .h2',
					'units'  => 'px',
					'property' => 'font-size'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h2_line_height',
			'label'       => esc_attr__( 'H2 Line-height', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '54',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h2:not(.custom_font), .h2',
					'units'  => 'px',
					'property' => 'line-height'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h2_text_transform',
			'label'       => esc_attr__( 'H2 Text Transform', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => 'none',
			'priority'    => 10,
			'choices' => array(
				'none' => 'None',
				'uppercase' => 'Uppercase'
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h2:not(.custom_font), .h2',
					'units'  => '',
					'property' => 'text-transform'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h2_font_weight',
			'label'       => esc_attr__( 'H2 Font Weight', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '600',
			'priority'    => 10,
			'choices' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h2:not(.custom_font), .h2',
					'units'  => '',
					'property' => 'font-weight'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h2_letter_space',
			'label'       => esc_attr__( 'H2 Letter Spacing', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '0',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h2:not(.custom_font), .h2',
					'units'  => 'px',
					'property' => 'letter-spacing'
				),

			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 5,
				'step' => 0.05,
			),
		));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h2_dark_color',
			'label' => 'H2 Color (Dark)',
			'default' => '#222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => 'h2:not(.custom_font), .h2',
					'property' => 'color',
					'suffix' => ''
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h2_light_color',
			'label' => 'H2 Color (Light)',
			'default' => '#222222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => '.light-text h2:not(.custom_font), .light-text .h2',
					'property' => 'color',
					'suffix' => ' !important'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'general_style_div_h3',
		    'label'    => '',
		    'section'  => 'cl_styling_typography',
		    'type'     => 'groupdivider',
		    'choices'  => array('small' => 'true')
		
		));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h3_font_size',
			'label'       => esc_attr__( 'H3 Font Size', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '24',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h3:not(.custom_font), .h3',
					'units'  => 'px',
					'property' => 'font-size'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h3_line_height',
			'label'       => esc_attr__( 'H3 Line-height', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '36',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h3:not(.custom_font), .h3',
					'units'  => 'px',
					'property' => 'line-height'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h3_text_transform',
			'label'       => esc_attr__( 'H3 Text Transform', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => 'none',
			'priority'    => 10,
			'choices' => array(
				'none' => 'None',
				'uppercase' => 'Uppercase'
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h3:not(.custom_font), .h3',
					'units'  => '',
					'property' => 'text-transform'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h3_font_weight',
			'label'       => esc_attr__( 'H3 Font Weight', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '800',
			'priority'    => 10,
			'choices' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h3:not(.custom_font), .h3',
					'units'  => '',
					'property' => 'font-weight'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h3_letter_space',
			'label'       => esc_attr__( 'H3 Letter Spacing', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '0',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h3:not(.custom_font), .h3',
					'units'  => 'px',
					'property' => 'letter-spacing'
				),

			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 5,
				'step' => 0.05,
			),
		));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h3_dark_color',
			'label' => 'H3 Color (Dark)',
			'default' => '#222222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => 'h3:not(.custom_font), .h3',
					'property' => 'color',
					'suffix' => ''
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h3_light_color',
			'label' => 'H3 Color (Light)',
			'default' => '#ffffff',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => '.light-text h3:not(.custom_font), .light-text .h3',
					'property' => 'color',
					'suffix' => ' !important'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'general_style_div_h4',
		    'label'    => '',
		    'section'  => 'cl_styling_typography',
		    'type'     => 'groupdivider',
		    'choices'  => array('small' => 'true')
		
		));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h4_font_size',
			'label'       => esc_attr__( 'H4 Font Size', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '18',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h4:not(.custom_font), .h4',
					'units'  => 'px',
					'property' => 'font-size'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h4_line_height',
			'label'       => esc_attr__( 'H4 Line-height', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '27',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h4:not(.custom_font), .h4',
					'units'  => 'px',
					'property' => 'line-height'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h4_text_transform',
			'label'       => esc_attr__( 'H4 Text Transform', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => 'none',
			'priority'    => 10,
			'choices' => array(
				'none' => 'None',
				'uppercase' => 'Uppercase'
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h4:not(.custom_font), .h4',
					'units'  => '',
					'property' => 'text-transform'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h4_font_weight',
			'label'       => esc_attr__( 'H4 Font Weight', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '600',
			'priority'    => 10,
			'choices' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h4:not(.custom_font), .h4',
					'units'  => '',
					'property' => 'font-weight'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h4_letter_space',
			'label'       => esc_attr__( 'H4 Letter Spacing', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '18',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h4:not(.custom_font), .h4',
					'units'  => 'px',
					'property' => 'letter-spacing'
				),

			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 5,
				'step' => 0.05,
			),
		));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h4_dark_color',
			'label' => 'H4 Color (Dark)',
			'default' => '#222222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => 'h4:not(.custom_font), .h4',
					'property' => 'color',
					'suffix' => ''
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h4_light_color',
			'label' => 'H4 Color (Light)',
			'default' => '#ffffff',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => '.light-text h4:not(.custom_font), .light-text .h4',
					'property' => 'color',
					'suffix' => ' !important'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'general_style_div_h5',
		    'label'    => '',
		    'section'  => 'cl_styling_typography',
		    'type'     => 'groupdivider',
		    'choices'  => array('small' => 'true')
		
		));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h5_font_size',
			'label'       => esc_attr__( 'H5 Font Size', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '12',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h5:not(.custom_font), .h5',
					'units'  => 'px',
					'property' => 'font-size'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h5_line_height',
			'label'       => esc_attr__( 'H5 Line-height', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '18',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h5:not(.custom_font), .h5',
					'units'  => 'px',
					'property' => 'line-height'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h5_text_transform',
			'label'       => esc_attr__( 'H5 Text Transform', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => 'none',
			'priority'    => 10,
			'choices' => array(
				'none' => 'None',
				'uppercase' => 'Uppercase'
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h5:not(.custom_font), .h5',
					'units'  => '',
					'property' => 'text-transform'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h5_font_weight',
			'label'       => esc_attr__( 'H5 Font Weight', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '600',
			'priority'    => 10,
			'choices' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h5:not(.custom_font), .h5',
					'units'  => '',
					'property' => 'font-weight'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h5_letter_space',
			'label'       => esc_attr__( 'H5 Letter Spacing', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '0',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h5:not(.custom_font), .h5',
					'units'  => 'px',
					'property' => 'letter-spacing'
				),

			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 5,
				'step' => 0.05,
			),
		));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h5_dark_color',
			'label' => 'H5 Color (Dark)',
			'default' => '#222222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => 'h5:not(.custom_font), .h5',
					'property' => 'color',
					'suffix' => ''
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h5_light_color',
			'label' => 'H5 Color (Light)',
			'default' => '#ffffff',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => '.light-text h5:not(.custom_font), .light-text .h5',
					'property' => 'color',
					'suffix' => ' !important'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'general_style_div_h6',
		    'label'    => '',
		    'section'  => 'cl_styling_typography',
		    'type'     => 'groupdivider',
		    'choices'  => array('small' => 'true')
		
		));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h6_font_size',
			'label'       => esc_attr__( 'H6 Font Size', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '10',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h6:not(.custom_font), .h6',
					'units'  => 'px',
					'property' => 'font-size'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h6_line_height',
			'label'       => esc_attr__( 'H6 Line-height', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '15',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h6:not(.custom_font), .h6',
					'units'  => 'px',
					'property' => 'line-height'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h6_text_transform',
			'label'       => esc_attr__( 'H6 Text Transform', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => 'none',
			'priority'    => 10,
			'choices' => array(
				'none' => 'None',
				'uppercase' => 'Uppercase'
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h6:not(.custom_font), .h6',
					'units'  => '',
					'property' => 'text-transform'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'select',
			'settings'    => 'h6_font_weight',
			'label'       => esc_attr__( 'H6 Font Weight', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '600',
			'priority'    => 10,
			'choices' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h6:not(.custom_font), .h6',
					'units'  => '',
					'property' => 'font-weight'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'h6_letter_space',
			'label'       => esc_attr__( 'H6 Letter Spacing', 'mediclin' ),
			'section'     => 'cl_styling_typography',
			'into_group' => true,
			'default'     => '1',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'h6:not(.custom_font), .h6',
					'units'  => 'px',
					'property' => 'letter-spacing'
				),

			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 5,
				'step' => 0.05,
			),
		));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h6_dark_color',
			'label' => 'H6 Color (Dark)',
			'default' => '#222222',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => 'h6:not(.custom_font), .h6',
					'property' => 'color',
					'suffix' => ''
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'h6_light_color',
			'label' => 'H6 Color (Light)',
			'default' => '#ffffff',
			'inline_control' => true,
			'section'  => 'cl_styling_typography',
			'output' => array(
				array(
					'element' => '.light-text h6:not(.custom_font), .light-text .h6',
					'property' => 'color',
					'suffix' => ' !important'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'general_style_div_h',
		    'label'    => '',
		    'section'  => 'cl_styling_typography',
		    'type'     => 'groupdivider',
		    'choices'  => array('small' => 'true')
		
		));
    	

		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'blog_entry_title',
			'label'       => esc_attr__( 'Blog Entry Title', 'mediclin' ),
			'section'     => 'cl_styling_blog',
			'into_group' => true,
			'show_subsets' => true,
			'show_variants' => true,
			'default'     => array(
				'letter-spacing' => '0',
				'font-weight' => '500',
				'text-transform' => 'none',
				'font-size' => '22px',
				'line-height' => '33px',
				'color' => '#222222',
				'font-family' => 'Poppins'
				
			),
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'blog_entry_title' )
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'single_blog_title',
			'label'       => esc_attr__( 'Single Blog Title', 'mediclin' ),
			'section'     => 'cl_styling_blog',
			'show_variants' => true,
			'into_group' => true,
			'show_subsets' => false,
			'default'     => array(
				'letter-spacing' => '0',
				'font-weight' => '600',
				'text-transform' => 'none',
				'font-size' => '54px',
				'line-height' => '68px',
				'color' => '#ffffff',
				'font-family' => 'Poppins'
			),
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'single_blog_title' )
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'blog_entry_readmore',
			'label'       => esc_attr__( 'Blog Read More', 'mediclin' ),
			'section'     => 'cl_styling_blog',
			'into_group' => true,
			'show_subsets' => false,
			'default'     => array(
				'letter-spacing' => '0.5px',
				'font-weight' => '700',
				'text-transform' => 'lowercase',
				'font-size' => '15px',
				'line-height' => '33px',
				'color' => '#696969'
			),
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'blog_entry_readmore' )
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'blog_overlay_color',
			'label' => 'Blog Overlay Color',
			'default' => 'rgba(81,112,202,0.92)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true
			),
			'section'  => 'cl_styling_blog',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'blog_overlay_color' ) ,
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'blog_grid_wrapper_bg',
			'label' => 'Blog Grid Wrapper BG Color',
			'default' => 'rgba(255,255,255,1)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true
			),
			'section'  => 'cl_styling_blog',
			'output' => array(
				array(
					'element' => '#blog-entries .grid-style .grid-holder .grid-holder-inner' ,
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'blog_comment_fields_bg_color',
			'label'       => esc_attr__( 'Blog Comments Field BG Color', 'mediclin' ),
			'section'     => 'cl_styling_blog',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#ffffff',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '#respond.comment-respond .comment-form-comment textarea, #respond.comment-respond input:not([type="submit"])',
					'property' => 'background-color'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'select',
		    'settings' => 'blog_button_style',
			'label' => 'Blog Button Style',
			'tooltip' => 'Change from default to another style if you want to use another button style on blog',
			'default'     => 'material',
			'choices' => array(
				'default' => 'Default',
				'material' => 'Material',
				'text-effect' => 'Text Effect'
			),
			'inline_control' => true,
			'section'  => 'cl_styling_blog',
			'transport' => 'postMessage'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'single_blog_extra_section_title',
			'label'       => esc_attr__( 'Single Blog Extra Sections Title', 'mediclin' ),
			'section'     => 'cl_styling_blog',
			'into_group' => true,
			'show_subsets' => false,
			'default'     => array(
				'letter-spacing' => '1px',
				'font-weight' => '500',
				'text-transform' => 'uppercase',
				'font-size' => '18px',
				'line-height' => '27px',
				'color' => '#333333',
				'font-family' => 'Poppins'
			),
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'single_blog_extra_section_title' )
				),

			)
		));




		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'portfolio_item_categories',
			'label'       => esc_attr__( 'Portfolio Item Categories', 'mediclin' ),
			'section'     => 'cl_styling_portfolio',
			'into_group' => true,
			'show_subsets' => false,
			'default'     => array(
				'letter-spacing' => '0.00em',
				'font-weight' => '400',
				'text-transform' => 'none',
				'font-size' => '13px',
				'line-height' => '20px',
				'color' => '#999'
			),
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '.portfolio_item .portfolio-categories a, .portfolio_item .portfolio-categories'
				),

			)
		));



		
		
		Kirki::add_field( 'cl_mediclin', array(
		    
		    'settings' => 'buttons_title',
		    'label'    => __( 'Buttons', 'mediclin' ),
		    'section'  => 'cl_styling_buttons',
		    'type'     => 'grouptitle',
		 
		));
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'select',
		    'settings' => 'button_style',
			'label' => 'Button Style',
			'default'     => 'material_square',
			'choices' => array(
				'material_square' => 'Material Square',
				'material_circular' => 'Material Circular',
				'text_effect' => 'Text Effect',
				'rounded_border' => 'Rounded Border'
			),
			'inline_control' => true,
			'section'  => 'cl_styling_buttons',
			'transport' => 'postMessage'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'select',
		    'settings' => 'button_layout',
			'label' => 'Button Size Layout',
			'default'     => 'medium',
			'choices' => array(
				'extra-small' => 'Extra Small',
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large',
				'extra-large' => 'Extra Large',
			),
			'inline_control' => true,
			'section'  => 'cl_styling_buttons',
			'transport' => 'postMessage'
    	));


    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'select',
		    'settings' => 'button_font',
			'label' => 'Button Font',
			'default'     => 'medium',
			'choices' => array(
				'extra-small' => 'Extra Small',
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large',
				'extra-large' => 'Extra Large',
				'custom' => 'Custom',
			),
			'inline_control' => true,
			'section'  => 'cl_styling_buttons',
			'transport' => 'postMessage'
    	));


    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'button_font_custom',
			'label'       => esc_attr__( 'Button Typography', 'mediclin' ),
			'section'     => 'cl_styling_buttons',
			'into_group' => true,
			'default'     => array(
				'letter-spacing' => '0.05em',
				'font-weight' => '600',
				'text-transform' => 'uppercase',
				'font-size' => '12px'
			),
			'priority'    => 10,
			'show_subsets' => false,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '.cl-btn.btn-font-custom'
				),

			),
			'required'    => array(
				array(
					'setting'  => 'button_font',
					'operator' => '==',
					'value'    => 'custom',
					'transport' => 'postMessage'
				),
								
			),
		));

    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_bg_color',
			'label' => 'Button BG Color',
			'default' => '#4cd4ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary)',
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_font_color',
			'label' => 'Button Font Color',
			'default' => '#ffffff',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary)',
					'property' => 'color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_border_color',
			'label' => 'Button Border Color',
			'tooltip' => 'Works only on button styles that support border color',
			'default' => 'rgba(0,0,0,0)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary)',
					'property' => 'border-color'
				),
				
			),
		    'transport' => 'auto',
		    'required'    => array(
				array(
					'setting'  => 'button_style',
					'operator' => '==',
					'value'    => 'rounded_border',
					'transport' => 'postMessage'
				),
								
			),
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'number',
		    'settings' => 'button_border_width',
			'label' => 'Button Border Width',
			'tooltip' => 'Works only on button styles that support border color',
			'default' => '1',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary)',
					'property' => 'border-width',
					'suffix' => 'px'
				),
				
			),
			'choices'     => array(
				'min'  => 0,
				'max'  => 10,
				'step' => 1,
			),
		    'transport' => 'auto',
		    'required'    => array(
				array(
					'setting'  => 'button_style',
					'operator' => '==',
					'value'    => 'rounded_border',
					'transport' => 'postMessage'
				),
								
			),
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_bg_color_hover',
			'label' => 'Button Hover BG Color',
			'default' => '#5170ca',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary):hover',
					'property' => 'background-color'
				),
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_font_color_hover',
			'label' => 'Button Hover Font Color',
			'default' => '#ffffff',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary):hover',
					'property' => 'color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_border_color_hover',
			'label' => 'Button Hover Border Color',
			'tooltip' => 'Works only on button styles that support border color',
			'default' => 'rgba(0,0,0,0)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-btn:not(.btn-priority_secondary):hover',
					'property' => 'border-color'
				),
				
			),
		    'transport' => 'auto',
		    'required'    => array(
				array(
					'setting'  => 'button_style',
					'operator' => '==',
					'value'    => 'rounded_border',
					'transport' => 'postMessage'
				),
								
			),
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_bg_color_light',
			'label' => 'Light Button BG Color',
			'default' => '#0CABD3',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.light-text .cl-btn, .header_container.cl-header-light:not(.cl-responsive-header) .cl-btn',
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_font_color_light',
			'label' => 'Light Button Font Color',
			'default' => '#ffffff',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.light-text .cl-btn, .header_container.cl-header-light:not(.cl-responsive-header) .cl-btn',
					'property' => 'color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_border_color_light',
			'label' => 'Light Button Border Color',
			'tooltip' => 'Works only on button styles that support border color',
			'default' => 'rgba(0,0,0,0)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.light-text .cl-btn, .header_container.cl-header-light:not(.cl-responsive-header) .cl-btn',
					'property' => 'border-color'
				),
				
			),
		    'transport' => 'auto',
		    'required'    => array(
				array(
					'setting'  => 'button_style',
					'operator' => '==',
					'value'    => 'rounded_border',
					'transport' => 'postMessage'
				),
								
			),
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_bg_color_hover_light',
			'label' => 'Light Button Hover BG Color',
			'default' => 'rgba(12,171,211,0.85)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.light-text .cl-btn:hover, .header_container.cl-header-light:not(.cl-responsive-header) .cl-btn:hover',
					'property' => 'background-color'
				),
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_font_color_hover_light',
			'label' => 'Light Button Hover Font Color',
			'default' => '#ffffff',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.light-text .cl-btn:hover, .header_container.cl-header-light:not(.cl-responsive-header) .cl-btn:hover',
					'property' => 'color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'button_border_color_hover_light',
			'label' => 'Light Button Hover Border Color',
			'tooltip' => 'Works only on button styles that support border color',
			'default' => 'rgba(0,0,0,0)',
			'inline_control' => true,
			'choices' => array(
				'alpha' => true,
			),
			'section'  => 'cl_styling_buttons',
			'output' => array(
				array(
					'element' => '.cl-light .cl-btn, .header_container.cl-header-light:not(.cl-responsive-header) .cl-btn:hover',
					'property' => 'border-color'
				),
				
			),
		    'transport' => 'auto',
		    'required'    => array(
				array(
					'setting'  => 'button_style',
					'operator' => '==',
					'value'    => 'rounded_border',
					'transport' => 'postMessage'
				),
								
			),
    	));
    	
    	
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'widgets_title_typography',
			'label'       => esc_attr__( 'Widgets Typography', 'mediclin' ),
			'section'     => 'cl_styling_widgets',
			'into_group' => true,
			'default'     => array(
				'font-family'    => 'Poppins',
				'letter-spacing' => '1px',
				'font-weight' => '500',
				'text-transform' => 'uppercase',
				'font-size' => '16px'
			),
			'priority'    => 10,
			'show_subsets' => false,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'widgets_title_typography' )
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'aside_title_widget',
			'label'       => esc_attr__( 'Sidebar Widget Title', 'mediclin' ),
			'section'     => 'cl_styling_widgets',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#303133',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'aside .widget-title',
					'property' => 'color'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'aside_widget_distance',
			'label'       => esc_attr__( 'Distance between widgets', 'mediclin' ),
			'section'     => 'cl_styling_widgets',
			'into_group' => true,
			'default'     => '35',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'aside .widget',
					'units'  => 'px',
					'property' => 'padding-top'
				),
				array(
					'element' => 'aside .widget',
					'units'  => 'px',
					'property' => 'padding-bottom'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'aside_search_bg_color',
			'label'       => esc_attr__( 'Sidebar Search BG Color', 'mediclin' ),
			'section'     => 'cl_styling_widgets',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#ffffff',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'aside .widget_search input[type="search"]',
					'property' => 'background-color'
				),

			)
		));
    	
    	
		
		
		
		

?>