<?php

    global $cl_theme_mod_defaults;


	if( !class_exists('Kirki') )
		return;
	
	/* Row */
	
	cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Row', 'mediclin' ),
			'section'     => 'cl_codeless_page_builder',
			'tooltip' => 'Manage all options of the selected Row',
			//'priority'    => 10,
			'icon'		  => 'icon-software-layout',
			'transport'   => 'postMessage',
			'paddingPositions' => array('top', 'bottom'),
			'settings'    => 'cl_row',
			'is_container' => true,
			'is_root'	  => true,
			'fields' => array(
				
				
				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' ),
						'animation' => array( 'Animation', 'cl-icon-animation' ),
						'responsive' => array( 'Responsive', 'cl-icon-responsive' )
					)
				),

					'general_tab_start' => array(
						'type' => 'tab_start',
						'label' => 'General',
						'tabid' => 'general'
					),
					
						/* ----------------------------------------------- */
						
						'row_layout_start' => array(
							'type' => 'group_start',
							'label' => 'Layout',
							'groupid' => 'layout'
						),
							
							
					
							'row_type' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Type', 'mediclin' ),
								'default'     => 'container',
								'choices' => array(
									'container' => 'Into Container',
									'container-fluid' => 'Stretch Content'
								),
								'selector' => '.cl-row > .container, .cl-row > .container-fluid',
								'selectClass' => ' '
							),

							'fullheight' => array(
								'type'        => 'switch',
								'label'       => __( 'Full Height Row', 'mediclin' ),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'selector' => '.cl-row > div > .row',
								'addClass' => 'cl_row-fullheight cl_row-flex'
							),
							
							
							
							'content_pos' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Content Position (Fullheight)', 'mediclin' ),
								'tooltip' => esc_attr__( 'Change position of columns and elements into the fullheight Row. Works on Fullheight', 'mediclin' ),
								'default'     => 'middle',
								'choices' => array(
									'middle' => 'Middle',
									'top' => 'Top',
									'bottom' => 'Bottom',
									'stretch' => 'Stretch'
								),
								'selector' => '.cl-row > div > .row',
								'selectClass' => 'cl_row-cp-',
								
								
								
							),
	
							'custom_width_bool' => array(
								'type'        => 'switch',
								'label'       => __( 'Custom Container Width', 'mediclin' ),
								'tooltip' => 'Switch on to add a custom width for container only for this row. Switch Off to leave the default container width.',
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),

								'selector' => '.cl-row',
								'addClass' => 'cl-row--custom-width'

								
							),
	
							'custom_width' => array(
								'type'     => 'slider',
								'priority' => 10,
								'label'       => esc_attr__( 'Custom Container Width', 'mediclin' ),
								'tooltip' => esc_attr__( 'Is applied only for media screen (min-width: 1200px)', 'mediclin' ),
								'default'     => codeless_get_mod('layout_container_width', 1100),
								'choices'     => array(
									'min'  => '0',
									'max'  => '1600',
									'step' => '10',
								),
								'suffix' => 'px',
								'selector' => '.cl-row.cl-row--custom-width > .container-content',
								'css_property' => 'width',
								'media_query' => '(min-width: 1200px)',
								'cl_required'    => array(
									array(
										'setting'  => 'custom_width_bool',
										'operator' => '==',
										'value'    => 1,
									),
								),
							),

						'row_layout_end' => array(
							'type' => 'group_end',
							'label' => 'Row Layout',
							'groupid' => 'layout'
						),

						/* ----------------------------------------------------- */
					
						'columns_start' => array(
							'type' => 'group_start',
							'label' => 'Columns',
							'groupid' => 'columns'
						),
							
							
							'columns_gap' => array(
								'type'     => 'slider',
								'priority' => 10,
								'label'       => esc_attr__( 'Columns Gap', 'mediclin' ),
								'default'     => '15',
								'choices'     => array(
									'min'  => '0',
									'max'  => '35',
									'step' => '1',
								),
								'suffix' => 'px',
								'selector' => '.row > .cl_cl_column > .cl_column, .row > .cl_column',
								'css_property' => array('padding-left', 'padding-right')
							),
							
							
							'equal_height' => array(
								'type'        => 'switch',
								'label'       => __( 'Equal Columns Height', 'mediclin' ),
								'default'     => '0',
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'selector' => '.cl-row > div > .row',
								'addClass' => 'cl_row-equal_height cl_row-flex'
							), 

							'col_responsive' => array(
								'type'        => 'inline_select',
								'label'       => __( 'Responsive Columns', 'mediclin' ),
								'tooltip' => 'This option will change the width of columns on tablets sizes from (768px to 992px). Important option to build responsive perfect layouts.',
								'default'     => 'none',
								'priority'    => 10,
								'choices'     => array(
									'none' => 'None',
									'full'  => esc_attr__( 'Fullwidth Columns', 'mediclin' ),
									'half' => esc_attr__( 'Half Width Columns', 'mediclin' ),
									'one_third' => esc_attr__( 'One / Third Width Columns', 'mediclin' ),
								),
								'selector' => '.cl-row > div > .row',
								'selectClass' => 'cl-col-tablet-'
							),
							
						'columns_end' => array(
							'type' => 'group_end',
							'label' => 'Columns',
							'groupid' => 'columns'
						),
						
						/* --------------------------------------------- */

						'row_info_start' => array(
							'type' => 'group_start',
							'label' => 'Attributes',
							'groupid' => 'attr'
						),
						
							'row_disabled' => array(
								'type'        => 'switch',
								'label'       => __( 'Disable Row', 'mediclin' ),
								'default'     => '0',
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'selector' => '.cl-row',
								'addClass' => 'disabled_row'
							),
							
							'row_id' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Row Id', 'mediclin' ),
								'tooltip' => esc_attr__( 'This is useful when you want to add unique identifier to row.', 'mediclin' ),
								'default'     => '',
							),
							
							'extra_class' => array(
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Extra Class', 'mediclin' ),
								'tooltip' => esc_attr__( 'Add extra class identifiers to this row, that can be used for various custom styles.', 'mediclin' ),
								'default'     => '',
							),
	
							'anchor_label' => array(
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Anchor Label', 'mediclin' ),
								'tooltip' => esc_attr__( 'Used on Vertical Codeless Slider', 'mediclin' ),
								'default'     => '',
								'selector' => '.cl-row',
								'htmldata' => 'anchor'
							),
							
				
						'row_info_end' => array(
							'type' => 'group_end',
							'label' => 'Attributes',
							'groupid' => 'attr'
						),
						
						/* --------------------------------------------- */

						/* ---------------------------------------------- */
				
					
						'video_start' => array(
							'type' => 'group_start',
							'label' => 'Video',
							'groupid' => 'video'
						),
						
						
							'video' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Background', 'mediclin' ),
								
								'default'     => 'none',
								'choices' => array(
									'none'	=> 'None',
									'self' =>	'Self-Hosted',
									'youtube' =>	'Youtube',
									'vimeo' => 'Vimeo'
								),
								'customJS' => 'inlineEdit_videoSection'
							),
							
							'video_mp4' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Mp4', 'mediclin' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'self',
									),
								),
								'customJS' => 'inlineEdit_videoSection'
							),
							'video_webm' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Webm', 'mediclin' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'self',
									),
								),
								'customJS' => 'inlineEdit_videoSection'
							),
							'video_ogv' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Ogv', 'mediclin' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'self',
									),
								),
								'customJS' => 'inlineEdit_videoSection'
							),

							
							'video_youtube' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Youtube iFrame', 'mediclin' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'youtube',
									),
								
								),
								'customJS' => 'inlineEdit_videoSection'
							),
							
							'video_vimeo' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Vimeo Iframe', 'mediclin' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'vimeo',
									),
								
								),
								'customJS' => 'inlineEdit_videoSection'
							),
							
							'row_video_loop' => array(
								'type'        => 'switch',
								'label'       => __( 'Video Loop', 'mediclin' ),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '!=',
										'value'    => 'none',
									),
								),
								'customJS' => 'inlineEdit_videoSection'
							),

						'video_end' => array(
							'type' => 'group_end',
							'label' => 'Video',
							'groupid' => 'video'
						),

					'general_tab_end' => array(
						'type' => 'tab_end',
						'label' => '',
						'tabid' => 'general'
					),

					/*-------------------------------------------------------*/
				
				
					'design_tab_start' => array(
						'type' => 'tab_start',
						'label' => 'Design',
						'tabid' => 'design'
					),
						
						/* ------------------------------------------ */
						
						'panel' => array(
							'type' => 'group_start',
							'label' => 'Box',
							'groupid' => 'design_panel'
						),
					
							'css_style' => array(
								'type' => 'css_tool',
								'label' => 'Tool',
								'selector' => '.cl-row',
								'css_property' => '',
								'default' => array('padding-top' => '45px', 'padding-bottom' => '45px')
							),
							
							'text_color' => array(
								'type' => 'inline_select',
								'label' => 'Text Color',
								'default' => 'dark-text',
								'choices' => array(
									'dark-text' => 'Dark',
									'light-text' => 'Light'
								),
								'selector' => '.cl-row',
								'selectClass' => ''
							),
						
							
						'design_panel_end' => array(
							'type' => 'group_end',
							'label' => 'Animation',
							'groupid' => 'design_panel'
						),
						
						/* ------------------------------------------ */
					
						'background_color_group' => array(
							'type' => 'group_start',
							'label' => 'Background Color',
							'groupid' => 'background_color_group'
						),
						
							'background_color' => array(
								'type' => 'color',
								'label' => 'Background Color',
								'default' => '',
								'selector' => '.cl-row > .bg-layer',
								
								'css_property' => 'background-color',
								'alpha' => true
							),
						
						'background_color_group_end' => array(
							'type' => 'group_end',
							'label' => 'Background Color',
							'groupid' => 'background_color_group'
						),
						
						/* ------------------------------------------- */
						
						'background_image_group' => array(
							'type' => 'group_start',
							'label' => 'Background Image',
							'groupid' => 'background_image_group'
						),
						
							'background_image' => array(
								'type'        => 'image',
								'label'       => __( 'Background Image', 'mediclin' ),
								'default'     => '',
								'priority'    => 10,
								'selector' => '.cl-row > .bg-layer',
								'css_property' => 'background-image',
								'choices' => array(),
							),
							
							'background_position' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Background Position', 'mediclin' ),
								
								'default'     => 'left-top',
								'choices' => array(
									'left top' => 'left top',
									'left center' => 'left center',
									'left bottom' => 'left bottom',
									'right top' => 'right top',
									'right center' => 'right center',
									'right bottom' => 'right bottom',
									'center top' => 'center top',
									'center center' => 'center center',
									'center bottom' => 'center bottom',
								),
								'selector' => '.cl-row > .bg-layer',
								'css_property' => 'background-position',
								
							),

							'background_size' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Background Size', 'mediclin' ),
								
								'default'     => 'cover',
								'choices' => array(
									'cover' => 'Cover',
									'auto' => 'auto',
								),
								'selector' => '.cl-row > .bg-layer',
								'css_property' => 'background-size',
								
							),
							
							'background_repeat' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Background Repeat', 'mediclin' ),
								
								'default'     => 'no-repeat',
								'choices' => array(
									'repeat' => 'repeat',
									'repeat-x' => 'repeat-x',
									'repeat-y' => 'repeat-y',
									'no-repeat' => 'no-repeat'
								),
								'selector' => '.cl-row > .bg-layer',
								'css_property' => array('background-repeat'),
								
							),
							
							'background_attachment' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Bg. Attachment', 'mediclin' ),
								
								'default'     => 'scroll',
								'choices' => array(
									'scroll' => 'scroll',
									'fixed' => 'fixed',
								),
								'selector' => '.cl-row > .bg-layer',
								'css_property' => 'background-attachment',
								
							),
							
							'background_blend' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Bg. Blend', 'mediclin' ),
								
								'default'     => 'normal',
								'choices' => array(
									'normal' => 'normal',
									'multiply' => 'multiply',
									'screen' => 'screen',
									'overlay' => 'overlay',
									'darken' => 'darken',
									'lighten' => 'lighten',
									'color-dodge' => 'color-dodg',
									'color-burn' => 'color-burn',
									'hard-light' => 'hard-light',
									'soft-light' => 'soft-light',
									'difference' => 'difference',
									'exclusion' => 'exclusion',
									'hue' => 'hue',
									'saturation' => 'saturation',
									'color' => 'color',
									'luminosity' => 'luminosity',
								),
								'selector' => '.cl-row > .bg-layer',
								'css_property' => 'background-blend-mode',
								
							),
							
							'parallax' => array(
								'type'        => 'switch',
								'label'       => __( 'Parallax', 'mediclin' ),
								'description'       => __( 'Works with smoothscroll active only.', 'mediclin' ),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'selector' => '.cl-row',
								'addClass' => 'cl-parallax',
								
							),

						
						'background_image_group_end' => array(
							'type' => 'group_end',
							'label' => 'Background Image',
							'groupid' => 'background_image_group'
						),
					
						/* ---------------------------------------------------- */
						
						'overlay_group' => array(
							'type' => 'group_start',
							'label' => 'Overlay',
							'groupid' => 'overlay'
						),
					
							'overlay' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Overlay Backgrund', 'mediclin' ),
								
								'default'     => 'none',
								'choices' => array(
									'none' => 'None',
									'color' => 'Color',
									'gradient' => 'Gradient'
								)
								
							),
							
							'overlay_color' => array(
								'type' => 'color',
								'label' => 'Overlay Color',
								'default' => '',
								'selector' => '.cl-row > .overlay',
								'css_property' => 'background-color',
								'cl_required'    => array(
									array(
										'setting'  => 'overlay',
										'operator' => '==',
										'value'    => 'color',
									),
								),
								'alpha' => false
							),
							
							'overlay_gradient' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Overlay Gradient', 'mediclin' ),
								
								'default'     => 'none',
								'choices' => array(
									'none'	=> 'None',
									'azure_pop' =>	'Azure Pop',
									'love_couple' => 'Love Couple',
									'disco' => 'Disco',
									'limeade' => 'Limeade',
									'dania' => 'Dania',
									'shades_of_grey' =>	'Shades of Grey',
									'dusk' => 'dusk',
									'delhi' => 'delhi',
									'sun_horizon' => 'Sun Horizon',
									'blood_red' => 'Blood Red',
									'sherbert' => 'Sherbert',
									'firewatch' => 'Firewatch',
									'frost' => 'Frost',
									'mauve' => 'Mauve',
									'deep_sea' => 'Deep Sea',
									'solid_vault' => 'Solid Vault',
									'deep_space' =>	'Deep Space',
									'suzy' => 'Suzy'
									
									
								),
								'selector' => '.cl-row > .overlay',
								'selectClass' => 'cl-gradient-',
								'cl_required'    => array(
									array(
										'setting'  => 'overlay',
										'operator' => '==',
										'value'    => 'gradient',
									),
								),
							),
							
							'overlay_opacity' => array(
								'type' => 'slider',
								'label' => 'Overlay Opacity',
								'default' => '0.8',
								'selector' => '.cl-row > .overlay',
								'css_property' => 'opacity',
								'choices'     => array(
									'min'  => '0',
									'max'  => '1',
									'step' => '0.05',
								),
								'cl_required'    => array(
									array(
										'setting'  => 'overlay',
										'operator' => '!=',
										'value'    => 'none',
									),
								),
							),
					
						'overlay_group_end' => array(
							'type' => 'group_end',
							'label' => 'Overlay',
							'groupid' => 'overlay'
						),
					
						/* ------------------------------------------ */
						
						
						'border_style_start' => array(
							'type' => 'group_start',
							'label' => 'Border Style',
							'groupid' => 'border'
						),
						
							'border_style' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Border Style', 'mediclin' ),
								
								'default'     => 'solid',
								'choices' => array(
									'solid'	=> 'solid',
									'dotted' =>	'dotted',
									'dashed' =>	'dashed',
									'double' => 'double',
									'groove' => 'groove',
									'ridge' => 'ridge',	
									'inset' => 'inset',	
									'outset' => 'outset',
								),
								'selector' => '.cl-row',
								'css_property' => 'border-style'
							),
							
							'border_color' => array(
								'type' => 'color',
								'label' => 'Border Color',
								'default' => '',
								'selector' => '.cl-row',
								'css_property' => 'border-color',
								'alpha' => true
							),
						
						'border_style_end' => array(
							'type' => 'group_end',
							'label' => 'Border Style',
							'groupid' => 'border'
						),
						
						/* --------------------------------------------------- */

					'design_tab_end' => array(
						'type' => 'tab_end',
						'label' => '',
						'tabid' => 'design'
					),

					'animation_tab_start' => array(
						'type' => 'tab_start',
						'label' => 'Animation',
						'tabid' => 'animation'
					),
	
					'animation' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
								'default'     => 'none',
								'choices' => array(
									'none'	=> 'None',
									'top-t-bottom' =>	'Top-Bottom',
									'bottom-t-top' =>	'Bottom-Top',
									'right-t-left' => 'Right-Left',
									'left-t-right' => 'Left-Right',
									'alpha-anim' => 'Fade-In',	
									'zoom-in' => 'Zoom-In',	
									'zoom-out' => 'Zoom-Out',
									'zoom-reverse' => 'Zoom-Reverse',
								),
								'selector' => '.cl-row > .bg-layer',
								'group_vc' => 'Animations'
							),
							
							'animation_delay' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
								'default'     => 'none',
								'choices' => array(
									'none'	=> 'None',
									'100' =>	'ms 100',
									'200' =>	'ms 200',
									'300' =>	'ms 300',
									'400' =>	'ms 400',
									'500' =>	'ms 500',
									'600' =>	'ms 600',
									'700' =>	'ms 700',
									'800' =>	'ms 800',
									'900' =>	'ms 900',
									'1000' =>	'ms 1000',
									'1100' =>	'ms 1100',
									'1200' =>	'ms 1200',
									'1300' =>	'ms 1300',
									'1400' =>	'ms 1400',
									'1500' =>	'ms 1500',
									'1600' =>	'ms 1600',
									'1700' =>	'ms 1700',
									'1800' =>	'ms 1800',
									'1900' =>	'ms 1900',
									'2000' =>	'ms 2000',
								
								),
								'selector' => '.cl-row > .bg-layer',
								'htmldata' => 'delay',
								
								'group_vc' => 'Animations'
							),
							
							'animation_speed' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
								'default'     => '400',
								'choices' => array(
									'none'	=> 'None',
									'100' =>	'ms 100',
									'200' =>	'ms 200',
									'300' =>	'ms 300',
									'400' =>	'ms 400',
									'500' =>	'ms 500',
									'600' =>	'ms 600',
									'700' =>	'ms 700',
									'800' =>	'ms 800',
									'900' =>	'ms 900',
									'1000' =>	'ms 1000'
									
								
								),
								'selector' => '.cl-row > .bg-layer',
								'htmldata' => 'speed',
								
								'group_vc' => 'Animations'
							),
	
					'animation_tab_end' => array(
						'type' => 'tab_end',
						'label' => 'Animation',
						'tabid' => 'animation'
					),
	
	
	
	
					'responsive_tab_start' => array(
						'type' => 'tab_start',
						'label' => 'Responsive',
						'tabid' => 'responsive'
					),
						
						
							'device_visibility' => array(
								'type'     => 'multicheck',
								'priority' => 10,
								'label'       => esc_attr__( 'Devices Visibility', 'mediclin' ),
								'default'     => '',
								'choices' => array(
									'hidden-xs' => esc_attr__( 'Hide on Phones (smaller-than-768px)', 'mediclin' ),
									'hidden-sm' => esc_attr__('Hide on Tables (larger-then-768px)', 'mediclin' ),
									'hidden-md' => esc_attr__('Hide on Medium Desktops (larger-then-992px) ', 'mediclin' ),
									'hidden-lg' => esc_attr__('Hide on Large Desktops (larger-then1200px)', 'mediclin' ),
								),
								'selector' => '.cl-row',
								'selectClass' => '',
								'group_vc' => 'Responsive',
	
							),
	
							'col_responsive' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Responsive Columns', 'mediclin' ),
								'tooltip' => 'This option will change the width of columns on tablets sizes from (768px to 992px). Important option to build responsive perfect layouts.',
								'default'     => 'none',
								'priority'    => 10,
								'choices'     => array(
									'none' => 'None',
									'full'  => esc_attr__( 'Fullwidth Columns', 'mediclin' ),
									'half' => esc_attr__( 'Half Width Columns', 'mediclin' ),
									'one_third' => esc_attr__( 'One / Third Width Columns', 'mediclin' ),
								),
								'selector' => '.cl-row > div > .row',
								'selectClass' => 'cl-col-tablet-',
								'group_vc' => 'Responsive'
							),
	
							'css_style_991_row_bool' => array(
								'type'        => 'switch',
								'label'       => esc_html__( 'Custom Box Design on max-width:991px (Tablet & Mobile)', 'mediclin' ),
								'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:991px', 'mediclin' ),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'group_vc' => 'Responsive'
							),
	
							'css_style_991' => array(
								'type' => 'css_tool',
								'label' => 'Tool',
								'selector' => '.cl-row',
								'css_property' => '',
								'default' => array('padding-top' => '', 'padding-bottom' => ''),
								'media_query' => '(max-width: 991px)',
								'cl_required'    => array(
									array(
										'setting'  => 'css_style_991_row_bool',
										'operator' => '==',
										'value'    => true,
									),
								),
								'group_vc' => 'Responsive'
							),
	
	
	
							'css_style_767_row_bool' => array(
								'type'        => 'switch',
								'label'       => esc_html__( 'Custom Box Design on max-width:767px (Only Mobile)', 'mediclin' ),
								'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:767px', 'mediclin' ),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'mediclin' ),
									'off' => esc_attr__( 'Off', 'mediclin' ),
								),
								'group_vc' => 'Responsive'
								
							),
	
							'css_style_767' => array(
								'type' => 'css_tool',
								'label' => 'Tool',
								'selector' => '.cl-row',
								'css_property' => '',
								'default' => array('padding-top' => '', 'padding-bottom' => ''),
								'media_query' => '(max-width: 767px)',
								'cl_required'    => array(
									array(
										'setting'  => 'css_style_767_row_bool',
										'operator' => '==',
										'value'    => true,
									),
								),
								'group_vc' => 'Responsive'
							),
						
	
					'responsive_tab_end' => array(
						'type' => 'tab_end',
						'label' => 'Responsive',
						'tabid' => 'responsive'
					),
			)
	));

	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Row', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		'tooltip' => 'Manage all options of the selected Row',
		//'priority'    => 10,
		
		'transport'   => 'postMessage',
		'settings'    => 'cl_row_inner',
		'is_container' => true,
		'marginPositions' => array('top'),
		'fields' => array(
			'inner_columns_gap' => array(
						'type'     => 'slider',
						'priority' => 10,
						'label'       => esc_attr__( 'Inner Columns Gap', 'mediclin' ),
						'default'     => '15',
						'choices'     => array(
							'min'  => '0',
							'max'  => '35',
							'step' => '1',
						),
						'suffix' => 'px',
						'selector' => '.row > .cl_cl_column_inner',
						'css_property' => array('padding-left', 'padding-right'),
						'customJS' => 'inlineEdit_InnerColumns'
					),
			'css_style' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl-row_inner',
						'css_property' => '',
						'default' => array('margin-top' => '35px'),
			),
		)
	));
	
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Column', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		
		'transport'   => 'postMessage',
		'settings'    => 'cl_column',
		'paddingPositions' => array('top', 'bottom', 'left', 'right'),
		'is_container' => true,
		'fields' => array(
			'width' => array(
				'type'     => 'select',
				'priority' => 10,
				'label'       => esc_attr__( 'Link Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => '1/1',
				'show' => false,
				'choices'     => array(
					'1/12' => '1 Column',
					'1/6' => '2 Columns',
					'1/4' => '3 Columns',
					'1/3' => '4 Columns',
					'5/12' => '5 Columns',
					'1/2' => '6 Columns',
					'7/12' => '7 Columns',
					'2/3' => '8 Columns',
					'3/4' => '9 Columns',
					'5/6' => '10 Columns',
					'11/12' => '11 Columns',
					'1/1' => '12 Columns',
				),
			),
			
			'element_tabs' => array(
				'type' => 'show_tabs',
				'default' => 'general',
				'tabs' => array(
					'general' => array( 'General', 'cl-icon-settings' ),
					'design' => array( 'Design', 'cl-icon-tune' ),
					'animation' => array( 'Animation', 'cl-icon-animation' ),
					'responsive' => array( 'Responsive', 'cl-icon-responsive' )
				)
			),
			
			'general_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'General',
				'tabid' => 'general'
			),
			
				'column_info_start' => array(
					'type' => 'group_start',
					'label' => 'Attributes',
					'groupid' => 'attr'
				),
						

					'horizontal_align' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Horizontal Align', 'mediclin' ),
						'tooltip' => esc_attr__( 'Horizontal Alignment of elements into this column(container)', 'mediclin' ),
						'default'     => 'left',
						'choices' => array(
							'left' => 'Left',
							'middle' => 'Middle',
							'right' => 'Right'
						),
						'selector' => '.cl_column',
						'selectClass' => 'align-h-',
						
					),

					'vertical_align' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Vertical Align', 'mediclin' ),
						'tooltip' => esc_attr__( 'Vertical Alignment of elements into this column(container)', 'mediclin' ),
						'default'     => 'top',
						'choices' => array(
							'top' => 'Top',
							'middle' => 'Middle',
							'bottom' => 'Bottom'
						),
						'selector' => '.cl_column',
						'selectClass' => 'align-v-',
						
					),

					'col_sticky' => array(
						'type'        => 'switch',
						'label'       => __( 'Sticky Column', 'mediclin' ),
						'tooltip' => 'Make this Column sticky on this page',
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_column',
						'addClass' => 'cl-sticky'
					),

					'col_disabled' => array(
						'type'        => 'switch',
						'label'       => __( 'Disable Column', 'mediclin' ),
						'tooltip' => 'Make this Column invisible in this Page',
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_column',
						'addClass' => 'disabled_col'
					),

					'col_id' => array(
						
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Column Id', 'mediclin' ),
						'tooltip' => esc_attr__( 'This is useful when you want to add unique identifier to columns.', 'mediclin' ),
						'default'     => '',
					),
					
					'extra_class' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Extra Class', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add extra class identifiers to this column, that can be used for various custom styles.', 'mediclin' ),
						'default'     => '',
					),

					'custom_link' => array(

						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Column Link', 'mediclin' ),
						'default'     => '#',
						'reloadTemplate' => false
					),

					'target' => array(

						'type' => 'inline_select',
						'priority' => 10,
						'label' => esc_attr__('Specify where to open the custom link ', 'mediclin'),
						'default' => '_self',
						'choices' => array(
							'_self' => 'Open in the Same Window',
							'_blank' => 'Open link in a new tab',
							'_parent' => 'Open link in the parent frame',
							'_top' => 'Open the link in the full body of the window'

						)

					),

					'column_effect' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Effect on hover', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none' => 'None',
							'image_zoom' => 'Image Zoom'
						),
						'selector' => '.cl_column',
						'selectClass' => 'effect-',
						
					),
					
		
				'column_info_end' => array(
					'type' => 'group_end',
					'label' => 'Attributes',
					'groupid' => 'attr'
				),

				
			'general_tab_end' => array(
				'type' => 'tab_end',
				'label' => 'General',
				'tabid' => 'general'
			),
				
				
			'design_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'Design',
				'tabid' => 'design'
			),
				
				/* ------------------------------------------ */
				
				'panel' => array(
					'type' => 'group_start',
					'label' => 'Box',
					'groupid' => 'design_panel'
				),
			
					'css_style' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl_column > .cl_col_wrapper',
						'css_property' => '',
						'default' => array('padding-top' => '20px', 'padding-bottom' => '20px'),
					),
					
					'text_color' => array(
						'type' => 'inline_select',
						'label' => 'Text Color',
						'default' => 'dark-text',
						'choices' => array(
							'dark-text' => 'Dark',
							'light-text' => 'Light'
						),
						'selector' => '.cl_column',
						'selectClass' => ''
					),
				
					
				'design_panel_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'design_panel'
				),
				
				/* ------------------------------------------ */
			
				'background_color_group' => array(
					'type' => 'group_start',
					'label' => 'Background Color',
					'groupid' => 'background_color_group'
				),
				
					'background_color' => array(
						'type' => 'color',
						'label' => 'Background Color',
						'default' => '',
						'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
						'css_property' => 'background-color',
						'alpha' => true
					),
				
				'background_color_group_end' => array(
					'type' => 'group_end',
					'label' => 'Background Color',
					'groupid' => 'background_color_group'
				),
				
				/* ------------------------------------------- */
				
				'background_image_group' => array(
					'type' => 'group_start',
					'label' => 'Background Image',
					'groupid' => 'background_image_group'
				),
				
					'background_image' => array(
						'type'        => 'image',
						'label'       => __( 'Background Image', 'mediclin' ),
						'default'     => '',
						'priority'    => 10,
						'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
						'css_property' => 'background-image',
						'choices' => array(),
					),
					
					'background_position' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Background Position', 'mediclin' ),
						
						'default'     => 'left top',
						'choices' => array(
							'left top' => 'left top',
							'left center' => 'left center',
							'left bottom' => 'left bottom',
							'right top' => 'right top',
							'right center' => 'right center',
							'right bottom' => 'right bottom',
							'center top' => 'center top',
							'center center' => 'center center',
							'center bottom' => 'center bottom',
						),
						'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
						'css_property' => 'background-position',
						
						
					),
					
					'background_repeat' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Background Repeat', 'mediclin' ),
						
						'default'     => 'no-repeat',
						'choices' => array(
							'repeat' => 'repeat',
							'repeat-x' => 'repeat-x',
							'repeat-y' => 'repeat-y',
							'no-repeat' => 'no-repeat'
						),
						'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
						'css_property' => array('background-repeat', array('background-size', array('no-repeat' => 'cover', 'other' => 'auto') ) ),
						
					),
					
					'background_attachment' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Bg. Attachment', 'mediclin' ),
						
						'default'     => 'scroll',
						'choices' => array(
							'scroll' => 'scroll',
							'fixed' => 'fixed',
						),
						'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
						'css_property' => 'background-attachment',
						
					),
					
					'background_blend' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Bg. Blend', 'mediclin' ),
						
						'default'     => 'normal',
						'choices' => array(
							'normal' => 'normal',
							'multiply' => 'multiply',
							'screen' => 'screen',
							'overlay' => 'overlay',
							'darken' => 'darken',
							'lighten' => 'lighten',
							'color-dodge' => 'color-dodg',
							'color-burn' => 'color-burn',
							'hard-light' => 'hard-light',
							'soft-light' => 'soft-light',
							'difference' => 'difference',
							'exclusion' => 'exclusion',
							'hue' => 'hue',
							'saturation' => 'saturation',
							'color' => 'color',
							'luminosity' => 'luminosity',
						),
						'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
						'css_property' => 'background-blend-mode',
						
					),
					
					
				
				'background_image_group_end' => array(
					'type' => 'group_end',
					'label' => 'Background Image',
					'groupid' => 'background_image_group'
				),
			
				/* ---------------------------------------------------- */
				
				'overlay_group' => array(
					'type' => 'group_start',
					'label' => 'Overlay',
					'groupid' => 'overlay'
				),
			
					'overlay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Overlay Backgrund', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none' => 'None',
							'color' => 'Color',
							'gradient' => 'Gradient'
						)
						
					),
					
					'overlay_color' => array(
						'type' => 'color',
						'label' => 'Overlay Color',
						'default' => '',
						'selector' => '.cl_column > .cl_col_wrapper > .overlay',
						'css_property' => 'background-color',
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '==',
								'value'    => 'color',
							),
						),
						'alpha' => false
					),
					
					'overlay_gradient' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Overlay Gradient', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'azure_pop' =>	'Azure Pop',
							'love_couple' => 'Love Couple',
							'disco' => 'Disco',
							'limeade' => 'Limeade',
							'dania' => 'Dania',
							'shades_of_grey' =>	'Shades of Grey',
							'dusk' => 'dusk',
							'delhi' => 'delhi',
							'sun_horizon' => 'Sun Horizon',
							'blood_red' => 'Blood Red',
							'sherbert' => 'Sherbert',
							'firewatch' => 'Firewatch',
							'frost' => 'Frost',
							'mauve' => 'Mauve',
							'deep_sea' => 'Deep Sea',
							'solid_vault' => 'Solid Vault',
							'deep_space' =>	'Deep Space',
							'suzy' => 'Suzy'
							
							
						),
						'selector' => '.cl_column > .cl_col_wrapper > .overlay',
						'selectClass' => 'cl-gradient-',
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '==',
								'value'    => 'gradient',
							),
						),
					),
					
					'overlay_opacity' => array(
						'type' => 'slider',
						'label' => 'Overlay Opacity',
						'default' => '0.8',
						'selector' => '.cl_column > .cl_col_wrapper > .overlay',
						'css_property' => 'opacity',
						'choices'     => array(
							'min'  => '0',
							'max'  => '1',
							'step' => '0.05',
						),
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
					),
			
				'overlay_group_end' => array(
					'type' => 'group_end',
					'label' => 'Overlay',
					'groupid' => 'overlay'
				),
			
				/* ------------------------------------------ */
				
				
				'border_style_start' => array(
					'type' => 'group_start',
					'label' => 'Border Style',
					'groupid' => 'border'
				),
				
					'border_style' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Border Style', 'mediclin' ),
						
						'default'     => 'solid',
						'choices' => array(
							'solid'	=> 'solid',
							'dotted' =>	'dotted',
							'dashed' =>	'dashed',
							'double' => 'double',
							'groove' => 'groove',
							'ridge' => 'ridge',	
							'inset' => 'inset',	
							'outset' => 'outset',
						),
						'selector' => '.cl_column > .cl_col_wrapper',
						'css_property' => 'border-style'
					),
					
					'border_color' => array(
						'type' => 'color',
						'label' => 'Border Color',
						'default' => '',
						'selector' => '.cl_column > .cl_col_wrapper',
						'css_property' => 'border-color',
						'alpha' => true
					),

					'border_rounded' => array(
						'type'        => 'switch',
						'label'       => __( 'Border Rounded', 'mediclin' ),
						
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_column',
						'addClass' => 'cl-border-rounded'
					),
				
				'border_style_end' => array(
					'type' => 'group_end',
					'label' => 'Border Style',
					'groupid' => 'border'
				),
				
				/* --------------------------------------------------- */

			'design_tab_end' => array(
				'type' => 'tab_end',
				'label' => '',
				'tabid' => 'design'
			),
			

			'animation_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'Animation',
				'tabid' => 'animation'
			),

				'animation' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'top-t-bottom' =>	'Top-Bottom',
							'bottom-t-top' =>	'Bottom-Top',
							'right-t-left' => 'Right-Left',
							'left-t-right' => 'Left-Right',
							'alpha-anim' => 'Fade-In',	
							'zoom-in' => 'Zoom-In',	
							'zoom-out' => 'Zoom-Out',
							'zoom-reverse' => 'Zoom-Reverse',
							'flip-in' => 'Flip In',
							'reveal-right' => 'Reveal Right',
							'reveal-left' => 'Reveal Left',
							'reveal-top' => 'Reveal Top',
							'reveal-bottom' => 'Reveal Bottom',
						),
						'selector' => '.cl_column',
						'group_vc' => 'Animations'
					),
					
					'animation_delay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000',
							'1100' =>	'ms 1100',
							'1200' =>	'ms 1200',
							'1300' =>	'ms 1300',
							'1400' =>	'ms 1400',
							'1500' =>	'ms 1500',
							'1600' =>	'ms 1600',
							'1700' =>	'ms 1700',
							'1800' =>	'ms 1800',
							'1900' =>	'ms 1900',
							'2000' =>	'ms 2000',
						
						),
						'selector' => '.cl_column',
						'htmldata' => 'delay',
						
						'group_vc' => 'Animations'
					),
					
					'animation_speed' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
						
						'default'     => '400',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000'
							
						
						),
						'selector' => '.cl_column',
						'htmldata' => 'speed',
						
						'group_vc' => 'Animations'
					),
			'animation_tab_end' => array(
				'type' => 'tab_end',
				'label' => 'Animation',
				'tabid' => 'animation'
			),





			'responsive_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'Responsive',
				'tabid' => 'responsive'
			),

				'device_visibility' => array(
						'type'     => 'multicheck',
						'priority' => 10,
						'label'       => esc_attr__( 'Devices Visibility', 'mediclin' ),
						'default'     => '',
						'choices' => array(
							'hidden-xs' => esc_attr__( 'Hide on Phones (smaller-than-768px)', 'mediclin' ),
							'hidden-sm' => esc_attr__('Hide on Tables (larger-then-768px)', 'mediclin' ),
							'hidden-md' => esc_attr__('Hide on Medium Desktops (larger-then-992px) ', 'mediclin' ),
							'hidden-lg' => esc_attr__('Hide on Large Desktops (larger-then1200px)', 'mediclin' ),
						),
						'selector' => '.cl_column',
						'selectClass' => '',
						'group_vc' => 'Responsive'
					),

				'css_style_991_col_bool' => array(
						'type'        => 'switch',
						'label'       => esc_html__( 'Custom Box Design on max-width:991px (Tablet & Mobile)', 'mediclin' ),
						'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:991px', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'group_vc' => 'Responsive'
					),

					'css_style_991' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl_column > .cl_col_wrapper',
						'css_property' => '',
						'default' => array('padding-top' => '', 'padding-bottom' => ''),
						'media_query' => '(max-width: 991px)',
						'cl_required'    => array(
							array(
								'setting'  => 'css_style_991_col_bool',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => 'Responsive'
					),



					'css_style_767_col_bool' => array(
						'type'        => 'switch',
						'label'       => esc_html__( 'Custom Box Design on max-width:767px ( Only Mobile )', 'mediclin' ),
						'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:767px', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'group_vc' => 'Responsive'
						
					),

					'css_style_767' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl_column > .cl_col_wrapper',
						'css_property' => '',
						'default' => array('padding-top' => '', 'padding-bottom' => ''),
						'media_query' => '(max-width: 767px)',
						'cl_required'    => array(
							array(
								'setting'  => 'css_style_767_col_bool',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => 'Responsive'
					),

			'responsive_tab_end' => array(
				'type' => 'tab_end',
				'label' => 'Responsive',
				'tabid' => 'responsive'
			),
				
		),
		
	) );
	
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Column', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		
		'transport'   => 'postMessage',
		'settings'    => 'cl_column_inner',
		'paddingPositions' => array('top', 'bottom', 'left', 'right'),
		'is_container' => true,
		'fields' => array(



			'width' => array(
				'type'     => 'select',
				'priority' => 10,
				'label'       => esc_attr__( 'Link Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => '1/1',
				'show' => false,
				'choices'     => array(
					'1/12' => '1 Column',
					'1/6' => '2 Columns',
					'1/4' => '3 Columns',
					'1/3' => '4 Columns',
					'5/12' => '5 Columns',
					'1/2' => '6 Columns',
					'7/12' => '7 Columns',
					'2/3' => '8 Columns',
					'3/4' => '9 Columns',
					'5/6' => '10 Columns',
					'11/12' => '11 Columns',
					'1/1' => '12 Columns',
				),
			),

			'element_tabs' => array(
				'type' => 'show_tabs',
				'default' => 'general',
				'tabs' => array(
					'general' => array( 'General', 'cl-icon-settings' ),
					'design' => array( 'Design', 'cl-icon-tune' ),
					'responsive' => array( 'Responsive', 'cl-icon-responsive' )
				)
			),
			
			'gen_tab_start' => array(
					'type' => 'tab_start',
					'label' => 'General',
					'tabid' => 'general'
				),

			'inline_elements' => array(
						'type'        => 'switch',
						'label'       => __( 'Inline Elements', 'mediclin' ),
						'tooltip' => 'By activating this, elements of this column will be shown inline.',
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_column_inner',
						'addClass' => 'cl-inline-column'
				),

			'animation_start' => array(
					'type' => 'group_start',
					'label' => 'Animation',
					'groupid' => 'animation'
				),
				
					'animation' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'top-t-bottom' =>	'Top-Bottom',
							'bottom-t-top' =>	'Bottom-Top',
							'right-t-left' => 'Right-Left',
							'left-t-right' => 'Left-Right',
							'alpha-anim' => 'Fade-In',	
							'zoom-in' => 'Zoom-In',	
							'zoom-out' => 'Zoom-Out',
							'zoom-reverse' => 'Zoom-Reverse',
						),
						'selector' => '.cl_column_inner',
						'customJS' => array('front' => 'codeless_builder_animations')
					),
					
					'animation_delay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000',
							'1100' =>	'ms 1100',
							'1200' =>	'ms 1200',
							'1300' =>	'ms 1300',
							'1400' =>	'ms 1400',
							'1500' =>	'ms 1500',
							'1600' =>	'ms 1600',
							'1700' =>	'ms 1700',
							'1800' =>	'ms 1800',
							'1900' =>	'ms 1900',
							'2000' =>	'ms 2000',
						
						),
						'selector' => '.cl_column_inner',
						'htmldata' => 'delay',
						
						'customJS' => array('front' => 'codeless_builder_animations')
					),
					
					'animation_speed' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
						
						'default'     => '400',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000'
							
						
						),
						'selector' => '.cl_column_inner',
						'htmldata' => 'speed',
						
						'customJS' => array('front' => 'codeless_builder_animations')
					),
				
				'animation_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'animation'
				),

				'gen_tab_end' => array(
					'type' => 'tab_end',
					'label' => 'General',
					'tabid' => 'general'
				),

				'design_tab_start' => array(
					'type' => 'tab_start',
					'label' => 'Design',
					'tabid' => 'design'
				),
			
				/* ------------------------------------------ */
				
				'panel' => array(
					'type' => 'group_start',
					'label' => 'Box',
					'groupid' => 'design_panel'
				),
			
					'css_style' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl_column_inner > .wrapper',
						'css_property' => '',
						'default' => array('padding-top' => '10px', 'padding-bottom' => '10px'),
					),
					
					'text_color' => array(
						'type' => 'inline_select',
						'label' => 'Text Color',
						'default' => 'dark-text',
						'choices' => array(
							'dark-text' => 'Dark',
							'light-text' => 'Light'
						),
						'selector' => '.cl_column_inner',
						'selectClass' => ''
					),
				
					
				'design_panel_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'design_panel'
				),
				
				/* ------------------------------------------ */
			
				'background_color_group' => array(
					'type' => 'group_start',
					'label' => 'Background Color',
					'groupid' => 'background_color_group'
				),
				
					'background_color' => array(
						'type' => 'color',
						'label' => 'Background Color',
						'default' => '',
						'selector' => '.cl_column_inner > .wrapper > .bg-layer',
						'css_property' => 'background-color',
						'alpha' => true
					),
				
				'background_color_group_end' => array(
					'type' => 'group_end',
					'label' => 'Background Color',
					'groupid' => 'background_color_group'
				),
				
				/* ------------------------------------------- */
				
				'background_image_group' => array(
					'type' => 'group_start',
					'label' => 'Background Image',
					'groupid' => 'background_image_group'
				),
				
					'background_image' => array(
						'type'        => 'image',
						'label'       => __( 'Background Image', 'mediclin' ),
						'default'     => '',
						'priority'    => 10,
						'selector' => '.cl_column_inner > .wrapper > .bg-layer',
						'css_property' => 'background-image',
						'choices' => array(),
					),
					
					'background_position' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Background Position', 'mediclin' ),
						
						'default'     => 'left top',
						'choices' => array(
							'left top' => 'left top',
							'left center' => 'left center',
							'left bottom' => 'left bottom',
							'right top' => 'right top',
							'right center' => 'right center',
							'right bottom' => 'right bottom',
							'center top' => 'center top',
							'center center' => 'center center',
							'center bottom' => 'center bottom',
						),
						'selector' => '.cl_column_inner > .wrapper > .bg-layer',
						'css_property' => 'background-position',
						
					),
					
					'background_repeat' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Background Repeat', 'mediclin' ),
						
						'default'     => 'no-repeat',
						'choices' => array(
							'repeat' => 'repeat',
							'repeat-x' => 'repeat-x',
							'repeat-y' => 'repeat-y',
							'no-repeat' => 'no-repeat'
						),
						'selector' => '.cl_column_inner > .wrapper > .bg-layer',
						'css_property' => array('background-repeat', array('background-size', array('no-repeat' => 'cover', 'other' => 'auto') ) ),
						
					),
					
					'background_attachment' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Bg. Attachment', 'mediclin' ),
						
						'default'     => 'scroll',
						'choices' => array(
							'scroll' => 'scroll',
							'fixed' => 'fixed',
						),
						'selector' => '.cl_column_inner > .wrapper > .bg-layer',
						'css_property' => 'background-attachment',
						
					),
					
					'background_blend' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Bg. Blend', 'mediclin' ),
						
						'default'     => 'normal',
						'choices' => array(
							'normal' => 'normal',
							'multiply' => 'multiply',
							'screen' => 'screen',
							'overlay' => 'overlay',
							'darken' => 'darken',
							'lighten' => 'lighten',
							'color-dodge' => 'color-dodg',
							'color-burn' => 'color-burn',
							'hard-light' => 'hard-light',
							'soft-light' => 'soft-light',
							'difference' => 'difference',
							'exclusion' => 'exclusion',
							'hue' => 'hue',
							'saturation' => 'saturation',
							'color' => 'color',
							'luminosity' => 'luminosity',
						),
						'selector' => '.cl_column_inner > .wrapper > .bg-layer',
						'css_property' => 'background-blend-mode',
						
					),
					
					
				
				'background_image_group_end' => array(
					'type' => 'group_end',
					'label' => 'Background Image',
					'groupid' => 'background_image_group'
				),
			
				/* ---------------------------------------------------- */
				
				'overlay_group' => array(
					'type' => 'group_start',
					'label' => 'Overlay',
					'groupid' => 'overlay'
				),
			
					'overlay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Overlay Backgrund', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none' => 'None',
							'color' => 'Color',
							'gradient' => 'Gradient'
						)
						
					),
					
					'overlay_color' => array(
						'type' => 'color',
						'label' => 'Overlay Color',
						'default' => '',
						'selector' => '.cl_column_inner > .wrapper > .overlay',
						'css_property' => 'background-color',
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '==',
								'value'    => 'color',
							),
						),
						'alpha' => false
					),
					
					'overlay_gradient' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Overlay Gradient', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'azure_pop' =>	'Azure Pop',
							'love_couple' => 'Love Couple',
							'disco' => 'Disco',
							'limeade' => 'Limeade',
							'dania' => 'Dania',
							'shades_of_grey' =>	'Shades of Grey',
							'dusk' => 'dusk',
							'delhi' => 'delhi',
							'sun_horizon' => 'Sun Horizon',
							'blood_red' => 'Blood Red',
							'sherbert' => 'Sherbert',
							'firewatch' => 'Firewatch',
							'frost' => 'Frost',
							'mauve' => 'Mauve',
							'deep_sea' => 'Deep Sea',
							'solid_vault' => 'Solid Vault',
							'deep_space' =>	'Deep Space',
							'suzy' => 'Suzy'
							
							
						),
						'selector' => '.cl_column_inner > .wrapper > .overlay',
						'selectClass' => 'cl-gradient-',
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '==',
								'value'    => 'gradient',
							),
						),
					),
					
					'overlay_opacity' => array(
						'type' => 'slider',
						'label' => 'Overlay Opacity',
						'default' => '0.8',
						'selector' => '.cl_column_inner > .wrapper > .overlay',
						'css_property' => 'opacity',
						'choices'     => array(
							'min'  => '0',
							'max'  => '1',
							'step' => '0.05',
						),
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
					),
			
				'overlay_group_end' => array(
					'type' => 'group_end',
					'label' => 'Overlay',
					'groupid' => 'overlay'
				),
			
				/* ------------------------------------------ */
				
				
				'border_style_start' => array(
					'type' => 'group_start',
					'label' => 'Border Style',
					'groupid' => 'border'
				),
				
					'border_style' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Border Style', 'mediclin' ),
						
						'default'     => 'solid',
						'choices' => array(
							'solid'	=> 'solid',
							'dotted' =>	'dotted',
							'dashed' =>	'dashed',
							'double' => 'double',
							'groove' => 'groove',
							'ridge' => 'ridge',	
							'inset' => 'inset',	
							'outset' => 'outset',
						),
						'selector' => '.cl_column_inner > .wrapper',
						'css_property' => 'border-style'
					),
					
					'border_color' => array(
						'type' => 'color',
						'label' => 'Border Color',
						'default' => '',
						'selector' => '.cl_column_inner > .wrapper',
						'css_property' => 'border-color',
						'alpha' => true
					),
				
				'border_style_end' => array(
					'type' => 'group_end',
					'label' => 'Border Style',
					'groupid' => 'border'
				),
				
				/* --------------------------------------------------- */

			'design_tab_end' => array(
				'type' => 'tab_end',
				'label' => '',
				'tabid' => 'design'
			),


			'responsive_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'Responsive',
				'tabid' => 'responsive'
			),

				'css_style_991_colinner_bool' => array(
						'type'        => 'switch',
						'label'       => esc_html__( 'Custom Box Design on max-width:991px (Table & Mobile)', 'mediclin' ),
						'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:991px', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
					),

					'css_style_991' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl_column_inner > .wrapper',
						'css_property' => '',
						'default' => array('margin-top' => 0),
						'media_query' => '(max-width: 991px)',
						'cl_required'    => array(
							array(
								'setting'  => 'css_style_991_colinner_bool',
								'operator' => '==',
								'value'    => true,
							),
						),
					),



					'css_style_767_colinner_bool' => array(
						'type'        => 'switch',
						'label'       => esc_html__( 'Custom Box Design on max-width:767px ( Only Mobile )', 'mediclin' ),
						'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:767px', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						
					),

					'css_style_767' => array(
						'type' => 'css_tool',
						'label' => 'Tool',
						'selector' => '.cl_column_inner > .wrapper',
						'css_property' => '',
						'default' => array('margin-top' => 0),
						'media_query' => '(max-width: 767px)',
						'cl_required'    => array(
							array(
								'setting'  => 'css_style_767_colinner_bool',
								'operator' => '==',
								'value'    => true,
							),
						),
					),

			'responsive_tab_end' => array(
				'type' => 'tab_end',
				'label' => 'Responsive',
				'tabid' => 'responsive'
			),
			
			
		),
		
	) );


	/* Page Header */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Page Header', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		'icon'		  => 'icon-software-layout-header',
		//'priority'    => 10,
		'transport'   => 'postMessage',
		'settings'    => 'cl_page_header',
		'shiftClick'  => 'h1_dark_color',
		'marginPositions' => array('top'),
		'is_container' => false,
		'is_root'	  => true,
		'fields' => array(
			'element_tabs' => array(
				'type' => 'show_tabs',
				'default' => 'general',
				'tabs' => array(
					'general' => array( 'General', 'cl-icon-settings' ),
					'design' => array( 'Design', 'cl-icon-tune' )
				)
			),
			
			'general_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'General',
				'tabid' => 'general'
			),
				
				'title' => array(
					'type'     => 'inline_text',
					'only_text' => true,
					'priority' => 10,
					'selector' => '.cl_page_header h1',
					'label'       => esc_attr__( 'Title', 'mediclin' ),
					'default'     => '',
					'replace_type_vc' => 'textfield',
					'holder' => 'h3'
				),
				
				
				'type' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Page Header Style', 'mediclin' ),
						
						'default'     => 'simple',
						'choices' => array(
							'simple'	=> 'Simple',
							'modern' =>	'Modern'
							
						),

						'selector' => '.cl_page_header',
						'selectClass' => '',
						'reloadTemplate' => true
						
				),



				
				'modern_style' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Modern Title Position', 'mediclin' ),
						
						'default'     => 'center',
						'choices' => array(
							'left_center'	=> 'Left Center',
							'center' =>	'Center',
							'right_center' => 'Right Center',
							'left_bottom' => 'Left Bottom',
							'center_bottom' => 'Center Bottom',
							'right_bottom' => 'Right Bottom',
							
						),
						'cl_required'    => array(
							array(
								'setting'  => 'type',
								'operator' => '==',
								'value'    => 'modern',
							),
						),
						
						'selector' => '.cl_page_header',
						'selectClass' => 'modern-'
						
				),
				
				
				
					
				'add_description' => array(
						'type'        => 'switch',
						'label'       => __( 'Description or second title', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'reloadTemplate' => true,
						
				),
				
				'description' => array(
					'type'     => 'inline_text',
					'only_text' => true,
					'priority' => 10,
					'selector' => '.cl_page_header span.subtitle',
					'label'       => esc_attr__( 'Description', 'mediclin' ),
					'default'     => __('click to edit description', 'mediclin' ),
					'replace_type_vc' => 'textfield',
					'cl_required'    => array(
						array(
							'setting'  => 'add_description',
							'operator' => '==',
							'value'    => true,
						),
					),
				),
				

				'modern_effect' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Effect', 'mediclin' ),
						'default'     => 'none',
						'priority'    => 10,
						'choices'     => array(
							'none' => esc_attr__( 'None', 'mediclin' ),
							'gradient_shadow'  => esc_attr__( 'Gradient Shadow', 'mediclin' )
						),
						'selector' => '.cl_page_header',
						'selectClass' => 'modern-effect-',
						'cl_required'    => array(
							array(
								'setting'  => 'type',
								'operator' => '==',
								'value'    => 'modern',
							),
						),
					),
				
				
			
			
			
			'general_tab_end' => array(
				'type' => 'tab_end',
				'label' => 'General',
				'tabid' => 'general'
			),
			
			
			'design_tab_start' => array(
				'type' => 'tab_start',
				'label' => 'Design',
				'tabid' => 'design'
			),
				
				/* ------------------------------------------ */
				
				'panel' => array(
					'type' => 'group_start',
					'label' => 'Box',
					'groupid' => 'design_panel'
				),
			
					'height' => array(

						'type' => 'slider',
						'label' => 'Height',
						'default' => '80',
						'selector' => '.cl_page_header',
						'css_property' => 'height',
						'choices'     => array(
							'min'  => '40',
							'max'  => '600',
							'step' => '5',
							'suffix' => 'px'
						),
						'suffix' => 'px'
					),
					
					'text_color' => array(
						'type' => 'inline_select',
						'label' => 'Text Color',
						'default' => 'dark-text',
						'choices' => array(
							'dark-text' => 'Dark',
							'light-text' => 'Light'
						),
						'selector' => '.cl_page_header',
						'selectClass' => ''
					),


				
					
				'design_panel_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'design_panel'
				),
				
				/* ------------------------------------------ */
			
				'background_color_group' => array(
					'type' => 'group_start',
					'label' => 'Background Color',
					'groupid' => 'background_color_group'
				),
				
					'background_color' => array(
						'type' => 'color',
						'label' => 'Background Color',
						'default' => '#f5f5f5',
						'selector' => '.cl_page_header .bg-layer',
						'css_property' => 'background-color',
						'alpha' => true
					),
				
				'background_color_group_end' => array(
					'type' => 'group_end',
					'label' => 'Background Color',
					'groupid' => 'background_color_group'
				),
				
				/* ------------------------------------------- */
				
				'background_image_group' => array(
					'type' => 'group_start',
					'label' => 'Background Image',
					'groupid' => 'background_image_group'
				),
				
					'background_image' => array(
						'type'        => 'image',
						'label'       => __( 'Background Image', 'mediclin' ),
						'default'     => '',
						'priority'    => 10,
						'selector' => '.cl_page_header .bg-layer',
						'css_property' => 'background-image',
						'choices' => array(),
					),
					
					'background_position' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Background Position', 'mediclin' ),
						
						'default'     => 'left top',
						'choices' => array(
							'left top' => 'left top',
							'left center' => 'left center',
							'left bottom' => 'left bottom',
							'right top' => 'right top',
							'right center' => 'right center',
							'right bottom' => 'right bottom',
							'center top' => 'center top',
							'center center' => 'center center',
							'center bottom' => 'center bottom',
						),
						'selector' => '.cl_page_header .bg-layer',
						'css_property' => 'background-position',
						'cl_required'    => array(
							array(
								'setting'  => 'background_image',
								'operator' => '!=',
								'value'    => '',
							),
						),
					),
					
					'background_repeat' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Background Repeat', 'mediclin' ),
						
						'default'     => 'no-repeat',
						'choices' => array(
							'repeat' => 'repeat',
							'repeat-x' => 'repeat-x',
							'repeat-y' => 'repeat-y',
							'no-repeat' => 'no-repeat'
						),
						'selector' => '.cl_page_header .bg-layer',
						'css_property' => array('background-repeat', array('background-size', array('no-repeat' => 'cover', 'other' => 'auto') ) ),
						'cl_required'    => array(
							array(
								'setting'  => 'background_image',
								'operator' => '!=',
								'value'    => '',
							),
						),
					),
					
					'background_attachment' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Bg. Attachment', 'mediclin' ),
						
						'default'     => 'scroll',
						'choices' => array(
							'scroll' => 'scroll',
							'fixed' => 'fixed',
						),
						'selector' => '.cl_page_header .bg-layer',
						'css_property' => 'background-attachment',
						'cl_required'    => array(
							array(
								'setting'  => 'background_image',
								'operator' => '!=',
								'value'    => '',
							),
						),
					),
					
					'background_blend' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Bg. Blend', 'mediclin' ),
						
						'default'     => 'normal',
						'choices' => array(
							'normal' => 'normal',
							'multiply' => 'multiply',
							'screen' => 'screen',
							'overlay' => 'overlay',
							'darken' => 'darken',
							'lighten' => 'lighten',
							'color-dodge' => 'color-dodg',
							'color-burn' => 'color-burn',
							'hard-light' => 'hard-light',
							'soft-light' => 'soft-light',
							'difference' => 'difference',
							'exclusion' => 'exclusion',
							'hue' => 'hue',
							'saturation' => 'saturation',
							'color' => 'color',
							'luminosity' => 'luminosity',
						),
						'selector' => '.cl_page_header .bg-layer',
						'css_property' => 'background-blend-mode',
						'cl_required'    => array(
							array(
								'setting'  => 'background_image',
								'operator' => '!=',
								'value'    => '',
							),
						),
					),
					
					'parallax' => array(
						'type'        => 'switch',
						'label'       => __( 'Parallax', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_page_header',
						'addClass' => 'cl-parallax',
						'cl_required'    => array(
							array(
								'setting'  => 'background_image',
								'operator' => '!=',
								'value'    => '',
							),
						),
					),
				
				'background_image_group_end' => array(
					'type' => 'group_end',
					'label' => 'Background Image',
					'groupid' => 'background_image_group'
				),
			
				/* ---------------------------------------------------- */
				
				'overlay_group' => array(
					'type' => 'group_start',
					'label' => 'Overlay & Border',
					'groupid' => 'overlay'
				),
			
					'overlay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Overlay Backgrund', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none' => 'None',
							'color' => 'Color',
							'gradient' => 'Gradient'
						)
						
					),
					
					'overlay_color' => array(
						'type' => 'color',
						'label' => 'Overlay Color',
						'default' => '',
						'selector' => '.cl_page_header .overlay',
						'css_property' => 'background-color',
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '==',
								'value'    => 'color',
							),
						),
						'alpha' => false
					),
					
					'overlay_gradient' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Overlay Gradient', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'azure_pop' =>	'Azure Pop',
							'love_couple' => 'Love Couple',
							'disco' => 'Disco',
							'limeade' => 'Limeade',
							'dania' => 'Dania',
							'shades_of_grey' =>	'Shades of Grey',
							'dusk' => 'dusk',
							'delhi' => 'delhi',
							'sun_horizon' => 'Sun Horizon',
							'blood_red' => 'Blood Red',
							'sherbert' => 'Sherbert',
							'firewatch' => 'Firewatch',
							'frost' => 'Frost',
							'mauve' => 'Mauve',
							'deep_sea' => 'Deep Sea',
							'solid_vault' => 'Solid Vault',
							'deep_space' =>	'Deep Space',
							'suzy' => 'Suzy'
							
							
						),
						'selector' => '.cl_page_header .overlay',
						'selectClass' => 'cl-gradient-',
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '==',
								'value'    => 'gradient',
							),
						),
					),
					
					'overlay_opacity' => array(
						'type' => 'slider',
						'label' => 'Overlay Opacity',
						'default' => '0.8',
						'selector' => '.cl_page_header .overlay',
						'css_property' => 'opacity',
						'choices'     => array(
							'min'  => '0',
							'max'  => '1',
							'step' => '0.05',
						),
						'cl_required'    => array(
							array(
								'setting'  => 'overlay',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
					),
					
					'border_color' => array(
						'type' => 'color',
						'label' => 'Border Color',
						'default' => '#ebebeb',
						'selector' => '.cl_page_header',
						'css_property' => 'border-color',
						'alpha' => true
					),

					'add_border_top' => array(
						'type'        => 'switch',
						'label'       => __( 'Border Top', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_page_header',
						'addClass' => 'border_top',
						'cl_required'    => array(
							array(
								'setting'  => 'type',
								'operator' => '==',
								'value'    => 'simple',
							),
						),
					),
				
				'add_border_bottom' => array(
						'type'        => 'switch',
						'label'       => __( 'Border Bottom', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_page_header',
						'addClass' => 'border_bottom',
						'cl_required'    => array(
							array(
								'setting'  => 'type',
								'operator' => '==',
								'value'    => 'simple',
							),
						),
					),
			
				'overlay_group_end' => array(
					'type' => 'group_end',
					'label' => 'Overlay',
					'groupid' => 'overlay'
				),
				
				'typography_start' => array(
					'type' => 'group_start',
					'label' => 'Typography',
					'groupid' => 'typography'
				),


				'typography' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Title Typography', 'mediclin' ),
						'tooltip' => 'Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style',
						'default'     => 'h1',
						'priority'    => 10,
						'selector' => '.cl_page_header .title_part h1',
						'selectClass' => 'custom_font ',
						'choices'     => array(
							'h1'  => esc_attr__( 'H1', 'mediclin' ),
							'h2' => esc_attr__( 'H2', 'mediclin' ),
							'h3' => esc_attr__( 'H3', 'mediclin' ),
							'h4' => esc_attr__( 'H4', 'mediclin' ),
							'h5' => esc_attr__( 'H5', 'mediclin' ),
							'h6' => esc_attr__( 'H6', 'mediclin' ),
							'custom_font' => esc_attr__( 'Custom Font', 'mediclin' ),
						),
					),

				
				'title_font_size' => array(

						'type' => 'slider',
						'label' => 'Title Font Size',
						'default' => '18',
						'selector' => '.cl_page_header .title_part h1',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '72',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
					),

				'title_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Title Font Weight',
						'default' => '600',
						'selector' => '.cl_page_header .title_part h1',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
					),
					
				'title_line_height' => array(

						'type' => 'slider',
						'label' => 'Title Line Height',
						'default' => '22',
						'selector' => '.cl_page_header .title_part h1',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
					),
				
				'title_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Title Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl_page_header .title_part h1',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						
					),

					'title_color' => array(
						'type'     => 'color',
						'priority' => 10,
						'label'       => esc_attr__( 'Title Color', 'mediclin' ),
						
						'default'     => '',
						'selector' => '.cl_page_header .title_part h1',
						'css_property' => 'color',
						
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						
					),
					
				
					
				
				'desc_color' => array(
						'type' => 'color',
						'label' => 'Subtitle Color',
						'default' => '',
						'selector' => '.cl_page_header .title_part .subtitle',
						'css_property' => 'color',
						'alpha' => true
				),
				
				'desc_font_size' => array(

						'type' => 'slider',
						'label' => 'Subtitle Font Size',
						'default' => '14',
						'selector' => '.cl_page_header .title_part .subtitle',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '60',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px'
					),

				'desc_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Subtitle Font Weight',
						'default' => '300',
						'selector' => '.cl_page_header .title_part .subtitle',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						)
					),
					
				'desc_line_height' => array(

						'type' => 'slider',
						'label' => 'Subtitle Line Height',
						'default' => '18',
						'selector' => '.cl_page_header .title_part .subtitle',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '80',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px'
					),
					
				'desc_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Subtitle Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl_page_header .title_part .subtitle',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						)
						
					),
					
				
				
				'typography_end' => array(
					'type' => 'group_end',
					'label' => 'Typography',
					'groupid' => 'typography'
				),
				
				
			
				/* ------------------------------------------ */

				/* --------------------------------------------------- */

			'design_tab_end' => array(
				'type' => 'tab_end',
				'label' => '',
				'tabid' => 'design'
			),
			
			
		),

		
	) );


	/* Text */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Text', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-software-font-smallcaps',
		'transport'   => 'postMessage',
		'settings'    => 'cl_text',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			'content' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'selector' => '.cl-text',
				'label'       => esc_attr__( 'Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => 'At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores ',
				'holder' => 'div'
			),

			'margin_paragraphs' => array(

						'type' => 'slider',
						'label' => 'Distance between paragraphs',
						'default' => '10',
						'selector' => '.cl-text p',
						'css_property' => array('margin-top', 'margin-bottom'),
						'choices'     => array(
							'min'  => '0',
							'max'  => '40',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
					),

			'typography_start' => array(
					'type' => 'group_start',
					'label' => 'Typography',
					'groupid' => 'typography'
				),

				'custom_typography' => array(
						'type'        => 'switch',
						'label'       => __( 'Custom Typography', 'mediclin' ),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
					),

				
				'text_font_size' => array(

						'type' => 'slider',
						'label' => 'Text Font Size',
						'default' => '14',
						'selector' => '.cl-text',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '72',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_typography',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),

				'text_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Title Font Weight',
						'default' => '400',
						'selector' => '.cl-text',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_typography',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),
					
				'text_line_height' => array(

						'type' => 'slider',
						'label' => 'Line Height',
						'default' => '20',
						'selector' => '.cl-text',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_typography',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),
				
				'text_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl-text',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_typography',
								'operator' => '==',
								'value'    => 1,
							),
						),
						
					),
					
				
					
				
				'text_color' => array(
						'type' => 'color',
						'label' => 'Color',
						'default' => '',
						'selector' => '.cl-text',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'custom_typography',
								'operator' => '==',
								'value'    => 1,
							),
						),
				),

			'typography_end' => array(
					'type' => 'group_end',
					'label' => 'Typography',
					'groupid' => 'typography'
			),


			'responsive_start' => array(
				'type' => 'group_start',
				'label' => 'Responsive',
				'groupid' => 'responsive' 
			),

				'custom_responsive_992_bool' => array(
						'type'        => 'switch',
						'label'       => __( 'Custom Max-width:992px', 'mediclin' ),
						'tooltip' => 'Add a custom size for this heading for screens smaller than 992px',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						
					),

					'custom_responsive_992_size' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Font size Max-width:992px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 992px', 'mediclin' ),
						'default'     => '24px',
						'selector' => '.cl-text',
						'css_property' => 'font-size',
						'media_query' => '(max-width: 992px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_992_bool',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),

					'custom_responsive_992_line_height' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Line Height Max-width:992px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 992px', 'mediclin' ),
						'default'     => '30px',
						'selector' => '.cl-text',
						'css_property' => 'line-height',
						'media_query' => '(max-width: 992px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_992_bool',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),

				'custom_responsive_768_bool' => array(
						'type'        => 'switch',
						'label'       => __( 'Custom Max-width:768px', 'mediclin' ),
						'tooltip' => 'Add a custom size for this heading for screens smaller than 768px',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						
					),

					'custom_responsive_768_size' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Font size Max-width:768px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 768px', 'mediclin' ),
						'default'     => '18px',
						'selector' => '.cl-text',
						'css_property' => 'font-size',
						'media_query' => '(max-width: 768px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_768_bool',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),

					'custom_responsive_768_line_height' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Line Height Max-width:768px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 768px', 'mediclin' ),
						'default'     => '26px',
						'selector' => '.cl-text',
						'css_property' => 'line-height',
						'media_query' => '(max-width: 768px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_768_bool',
								'operator' => '==',
								'value'    => 1,
							),
						),
					),


			'responsive_end' => array(
				'type' => 'group_end',
				'label' => 'Responsive',
				'groupid' => 'responsive'
			),


				'animation_start' => array(
					'type' => 'group_start',
					'label' => 'Animation',
					'groupid' => 'animation'
				),
				
					'animation' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'top-t-bottom' =>	'Top-Bottom',
							'bottom-t-top' =>	'Bottom-Top',
							'right-t-left' => 'Right-Left',
							'left-t-right' => 'Left-Right',
							'alpha-anim' => 'Fade-In',	
							'zoom-in' => 'Zoom-In',	
							'zoom-out' => 'Zoom-Out',
							'zoom-reverse' => 'Zoom-Reverse',
						),
						'selector' => '.cl-text'
					),
					
					'animation_delay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000',
							'1100' =>	'ms 1100',
							'1200' =>	'ms 1200',
							'1300' =>	'ms 1300',
							'1400' =>	'ms 1400',
							'1500' =>	'ms 1500',
							'1600' =>	'ms 1600',
							'1700' =>	'ms 1700',
							'1800' =>	'ms 1800',
							'1900' =>	'ms 1900',
							'2000' =>	'ms 2000',
						
						),
						'selector' => '.cl-text',
						'htmldata' => 'delay',
						'cl_required'    => array(
							array(
								'setting'  => 'animation',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
					),
					
					'animation_speed' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
						
						'default'     => '400',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000'
							
						
						),
						'selector' => '.cl-text',
						'htmldata' => 'speed',
						'cl_required'    => array(
							array(
								'setting'  => 'animation',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
					),
				
				'animation_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'animation'
				),

			'css_style' => array(
				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.cl-text',
				'css_property' => '',
				'default' => array('margin-top' => '35px')
			),
		),
		
	) );

	/* Custom Heading */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Custom Heading', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-software-character',
		'transport'   => 'postMessage',
		'settings'    => 'cl_custom_heading',
		'marginPositions' => array('top'),
		'is_container' => false,
		'fields' => array(
			'content' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'selector' => '.cl-custom-heading',
				'label'       => esc_attr__( 'Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => 'Custom Heading',
				'holder' => 'h2',
				'group_vc' => esc_attr__('General', 'mediclin')
			),

			'option_start' => array(
					'type' => 'group_start',
					'label' => 'Options',
					'groupid' => 'options'
				),

			'tag' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Heading Tag', 'mediclin' ),
						'tooltip' => '',
						'default'     => 'h2',
						'priority'    => 10,
						'selector' => '.cl-custom-heading',
						'choices'     => array(
							'h1'  => esc_attr__( 'H1', 'mediclin' ),
							'h2' => esc_attr__( 'H2', 'mediclin' ),
							'h3' => esc_attr__( 'H3', 'mediclin' ),
							'h4' => esc_attr__( 'H4', 'mediclin' ),
							'h5' => esc_attr__( 'H5', 'mediclin' ),
							'h6' => esc_attr__( 'H6', 'mediclin' ),
						),
						'group_vc' => esc_attr__('General', 'mediclin')
			),

			'option_end' => array(
					'type' => 'group_end',
					'label' => 'Options',
					'groupid' => 'options'
				),

			'typography_start' => array(
					'type' => 'group_start',
					'label' => 'Typography',
					'groupid' => 'typography'
				),

			'typography' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Title Typography', 'mediclin' ),
						'tooltip' => 'Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style',
						'default'     => 'h2',
						'priority'    => 10,
						'selector' => '.cl-custom-heading',
						'selectClass' => 'custom_font ',
						'choices'     => array(
							'h1'  => esc_attr__( 'H1', 'mediclin' ),
							'h2' => esc_attr__( 'H2', 'mediclin' ),
							'h3' => esc_attr__( 'H3', 'mediclin' ),
							'h4' => esc_attr__( 'H4', 'mediclin' ),
							'h5' => esc_attr__( 'H5', 'mediclin' ),
							'h6' => esc_attr__( 'H6', 'mediclin' ),
							'custom_font' => esc_attr__( 'Custom Font', 'mediclin' ),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
					),

				
				'text_font_family' => array(

						'type' => 'inline_select',
						'label' => 'Font Family',
						'default' => 'theme_default',
						'selector' => '.cl-custom-heading',
						'css_property' => 'font-family',
						'choices'     => codeless_get_google_fonts(),
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
					),

				'text_font_size' => array(

						'type' => 'slider',
						'label' => 'Font Size',
						'default' => '36',
						'selector' => '.cl-custom-heading',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '160',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
					),

				'text_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Font Weight',
						'default' => '400',
						'selector' => '.cl-custom-heading',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
					),
					
				'text_line_height' => array(

						'type' => 'slider',
						'label' => 'Line Height',
						'default' => '34',
						'selector' => '.cl-custom-heading',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '200',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
					),

				'text_letterspace' => array(
	
							'type' => 'slider',
							'label' => 'Letter-Spacing',
							'default' => '0',
							'selector' => '.cl-custom-heading',
							'css_property' => 'letter-spacing',
							'choices'     => array(
								'min'  => '0',
								'max'  => '4',
								'step' => '0.05',
								'suffix' => 'px'
							),
							'suffix' => 'px',
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
							'group_vc' => esc_attr__('Typography', 'mediclin')
						),
				
				'text_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Text Transform', 'mediclin' ),
						
						'default'     => 'uppercase',
						'selector' => '.cl-custom-heading',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
						
					),
					
				
					
				
				'text_color' => array(
						'type' => 'color',
						'label' => 'Color',
						'default' => '#222222',
						'selector' => '.cl-custom-heading',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr__('Typography', 'mediclin')
				),

			'typography_end' => array(
					'type' => 'group_end',
					'label' => 'Typography',
					'groupid' => 'typography'
			),


			'responsive_start' => array(
				'type' => 'group_start',
				'label' => 'Responsive',
				'groupid' => 'responsive' 
			),

				'custom_responsive_992_bool_ch' => array(
						'type'        => 'switch',
						'label'       => __( 'Custom Max-width:992px', 'mediclin' ),
						'tooltip' => 'Add a custom size for this heading for screens smaller than 992px',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
							'group_vc' => esc_attr__('Responsive', 'mediclin')
						
					),

					'custom_responsive_992_size' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Font size Max-width:992px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 992px', 'mediclin' ),
						'default'     => '24px',
						'selector' => '.cl-custom-heading',
						'css_property' => 'font-size',
						'media_query' => '(max-width: 992px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_992_bool_ch',
								'operator' => '==',
								'value'    => 1,
							),
						),
						'group_vc' => esc_attr__('Responsive', 'mediclin')
					),

					'custom_responsive_992_line_height' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Line Height Max-width:992px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 992px', 'mediclin' ),
						'default'     => '30px',
						'selector' => '.cl-custom-heading',
						'css_property' => 'line-height',
						'media_query' => '(max-width: 992px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_992_bool_ch',
								'operator' => '==',
								'value'    => 1,
							),
						),
						'group_vc' => esc_attr__('Responsive', 'mediclin')
					),

				'custom_responsive_768_bool_ch' => array(
						'type'        => 'switch',
						'label'       => __( 'Custom Max-width:768px', 'mediclin' ),
						'tooltip' => 'Add a custom size for this heading for screens smaller than 768px',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						array(
								'setting'  => 'typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
							'group_vc' => esc_attr__('Responsive', 'mediclin')
						
					),

					'custom_responsive_768_size' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Font size Max-width:768px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 768px', 'mediclin' ),
						'default'     => '18px',
						'selector' => '.cl-custom-heading',
						'css_property' => 'font-size',
						'media_query' => '(max-width: 768px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_768_bool_ch',
								'operator' => '==',
								'value'    => 1,
							),
						),
						'group_vc' => esc_attr__('Responsive', 'mediclin')
					),

					'custom_responsive_768_line_height' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Custom Line Height Max-width:768px', 'mediclin' ),
						'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 768px', 'mediclin' ),
						'default'     => '26px',
						'selector' => '.cl-custom-heading',
						'css_property' => 'line-height',
						'media_query' => '(max-width: 768px)',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_responsive_768_bool_ch',
								'operator' => '==',
								'value'    => 1,
							),
						),
						'group_vc' => esc_attr__('Responsive', 'mediclin')
					),


			'responsive_end' => array(
				'type' => 'group_end',
				'label' => 'Responsive',
				'groupid' => 'responsive'
			),


				'animation_start' => array(
					'type' => 'group_start',
					'label' => 'Animation',
					'groupid' => 'animation'
				),
				
					'animation' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'top-t-bottom' =>	'Top-Bottom',
							'bottom-t-top' =>	'Bottom-Top',
							'right-t-left' => 'Right-Left',
							'left-t-right' => 'Left-Right',
							'alpha-anim' => 'Fade-In',	
							'zoom-in' => 'Zoom-In',	
							'zoom-out' => 'Zoom-Out',
							'zoom-reverse' => 'Zoom-Reverse',
						),
						'selector' => '.cl-custom-heading',
						'group_vc' => esc_attr__('Animation', 'mediclin')
					),
					
					'animation_delay' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000',
							'1100' =>	'ms 1100',
							'1200' =>	'ms 1200',
							'1300' =>	'ms 1300',
							'1400' =>	'ms 1400',
							'1500' =>	'ms 1500',
							'1600' =>	'ms 1600',
							'1700' =>	'ms 1700',
							'1800' =>	'ms 1800',
							'1900' =>	'ms 1900',
							'2000' =>	'ms 2000',
						
						),
						'selector' => '.cl-custom-heading',
						'htmldata' => 'delay',
						'cl_required'    => array(
							array(
								'setting'  => 'animation',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
						'group_vc' => esc_attr__('Animation', 'mediclin')
					),
					
					'animation_speed' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
						
						'default'     => '400',
						'choices' => array(
							'none'	=> 'None',
							'100' =>	'ms 100',
							'200' =>	'ms 200',
							'300' =>	'ms 300',
							'400' =>	'ms 400',
							'500' =>	'ms 500',
							'600' =>	'ms 600',
							'700' =>	'ms 700',
							'800' =>	'ms 800',
							'900' =>	'ms 900',
							'1000' =>	'ms 1000'
							
						
						),
						'selector' => '.cl-custom-heading',
						'htmldata' => 'speed',
						'cl_required'    => array(
							array(
								'setting'  => 'animation',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
						'group_vc' => esc_attr__('Animation', 'mediclin')
					),
				
				'animation_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'animation'
				),

			'box_start' => array(
					'type' => 'group_start',
					'label' => 'Box Design',
					'groupid' => 'box'
			),
				'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl-custom-heading',
					'css_property' => '',
					'default' => array('margin-top' => '35px'),
					'group_vc' => esc_attr__('Design', 'mediclin')
				),

				'border_style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Border Style', 'mediclin' ),
							
							'default'     => 'solid',
							'choices' => array(
								'solid'	=> 'solid',
								'dotted' =>	'dotted',
								'dashed' =>	'dashed',
								'double' => 'double',
								'groove' => 'groove',
								'ridge' => 'ridge',	
								'inset' => 'inset',	
								'outset' => 'outset',
							),
							'selector' => '.cl-custom-heading',
							'css_property' => 'border-style',
							'group_vc' => esc_attr__('Design', 'mediclin')
						),
						
				'border_color' => array(
					'type' => 'color',
					'label' => 'Border Color',
					'default' => '',
					'selector' => '.cl-custom-heading',
					'css_property' => 'border-color',
					'alpha' => true,
					'group_vc' => esc_attr__('Design', 'mediclin')
				),
			'box_end' => array(
					'type' => 'group_end',
					'label' => 'Box Design',
					'groupid' => 'box'
			),
		),
		
	) );

	/* Button */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Button', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-signs',
		'transport'   => 'postMessage',
		'settings'    => 'cl_button',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			'btn_title' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'selector' => '.cl-btn span',
				'label'       => esc_attr__( 'Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => 'View More',
				'only_text' => true,
				'replace_type_vc' => 'textfield',
				'holder' => 'h2'
			),

			'overwrite_style' => array (

					'type' => 'switch',
					'priority' => 10,
					'default'=> 0,
					'label' => esc_attr__( 'Overwrite the default button style', 'mediclin' ),
					'choices' => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					
					),		

			 ),

			

			'button_style' => array(

				'type' => 'inline_select',
				'priority' => 10,
				'label' => 'Button Style',
				'default'=> 'material_square',
				'choices' => array(

					'material_square' => 'Material Square',
					'material_circular' => 'Material Circular',
					'text_effect' => 'Text Effect',
					'rounded_border' => 'Rounded Border'

				),

				'selector' => '.cl-btn',
				'selectClass' => 'btn-style-',
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),	
					
				),
			),

			'button_layout' =>  array(

				'type' => 'inline_select',
				'priority' => 10,
				'label' => 'Button Layout',
				'default' => 'medium',
				'choices'=> array(

					'extra-small' => 'Extra Small',
					'small' => 'Small',
					'medium' => 'Medium',
					'large' => 'Large',
					'extra-large' => 'Extra Large',
				
				),

				'selector'=> '.cl-btn',
				'selectClass' => 'btn-layout-',
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),
			),

			'button_font' => array(

				'type' => 'inline_select',
				'priority' => 10,
				'label' => 'Button Font',
				'default'  => 'medium',
				'choices' => array(

					'extra-small' => 'Extra Small',
					'small' => 'Small',
					'medium' => 'Medium',
					'large' => 'Large',
					'extra-large' => 'Extra Large',
					'custom' => 'Custom',

				),


				'selector'=> '.cl-btn',
				'selectClass' => 'btn-font-',
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),
			),

			'button_bg_color'=> array(

				'type' => 'color',
				'priority'=> 10,
				'label' => 'Button Background Color',
				'default' => codeless_get_mod('primary_color'),
				'selector' => '.cl-btn',
				'css_property' => 'background-color',
				'alpha' => true,
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),
			),

			'button_bg_color_hover'=> array(

				'type' => 'color',
				'priority'=> 10,
				'label' => 'Button Background Color on Hover',
				'default' => codeless_get_mod('primary_color'),
				'selector' => '.cl-btn',
				'alpha' => true,
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),

			),

			'button_font_color' => array(

				'type' => 'color',
				'priority'=> 10,
				'label' => 'Button Font Color', 
				'default'=> '#ffffff',
				'selector'=> '.cl-btn',
				'css_property'=> 'color',
				'alpha' => true,
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),
			),

			'button_font_color_hover' => array(

				'type' => 'color',
				'priority'=> 10,
				'label' => 'Button Font Color on Hover', 
				'default'=> '#ffffff',
				'alpha' => true,
				'cl_required' => array(

					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),

			),



			'button_border_color' => array(
				
				'type'=> 'color',
				'priority'=> 10,
				'label'=> 'Button Border Color',
				'default' => 'transparent',
				'selector' => '.cl-btn-custom',
				'css_property' => 'border-color',
				'alpha' => true,
				'cl_required' => array(


					array(

						'setting'  => 'overwrite_style',
						'operator' => '==',
						'value'    => 1,

					),
					
				),

			),	


			'link' => array(
				'type'     => 'text',
				'priority' => 10,
				'label'       => esc_attr__( 'Link', 'mediclin' ),
				'default'     => '#'
			),

			'link_target' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Link Target', 'mediclin' ),
					'default'     => '_self',

					'choices'     => array(
						'_self' => __('_self', 'mediclin'),
						'_blank' => __('_blank', 'mediclin'),				
					),
					'reloadTemplate' => true
			),

			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl-btn-div',
					'css_property' => '',
					'default' => array('margin-top' => '35px')
			),

			'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl-btn-div'
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl-btn-div',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl-btn-div',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					)
				),
		)
	));

 /* Divider */
cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Divider', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	//'priority'    => 10,
	'icon'		  => 'icon-arrows-minus',
	'transport'   => 'postMessage',
	'settings'    => 'cl_divider',
	'use_on_header' => true,
	'is_container' => false,
	'marginPositions' => array('top'),
	'fields' => array(
		'height' => array(
			'type'     => 'slider',
			'label' => 'Divider height',
			'default' => '5',
			'selector' => '.cl_divider .inner',
			'css_property' => 'border-top-width',
			'choices'     => array(
						'min'  => '0',
						'max'  => '30',
						'step' => '1',
						'suffix' => 'px'
					),
			'suffix' => 'px',

			'label'       => esc_attr__( 'Divider Height', 'mediclin' ),
			'tooltip' => esc_attr__( 'Set the divider height', 'mediclin' )
			
		),

		'width_full' => array(

					'type'        => 'switch',
					'label'       => __( 'Set divider fullwidth', 'mediclin' ),
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
				),
			
			
		'width' => array(

					'type' => 'slider',
					'label' => 'Set the divider width',
					'default' => '100',
					'selector' => '.cl_divider .wrapper',
					'css_property' => 'width',
					'choices'     => array(
						'min'  => '1',
						'max'  => '1070',
						'step' => '1',
						'suffix' => 'px'
					),
					'suffix' => 'px',

					'cl_required'    => array(
						array(
							'setting'  => 'width_full',
							'operator' => '==',
							'value'    => 0,
						),
					),
				),


		'color' => array(
					'type' => 'color',
					'label' => 'Set Color',
					'default' => '#4cd4ca',
					'selector' => '.cl_divider .inner',
					'css_property' => 'border-color',
					'alpha' => true
					
			),

		'border_style' => array(
					'type' => 'inline_select',
					'label' => 'Set the border style',
					'default' => 'solid',
					'selector' => '.cl_divider .inner',
					'css_property' => 'border-style',
					'choices'     => array(
						'solid'	=> 'solid',
						'dotted' =>	'dotted',
						'dashed' =>	'dashed',
						'double' => 'double',
						'groove' => 'groove',
						'ridge' => 'ridge',	
						'inset' => 'inset',	
						'outset' => 'outset'
					
					),
					
					
			),

		'align' => array( 

					'type' => 'inline_select',
					'label' => 'Set the border align',
					'default' => 'center',
					'selector' => '.cl_divider .wrapper',
					'choices'     => array(
						'left_divider'	=> 'left',
						'center_divider' =>	'center',
						'right_divider' =>	'right',
						
													
					),
					'selectClass' => '',
					'cl_required'    => array(
						array(
							'setting'  => 'width_full',
							'operator' => '==',
							'value'    => 0,
						),
					),


			),


		'divider_style' => array(

					'type' => 'inline_select',
					'label' => 'Select the style of the divider',
					'default' => 'simple',
					'selector' => '.cl_divider .wrapper',
					'choices'     => array(
						'simple' => 'Simple',
						'two' => 'Two Borders',
						'icon' => 'With Centred Icon',
						'circles' => 'Two Circles'
					
					),
					'reloadTemplate' => true
					
				),
				
		'icon' => array(
					'type'     => 'select_icon',
					'priority' => 10,
					'label'       => esc_attr__( 'Select Icon', 'mediclin' ),
					'default'     => 'cl-icon-camera2',
					'selector' => '.cl_divider i',
					'selectClass' => ' ',
					'cl_required'    => array(
						array(
							'setting'  => 'divider_style',
							'operator' => '==',
							'value'    => 'icon',
						),
					)
				),

		'color_icon' => array(
					'type'     => 'color',
					'priority' => 10,
					'label'       => esc_attr__( 'Icon Color', 'mediclin' ),
					'default'     => '#222',
					'selector' => '.cl_divider .wrapper > i',
					'css_property' => 'color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'divider_style',
							'operator' => '==',
							'value'    => 'icon',
						),
					),
				),

		'size_icon' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Icon size', 'mediclin' ),
					'default'     => '10',
					'selector' => '.cl_divider .wrapper > i',
					'css_property'=> 'font-size',
					'choices'     => array(
						'min'  => '0',
						'max'  => '30',
						'step' => '1',
						'suffix' => 'px'
					),
					'suffix' => 'px',
					'cl_required'    => array(
						array(
							'setting'  => 'divider_style',
							'operator' => '==',
							'value'    => 'icon',
						),
					),
				),

		'css_style' => array(
				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.cl_divider',
				'css_property' => '',
				'default' => array('margin-top' => '35px')
			),
			
			

		),

	
));


 




 /* Media */
 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Media', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-photo',
		'transport'   => 'postMessage',
		'settings'    => 'cl_media',
		'is_container' => false,
		'css_dependency' => array( CODELESS_BASE_URL.'css/ilightbox/'.codeless_get_mod('lightbox_skin', 'dark').'-skin/skin.css', CODELESS_BASE_URL.'css/ilightbox/css/ilightbox.css'),
		'marginPositions' => array('top'),
		'fields' => array(
				'media_type' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Media Type', 'mediclin' ),
					
					'default'     => 'image',
					'choices' => array(
						'image'	=> 'Image',
						'video' =>	'Video',
						'live'  => 'Live Photo'
					),
					'selector' => '.cl_media',
					'selectClass' => 'type-', 
					'reloadTemplate' => true 
				),

				'image' => array(
					'type'        => 'image',
					'label'       => __( 'Upload Image', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'image_get' => 'id',
					'reloadTemplate' => true,
					'choices' => array(),
					
				),

				'video_mov' => array(
						
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Video Mov', 'mediclin' ),
					'tooltip' => esc_attr__( 'Add this video if you want to use it for live photo', 'mediclin' ),
					'default'     => '',
					'cl_required'    => array(
						array(
							'setting'  => 'media_type',
							'operator' => '==',
							'value'    => 'live',
						),
					),
					'reloadTemplate' => true
				),

				'position' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Position', 'mediclin' ),
					
					'default'     => 'stretch',
					'choices' => array(
						'left'	=> 'Left',
						'center' =>	'Center',
						'right' => 'Right',
						'stretch' => 'stretch' 
					),
					'selector' => '.cl_media',
					'selectClass' => 'position_',
					
				),

				

				

				'lightbox' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Lightbox on hover', 'mediclin' ),
					'tooltip' => esc_attr__( 'Show lightbox icon on image hover', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),

					'cl_required'    => array(
						array(
							'setting'  => 'media_type',
							'operator' => '==',
							'value'    => 'image',
						),
					),

					'reloadTemplate' => true,
				),

				'lazyload' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Lazyload Image', 'mediclin' ),
					'tooltip' => esc_attr__( 'Image will be loaded only when it\'s on viewport', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),

					'cl_required'    => array(
						array(
							'setting'  => 'media_type',
							'operator' => '==',
							'value'    => 'image',
						),
					),

					'reloadTemplate' => true,
				),

				'shadow' => array(
						'type'        => 'switch',
						'label'       => __( 'Shadow', 'mediclin' ),
						'tooltip' => 'Switch on/off shadow',
						'default'     => 1,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),

						'selector' => '.cl_media',
						'addClass' => 'add-shadow'
					),

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'full',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'media_type',
								'operator' => '==',
								'value'    => 'image',
							),
						),
					),

				'custom_width_bool_media' => array(
						'type'        => 'switch',
						'label'       => __( 'Custom Width?', 'mediclin' ),
						'tooltip' => 'Add a custom width for this media',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'selector' => '.cl_media',
						
						'addClass' => 'cl-custom-width'
					),

				'custom_width' => array(
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Set Custom Width', 'mediclin' ),
					
					'default'     => '400px',
				
					'selector' => '.cl_media .inner',
					'css_property' => 'width',
					'cl_required'    => array(
						array(
							'setting'  => 'custom_width_bool_media',
							'operator' => '==',
							'value'    => 1,
						),
					),
				),

				'custom_link' => array(

					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Link', 'mediclin' ),
					'default'     => '#',
					'reloadTemplate' => true
				),

				'target' => array(

					'type' => 'inline_select',
					'priority' => 10,
					'label' => esc_attr__('Specify where to open the custom link ', 'mediclin'),
					'default' => '_self',
					'choices' => array(
						'_self' => 'Open in the Same Window',
						'_blank' => 'Open link in a new tab',
						'_parent' => 'Open link in the parent frame',
						'_top' => 'Open the link in the full body of the window'

					)

				),

				'video_start' => array(
					'type' => 'group_start',
					'label' => 'Video',
					'groupid' => 'video'
				),
				

				
				
					'video' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Video', 'mediclin' ),
						
						'default'     => 'none',
						'choices' => array(
							'none'	=> 'None',
							'self' =>	'Self-Hosted',
							'youtube' =>	'Youtube',
							'vimeo' => 'Vimeo'
						),

						'reloadTemplate' => true
						//'customJS' => 'inlineEdit_videoSection'
					),
					
					'video_mp4' => array(
						
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Video Mp4', 'mediclin' ),
						
						'default'     => '',
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '==',
								'value'    => 'self',
							),
						),
						'reloadTemplate' => true
					),
					'video_webm' => array(
						
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Video Webm', 'mediclin' ),
						
						'default'     => '',
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '==',
								'value'    => 'self',
							),
						),
						'reloadTemplate' => true
					),
					'video_ogv' => array(
						
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Video Ogv', 'mediclin' ),
						
						'default'     => '',
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '==',
								'value'    => 'self',
							),
						),
						'reloadTemplate' => true
					),

					
					
					'video_youtube' => array(
						
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Youtube ID', 'mediclin' ),
						
						'default'     => '',
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '==',
								'value'    => 'youtube',
							),
						
						),
						'reloadTemplate' => true
					),
					
					'video_vimeo' => array(
						
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Vimeo ID', 'mediclin' ),
						
						'default'     => '',
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '==',
								'value'    => 'vimeo',
							),
						
						),
						'reloadTemplate' => true
					),
					
					'media_video_loop' => array(
						'type'        => 'switch',
						'label'       => __( 'Video Loop', 'mediclin' ),
						'tooltip' => 'Switch on/off video loop',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
						'reloadTemplate' => true
					),

					'autoplay' => array(
						'type'        => 'switch',
						'label'       => __( 'Autoplay', 'mediclin' ),
						'tooltip' => 'Switch on when video is used with Image Placeholder',
						'default'     => 1,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),

						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '!=',
								'value'    => 'none',
							),
						),

						'reloadTemplate' => true
					),

					'height' => array(
						'type'     => 'slider',
						'priority' => 10,
						'label'       => esc_attr__( 'Video / Embed Height', 'mediclin' ),
						'tooltip' => esc_attr__( 'Use this only for embed links and for video with image placeholder.', 'mediclin' ),
						'default'     => '400',
						'choices'     => array(
							'min'  => '0',
							'max'  => '1000',
							'step' => '10',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'selector' => '.cl_media iframe, .cl_media video',
						'css_property' => 'height',
						'cl_required'    => array(
							array(
								'setting'  => 'video',
								'operator' => '!=',
								'value'    => 'none',
							),
						),
						
					),

				'video_end' => array(
					'type' => 'group_end',
					'label' => 'Video',
					'groupid' => 'video'
				),

				'anim_start' => array(
					'type' => 'group_start',
					'label' => 'Animation',
					'groupid' => 'animation'
				),

				'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl_media'
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl_media',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl_media',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					)
				),

				'anim_end' => array(
					'type' => 'group_end',
					'label' => 'Animation',
					'groupid' => 'animation'
				),

				'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_media',
					'css_property' => '',
					'default' => array('margin-top' => '15px')
				),
		)
	));

 /* Gallery */
 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Gallery', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-picture-multiple',
		'transport'   => 'postMessage',
		'settings'    => 'cl_gallery',
		'is_container' => false,
		'css_dependency' => array( CODELESS_BASE_URL.'css/owl.carousel.min.css' ),
		'marginPositions' => array('top'),
		'fields' => array(

			'carousel_gallery' => array(
					'type'        => 'switch',
					'label'       => __( 'Carousel', 'mediclin' ),
					'tooltip' => '',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_gallery',
					'addClass' => 'cl-carousel owl-carousel owl-theme',
					'reloadTemplate' => true
			),

			'carousel_view_items' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Items', 'mediclin' ),
					
					'default'     => '6',
					'choices' => array(
						'1' =>	'1 items',
						'2' =>	'2 items',
						'3' =>	'3 items',
						'4' => '4 items',
						'5' => '5 items',
						'6' => '6 items',
						'7' => '7 items',
					),
					'selector' => '.cl_gallery',
					'htmldata' => 'items',
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_gallery',
							'operator' => '==',
							'value'    => 1,
						),
					),
					'reloadTemplate' => true
			),

			'carousel_nav' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_gallery',
					'htmldata' => 'carousel-nav',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_gallery',
							'operator' => '==',
							'value'    => 1,
						),
					),

				),	



				'carousel_dots' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'mediclin' ),
					'default'     => 1,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_gallery',
					'htmldata' => 'carousel-dots',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_gallery',
							'operator' => '==',
							'value'    => 1,
						),
					),

				),

			'images' => array(
				'type'     => 'image_gallery',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Images', 'mediclin' ),
				
				'reloadTemplate' => true,
			),

			'items_per_row' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Items per Row', 'mediclin' ),
					
					'default'     => 'all',
					'choices' => array(
						'all'	=> 'All',
						'2' =>	'2 items',
						'3' =>	'3 items',
						'4' => '4 items',
						'5' => '5 items',
						'6' => '6 items',
						'7' => '7 items',
					),
					'selector' => '.cl_gallery',
					'selectClass' => 'items_',
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_gallery',
							'operator' => '==',
							'value'    => 0,
						),
					),
			),

			'distance' => array(

					'type' => 'slider',
					'label' => 'Distance between items',
					'default' => '10',
					'selector' => '.cl_gallery .gallery-item',
					'css_property' => 'padding',
					'choices'     => array(
						'min'  => '0',
						'max'  => '60',
						'step' => '1',
						'suffix' => 'px'
					),
					'suffix' => 'px',
				),


			'lightbox_gallery' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Lightbox on hover', 'mediclin' ),
					'tooltip' => esc_attr__( 'Show lightbox icon on image hover', 'mediclin' ),
					'default'     => 1,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_gallery',
					'addClass' => 'with-lightbox',
					'reloadTemplate' => true,
					

				),

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'full',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true
					),


			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_gallery',
					'css_property' => '',
					'default' => array('margin-top' => '35px')
			),
		)
	));


 /* Appointment */
 cl_builder_map(array(

 	'type'  => 'clelement',
 	'label' => esc_attr__('Appointment', 'mediclin'),
 	'section' => 'cl_codeless_page_builder',
 	'tooltip' => 'Manage all options of the selected Row',
	//'priority'    => 10,
	'icon'		  => 'icon-arrows-circle-check',
	'transport'   => 'postMessage',
	'settings'    => 'cl_appointment',
	'marginPositions' => array('top'),
    'is_container' => false,
    
    'fields' => array(
		
		'content' => array(
			'type' => 'text',
			'label' => esc_attr__('Add the option separated with comma', 'mediclin'),
			'selector' => '.cl_appointment .box-content',
			'tooltip' => 'You can list the radio buttons that will be shown',
			'default' => 'Primary Care, Urgent Care, Virtual Care',
			'reloadTemplate' => true,
		),

		'description' => array(
			'type' => 'text',
			'label' => esc_attr__('Add the description for any option', 'mediclin'),
			'selector' => '.cl_appointment .box-content',
			'tooltip' => 'You can list the descriptions for any option',
			'default' => 'Your rutine health controls, Urgent Doctor Visit, Online Virtual Care',
			'reloadTemplate' => true,
		),

		'radio_values' => array(
			'type' => 'text',
			'label' => esc_attr__('Add the value for any option', 'mediclin'),
			'selector' => '.cl_appointment .box-content',
			'tooltip' => 'You can list the values for any option separated with comma ',
			'default' => 'primary_care, urgent_care, virtual_care',
			'reloadTemplate' => true,
		),

		'appointment_url' => array(
			'type' => 'text',
			'label' => esc_attr__('Add the page id separated with comma', 'mediclin'),
			'selector' => '.cl_appointment .box-content',
			'tooltip' => 'You can url id in the radio buttons that will be shown',
			'default' => '5754, 5755, 5756',
			'reloadTemplate' => true,
		),



	),
));


 /* Service */
 cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Service', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Manage all options of the selected Row',
	//'priority'    => 10,
	'icon'		  => 'icon-arrows-circle-check',
	'transport'   => 'postMessage',
	'settings'    => 'cl_service',
	'marginPositions' => array('top'),

	'predefined'  => array(
		'simple_left_icon' => array(
			'photo' => get_template_directory_uri().'/img/predefined_elements/cl_service/simple_left_icon.png',
			'label' => 'Simple Left Icon',
			'content' => '[cl_service media="type_icon" title="Better Performance" icon="cl-icon-laptop2" css_style="{\'margin-top\':\'55px\'}_-_json" icon_font_size="34" wrapper_size="40" wrapper_distance="34" title_content_distance="5" animation="bottom-t-top" animation_delay="0"]A technology that renders via GPU, power saver, dependency manager, faster load. Load only scripts that needed for page.[/cl_service]'
		),
		'simple_top_icon' => array(
			'photo' => get_template_directory_uri().'/img/predefined_elements/cl_service/simple_top_icon.png',
			'label' => 'Simple Top Icon',
			'content' => '[cl_service media="type_icon" layout_type="media_top" title="Experienced Support Team" icon="cl-icon-profile-male" css_style="{\'margin-top\':\'50px\'}_-_json" icon_font_size="42" wrapper_size="30" animation="bottom-t-top" animation_delay="100"]On the other hand, we denounce with righteous indignation and dislike men who are so beguiled[/cl_service]'
		),
	),


	'is_container' => false,
	'shiftClick' => array( 
			array( 'option' => 'h5_font_size', 'selector' => '.box-content h3' ) 
	),
	'fields' => array(

		'element_tabs' => array(
			'type' => 'show_tabs',
			'default' => 'general',
			'tabs' => array(
				'general' => array( 'General', 'cl-icon-settings' ),
				'design' => array( 'Design', 'cl-icon-tune' )
			)
		),
		
		'general_tab_start' => array(
			'type' => 'tab_start',
			'label' => 'General',
			'tabid' => 'general'
		),
		
			/* ----------------------------------------------- */
			
			'options_start' => array(
				'type' => 'group_start',
				'label' => 'Layout',
				'groupid' => 'layout'
			),
				
				'media' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Media Type', 'mediclin' ),
					
					'default'     => 'type_text',
					'choices' => array(
						'type_text' => 'Only Text',
						'type_icon' => 'Icon',
						'type_svg' => 'SVG',
						'type_custom' => 'Custom IMG'
					),
					'selector' => '.cl_service',
					'reloadTemplate' => true,
					'selectClass' => ''
				),

				'icon' => array(
					'type'     => 'select_icon',
					'priority' => 10,
					'label'       => esc_attr__( 'Select Icon', 'mediclin' ),
					'default'     => 'cl-icon-camera2',
					'selector' => '.cl_service > .icon_wrapper i',
					'selectClass' => ' ',
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_icon',
						),
					)
				),



				'image' => array(
					'type'        => 'image',
					'label'       => __( 'Upload Image', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'image_get' => 'id',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_custom',
						),
					),
					'choices' => array()
				),

				'svg_source' => array(
					'type'        => 'text',
					'label'       => __( 'SVG URL', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_svg',
						),
					),
					'choices' => array()
				),

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'full',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'media',
								'operator' => '==',
								'value'    => 'type_custom',
							),
						),
				),

				'title' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service .box-content > h3',
					'label'       => esc_attr__( 'Title', 'mediclin' ),
					'default'     => 'Custom Service Title',
					'replace_type_vc' => 'textfield',
					'holder' => 'h2'
				),

				'subtitle_bool' => array(

					'type'        => 'switch',
					'label'       => __( 'Add subtitle', 'mediclin' ),
					'tooltip' => 'Switch On if you want a custom subtitle after Primary Title',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'reloadTemplate' => true
				),

				'subtitle' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service .box-content > .subtitle',
					'label'       => esc_attr__( 'Subtitle', 'mediclin' ),
					'default'     => 'Custom Subtitle for service',
					'replace_type_vc' => 'textfield',
					'cl_required'    => array(
						array(
							'setting'  => 'subtitle_bool',
							'operator' => '==',
							'value'    => true,
						),
					),
				),

				'content' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service .box-content > .content',
					'label'       => esc_attr__( 'Content', 'mediclin' ),
					'default'     => 'On the other hand, we denounce with righteous indignation and dislike men who are so beguiled',
					'holder' => 'div'
				),

				'animation_icon' => array(
					'type'        => 'switch',
					'label'       => __( 'SVG Animation', 'mediclin' ),
					'tooltip' => 'Switch to animate SVG on load',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_svg',
						),
					),
				),	
		
				'layout_type' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Layout Type', 'mediclin' ),
					'tooltip' => esc_attr__( 'Select layout type of service element', 'mediclin' ),
					'default'     => 'media_aside',
					'choices' => array(
						'media_aside' => 'Media Aside',
						'media_top' => 'Media Top'
					),
					'selector' => '.cl_service',
					'selectClass' => '',
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '!=',
							'value'    => 'type_text',
						),
					),
				),

				'layout_align' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Align Content and Icon', 'mediclin' ),
					'tooltip' => esc_attr__( 'Select the align of content and layout of service element', 'mediclin' ),
					'default'     => 'align_left',
					'choices' => array(
						'align_left' => 'Align Left',
						'align_center' => 'Align Center',
						'align_right' => 'Align Right'
					),
					'selector' => '.cl_service',
					'selectClass' => ''
				),

				

				

				'wrapper' => array(
					
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Icon Wrapper', 'mediclin' ),
					'tooltip' => esc_attr__( 'Select the type of wrapper around Icon if you want one', 'mediclin' ),
					'default'     => 'wrapper_none',
					'choices' => array(
						'wrapper_none' => 'None',
						'wrapper_circle' => 'Circle',
						'wrapper_square' => 'Square',
						//'wrapper_hexagon' => 'Hexagon'
					),
					'selector' => '.cl_service > .icon_wrapper',
					'selectClass' => '',
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '!=',
							'value'    => 'type_text',
						),
					),
				),

				'hover_effect' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Hover Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none' => 'None',
						'wrapper_accent_color' => 'Wrapper Accent Color'
					),
					'selector' => '.cl_service',
					'selectClass' => 'cl-hover-'
				),

				'service_link' => array(
					'type'     => 'text',
					'priority' => 10,
					'selector' => '',
					'label'       => esc_attr__( 'Service Link', 'mediclin' ),
					'default'     => ''
				),

			'options_end' => array(
				'type' => 'group_end',
				'label' => 'Layout',
				'groupid' => 'layout'
			),

			

		'general_tab_end' => array(
			'type' => 'tab_end',
			'label' => 'General',
			'tabid' => 'general'
		),
		'design_tab_begin' => array(
			'type' => 'tab_start',
			'label' => 'Design',
			'tabid' => 'design'
		),

			'panel' => array(
				'type' => 'group_start',
				'label' => 'Box',
				'groupid' => 'design_panel'
			),
		
				'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_service',
					'css_property' => '',
					'default' => array('margin-top' => '35px'),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'box_border_color' => array(
					'type' => 'color',
					'label' => 'Box Border Color',
					'default' => 'rgba(0,0,0,0.0)',
					'selector' => '.cl_service',
					'css_property' => 'border-color',
					'alpha' => true,
					'group_vc' => esc_attr('Style', 'mediclin')
				),
				
				'text_color' => array(
					'type' => 'inline_select',
					'label' => 'Text Color',
					'default' => 'dark-text',
					'choices' => array(
						'dark-text' => 'Dark',
						'light-text' => 'Light'
					),
					'selector' => '.cl_service',
					'selectClass' => '',
					'group_vc' => esc_attr('Style', 'mediclin')
				),
			
				
			'design_panel_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'design_panel'
			),

			'icon_start' => array(
				'type' => 'group_start',
				'label' => 'Style and Distances',
				'groupid' => 'icon'
			),

				'icon_font_size' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Icon Size', 'mediclin' ),
					'tooltip' => esc_attr__( 'Change Icon size by moving the slider', 'mediclin' ),
					'default'     => '36',
					'choices'     => array(
						'min'  => '14',
						'max'  => '120',
						'step' => '1',
					),
					'suffix' => 'px', 
					'selector' => '.cl_service > .icon_wrapper i',
					'css_property' => 'font-size',
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_icon',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'icon_color' => array(
					'type' => 'color',
					'label' => 'Icon Color',
					'default' => codeless_get_mod('primary_color'),
					'selector' => '.cl_service > .icon_wrapper i',
					'css_property' => 'color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_icon',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),
				

				'wrapper_bg_color' => array(
					'type' => 'color',
					'label' => 'Wrapper BG Color',
					'default' => 'rgba(0,0,0,0)',
					'selector' => '.cl_service > .icon_wrapper .wrapper-form',
					'css_property' => 'background-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'wrapper',
							'operator' => '!=',
							'value'    => 'wrapper_none',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'wrapper_border_color' => array(
					'type' => 'color',
					'label' => 'Wrapper Border Color',
					'default' => 'rgba(0,0,0,0.5)',
					'selector' => '.cl_service > .icon_wrapper .wrapper-form',
					'css_property' => 'border-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'wrapper',
							'operator' => '!=',
							'value'    => 'wrapper_none',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'wrapper_box_shadow' => array(

					'type'        => 'switch',
					'label'       => __( 'Add Shadow', 'mediclin' ),
					'tooltip' => 'Switch On to add shadow to icon wrapper',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_service > .icon_wrapper',
					'addClass' => 'with-shadow',
					'group_vc' => esc_attr('Style', 'mediclin')
				),


				'wrapper_size' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Wrapper and SVG Size', 'mediclin' ),
					'tooltip' => esc_attr__( 'Change Wrapper size by moving the slider. Can be used for SVG size too.', 'mediclin' ),
					'default'     => '72',
					'choices'     => array(
						'min'  => '30',
						'max'  => '240',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '.cl_service > .icon_wrapper .wrapper-form',
					'css_property' => array('width', 'height'),
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '!=',
							'value'    => 'type_text',
						)
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'wrapper_distance' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Icon and Wrapper Distance', 'mediclin' ),
					'tooltip' => esc_attr__( 'Icon and Wrapper distance from content', 'mediclin' ),
					'default'     => '20',
					'choices'     => array(
						'min'  => '0',
						'max'  => '140',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '.cl_service > .icon_wrapper',
					'css_property' => array('padding-right', 'padding-bottom', 'padding-left'),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'title_distance_top' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Distance Title From Top', 'mediclin' ),
					'tooltip' => esc_attr__( 'Drag to change the distance of the title from top of element', 'mediclin' ),
					'default'     => '0',
					'choices'     => array(
						'min'  => '0',
						'max'  => '30',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '.cl_service .box-content > h3',
					'css_property' => 'margin-top',
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'title_content_distance' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Distance beetween Title and Content', 'mediclin' ),
					'tooltip' => esc_attr__( 'Drag to change the distance of the content from Title', 'mediclin' ),
					'default'     => '0',
					'choices'     => array(
						'min'  => '0',
						'max'  => '140',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '.cl_service .box-content > .content',
					'css_property' => 'margin-top',
					'group_vc' => esc_attr('Style', 'mediclin')
				),
				'title_subtitle_distance' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Distance beetween Title and Subtitle', 'mediclin' ),
					'tooltip' => esc_attr__( 'Drag to change the distance of the title from subtitle', 'mediclin' ),
					'default'     => '0',
					'choices'     => array(
						'min'  => '0',
						'max'  => '140',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '.cl_service .box-content > .subtitle',
					'css_property' => 'margin-top',
					'cl_required'    => array(
						array(
							'setting'  => 'subtitle_bool',
							'operator' => '==',
							'value'    => true,
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
					
				),


			'icon_end' => array(
				'type' => 'group_end',
				'label' => 'Icon',
				'groupid' => 'icon'
			),



			'typography_start' => array(
				'type' => 'group_start',
				'label' => 'Typography',
				'groupid' => 'typography',
			),

				'title_typography' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Title Typography', 'mediclin' ),
					'tooltip' => 'Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style',
					'default'     => 'h4',
					'priority'    => 10,
					'selector' => '.cl_service .box-content > h3',
					'selectClass' => 'custom_font ',
					'choices'     => array(
						'h1'  => esc_attr__( 'H1', 'mediclin' ),
						'h2' => esc_attr__( 'H2', 'mediclin' ),
						'h3' => esc_attr__( 'H3', 'mediclin' ),
						'h4' => esc_attr__( 'H4', 'mediclin' ),
						'h5' => esc_attr__( 'H5', 'mediclin' ),
						'h6' => esc_attr__( 'H6', 'mediclin' ),
						'custom_font' => esc_attr__( 'Custom Font', 'mediclin' ),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	


				'title_font_size' => array(

						'type' => 'slider',
						'label' => 'Title Font Size',
						'default' => '16',
						'selector' => '.cl_service .box-content > h3',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '72',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'title_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Title Font Weight',
						'default' => '600',
						'selector' => '.cl_service .box-content > h3',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'title_line_height' => array(

						'type' => 'slider',
						'label' => 'Title Line Height',
						'default' => '22',
						'selector' => '.cl_service .box-content > h3',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'title_letterspace' => array(

						'type' => 'slider',
						'label' => 'Title Letter-space',
						'default' => '1',
						'selector' => '.cl_service .box-content > h3',
						'css_property' => 'letter-spacing',
						'choices'     => array(
							'min'  => '0',
							'max'  => '4',
							'step' => '0.05',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
				
				'title_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Title Text Transform', 'mediclin' ),
						
						'default'     => 'uppercase',
						'selector' => '.cl_service .box-content > h3',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),

				'title_color' => array(
						'type' => 'color',
						'label' => 'Title Color',
						'default' => '#444444',
						'selector' => '.cl_service .box-content > h3',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),
					
				
				
				'custom_desc_typography' => array(
					'type'        => 'switch',
					'label'       => __( 'Content Typography', 'mediclin' ),
					'tooltip' => 'Switch On if you want to modify default typography of content',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	
				
				
				
				'desc_font_size' => array(

						'type' => 'slider',
						'label' => 'Content Font Size',
						'default' => '14',
						'selector' => '.cl_service .box-content > .content',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '60',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'desc_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Content Font Weight',
						'default' => '400',
						'selector' => '.cl_service .box-content > .content',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'desc_line_height' => array(

						'type' => 'slider',
						'label' => 'Content Line Height',
						'default' => '22',
						'selector' => '.cl_service .box-content > .content',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '80',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'desc_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Content Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl_service .box-content > .content',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),
				'desc_color' => array(
						'type' => 'color',
						'label' => 'Content Color',
						'default' => '#6a6a6a',
						'selector' => '.cl_service .box-content > .content',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),


				'subtitle_typography' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Subtitle Typography', 'mediclin' ),
					'tooltip' => 'Select typography style of Subtitle',
					'default'     => 'default',
					'priority'    => 10,
					'selector' => '.cl_service .box-content > .subtitle',
					'selectClass' => '',
					'choices'     => array(
						'default'  => esc_attr__( 'Default', 'mediclin' ),
						'custom_font' => esc_attr__( 'Custom Font', 'mediclin' ),
					),
					'cl_required'    => array(
							array(
								'setting'  => 'subtitle_bool',
								'operator' => '==',
								'value'    => true,
							),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	


				'subtitle_font_size' => array(

						'type' => 'slider',
						'label' => 'Subtitle Font Size',
						'default' => '14',
						'selector' => '.cl_service .box-content > .subtitle',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '72',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'subtitle_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'subtitle_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Subtitle Font Weight',
						'default' => '400',
						'selector' => '.cl_service .box-content > .subtitle',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'subtitle_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'subtitle_line_height' => array(

						'type' => 'slider',
						'label' => 'Subtitle Line Height',
						'default' => '18',
						'selector' => '.cl_service .box-content > .subtitle',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'subtitle_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'subtitle_letterspace' => array(

						'type' => 'slider',
						'label' => 'Subtitle Letter-space',
						'default' => '0',
						'selector' => '.cl_service .box-content > .subtitle',
						'css_property' => 'letter-spacing',
						'choices'     => array(
							'min'  => '0',
							'max'  => '4',
							'step' => '0.05',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'subtitle_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
				
				'subtitle_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Subtitle Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl_service .box-content > .subtitle',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'subtitle_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),

				'subtitle_color' => array(
						'type' => 'color',
						'label' => 'Subtitle Color',
						'default' => '#a7a7a7',
						'selector' => '.cl_service .box-content > .subtitle',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'subtitle_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),




			'typography_end' => array(
				'type' => 'group_end',
				'label' => 'Typography',
				'groupid' => 'typography',
			),



			'animation_start' => array(
				'type' => 'group_start',
				'label' => 'Animation',
				'groupid' => 'animation'
			),
			
				'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl_service',
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl_service',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl_service',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
			
			'animation_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'animation'
			),


		'design_tab_end' => array(
			'type' => 'tab_end',
			'label' => 'Design',
			'tabid' => 'design'
		),
	)
));



 /* Service Boxed */
 cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Services Boxed', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Manage all options of the selected Row',
	//'priority'    => 10,
	'icon'		  => 'icon-arrows-circle-check',
	'transport'   => 'postMessage',
	'settings'    => 'cl_service_boxed',
	'marginPositions' => array('top'),

	


	'is_container' => false,
	'shiftClick' => array( 
			array( 'option' => 'h5_font_size', 'selector' => '.box-content h3' ) 
	),
	'fields' => array(

		'element_tabs' => array(
			'type' => 'show_tabs',
			'default' => 'general',
			'tabs' => array(
				'general' => array( 'General', 'cl-icon-settings' ),
				'design' => array( 'Design', 'cl-icon-tune' )
			)
		),
		
		'general_tab_start' => array(
			'type' => 'tab_start',
			'label' => 'General',
			'tabid' => 'general'
		),
		
			/* ----------------------------------------------- */
			
			'options_start' => array(
				'type' => 'group_start',
				'label' => 'Layout',
				'groupid' => 'layout'
			),
				
				'media' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Media Type', 'mediclin' ),
					
					'default'     => 'type_icon',
					'choices' => array(
						'type_icon' => 'Icon',
						'type_svg' => 'SVG',
						'type_custom' => 'Custom IMG'
					),
					'selector' => '.cl_service_boxed',
					'reloadTemplate' => true,
					'selectClass' => ''
				),

				'icon' => array(
					'type'     => 'select_icon',
					'priority' => 10,
					'label'       => esc_attr__( 'Select Icon', 'mediclin' ),
					'default'     => 'cl-icon-camera2',
					'selector' => '.cl_service_boxed > .icon_wrapper i',
					'selectClass' => ' ',
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_icon',
						),
					)
				),



				'image' => array(
					'type'        => 'image',
					'label'       => __( 'Upload Image', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'image_get' => 'id',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_custom',
						),
					),
					'choices' => array()
				),

				'svg_source' => array(
					'type'        => 'text',
					'label'       => __( 'SVG URL', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_svg',
						),
					),
					'choices' => array()
				),

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'full',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'media',
								'operator' => '==',
								'value'    => 'type_custom',
							),
						),
				),

				'title' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service_boxed .box-content > h3',
					'label'       => esc_attr__( 'Title', 'mediclin' ),
					'default'     => 'Custom Service Title',
					'replace_type_vc' => 'textfield',
					'holder' => 'h2'
				),

		

				'content' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service_boxed .box-content > .content',
					'label'       => esc_attr__( 'Content', 'mediclin' ),
					'default'     => 'On the other hand, we denounce with righteous indignation and dislike men who are so beguiled',
					'holder' => 'div'
				),

				'animation_icon' => array(
					'type'        => 'switch',
					'label'       => __( 'SVG Animation', 'mediclin' ),
					'tooltip' => 'Switch to animate SVG on load',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_svg',
						),
					),
				),	
		        
		        'service_readmore' => array(

		        	'type'     => 'text',
					'priority' => 10,
					'selector' => '',
					'label'       => esc_attr__( 'Service Link Label', 'mediclin' ),
					'default'     => 'Read More'

		        ),

				
				'service_link' => array(
					'type'     => 'text',
					'priority' => 10,
					'selector' => '',
					'label'       => esc_attr__( 'Service Link', 'mediclin' ),
					'default'     => ''
				),


			'options_end' => array(
				'type' => 'group_end',
				'label' => 'Layout',
				'groupid' => 'layout'
			),

			

		'general_tab_end' => array(
			'type' => 'tab_end',
			'label' => 'General',
			'tabid' => 'general'
		),
		'design_tab_begin' => array(
			'type' => 'tab_start',
			'label' => 'Design',
			'tabid' => 'design'
		),

			'panel' => array(
				'type' => 'group_start',
				'label' => 'Box',
				'groupid' => 'design_panel'
			),
		
				'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_service_boxed',
					'css_property' => '',
					'default' => array('margin-top' => '35px'),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'box_border_color' => array(
					'type' => 'color',
					'label' => 'Box Border Color',
					'default' => 'rgba(0,0,0,0.0)',
					'selector' => '.cl_service_boxed',
					'css_property' => 'border-color',
					'alpha' => true,
					'group_vc' => esc_attr('Style', 'mediclin')
				),


				'background_image_hover' => array(
					'type' => 'image',
					'label' => __( 'Background Image on hover', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'css_property' => 'background-image',
					'choices' => array(),
					'group_vc' => esc_attr('Style', 'mediclin'),
					'reloadTemplate' => true


				),		

				'background_color_hover' => array(

					'type' => 'color',
					'label' => __( 'Background Color on hover', 'mediclin' ),
					'default' => '',
					'selector' => '.cl_service_boxed:hover',
					'css_property' => 'background-color',
					'alpha' => true,
					'reloadTemplate' => true
					
					
				),

     


				
				
				'text_color' => array(
					'type' => 'inline_select',
					'label' => 'Text Color',
					'default' => 'dark-text',
					'choices' => array(
						'dark-text' => 'Dark',
						'light-text' => 'Light'
					),
					'selector' => '.cl_service_boxed',
					'selectClass' => '',
					'group_vc' => esc_attr('Style', 'mediclin')
				),
			
				
			'design_panel_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'design_panel'
			),

			'icon_start' => array(
				'type' => 'group_start',
				'label' => 'Style and Distances',
				'groupid' => 'icon'
			),

				'icon_font_size' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Icon Size', 'mediclin' ),
					'tooltip' => esc_attr__( 'Change Icon size by moving the slider', 'mediclin' ),
					'default'     => '36',
					'choices'     => array(
						'min'  => '14',
						'max'  => '120',
						'step' => '1',
					),
					'suffix' => 'px', 
					'selector' => '.cl_service_boxed > .icon_wrapper i',
					'css_property' => 'font-size',
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_icon',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'icon_color' => array(
					'type' => 'color',
					'label' => 'Icon Color',
					'default' => codeless_get_mod('primary_color'),
					'selector' => '.cl_service_boxed > .icon_wrapper i',
					'css_property' => 'color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_icon',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),
				

				'wrapper_bg_color' => array(
					'type' => 'color',
					'label' => 'Wrapper BG Color',
					'default' => 'rgba(0,0,0,0)',
					'selector' => '.cl_service_boxed > .icon_wrapper .wrapper-form',
					'css_property' => 'background-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'wrapper',
							'operator' => '!=',
							'value'    => 'wrapper_none',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),


			  
							

				'wrapper_border_color' => array(
					'type' => 'color',
					'label' => 'Wrapper Border Color',
					'default' => 'rgba(0,0,0,0.5)',
					'selector' => '.cl_service_boxed > .icon_wrapper .wrapper-form',
					'css_property' => 'border-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'wrapper',
							'operator' => '!=',
							'value'    => 'wrapper_none',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),
				


			'icon_end' => array(
				'type' => 'group_end',
				'label' => 'Icon',
				'groupid' => 'icon'
			),



			'typography_start' => array(
				'type' => 'group_start',
				'label' => 'Typography',
				'groupid' => 'typography',
			),

				'title_typography' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Title Typography', 'mediclin' ),
					'tooltip' => 'Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style',
					'default'     => 'h4',
					'priority'    => 10,
					'selector' => '.cl_service_boxed .box-content > h3',
					'selectClass' => 'custom_font ',
					'choices'     => array(
						'h1'  => esc_attr__( 'H1', 'mediclin' ),
						'h2' => esc_attr__( 'H2', 'mediclin' ),
						'h3' => esc_attr__( 'H3', 'mediclin' ),
						'h4' => esc_attr__( 'H4', 'mediclin' ),
						'h5' => esc_attr__( 'H5', 'mediclin' ),
						'h6' => esc_attr__( 'H6', 'mediclin' ),
						'custom_font' => esc_attr__( 'Custom Font', 'mediclin' ),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	


				'title_font_size' => array(

						'type' => 'slider',
						'label' => 'Title Font Size',
						'default' => '16',
						'selector' => '.cl_service_boxed .box-content > h3',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '72',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'title_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Title Font Weight',
						'default' => '600',
						'selector' => '.cl_service_boxed .box-content > h3',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'title_line_height' => array(

						'type' => 'slider',
						'label' => 'Title Line Height',
						'default' => '22',
						'selector' => '.cl_service_boxed .box-content > h3',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'title_letterspace' => array(

						'type' => 'slider',
						'label' => 'Title Letter-space',
						'default' => '1',
						'selector' => '.cl_service_boxed .box-content > h3',
						'css_property' => 'letter-spacing',
						'choices'     => array(
							'min'  => '0',
							'max'  => '4',
							'step' => '0.05',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
				
				'title_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Title Text Transform', 'mediclin' ),
						
						'default'     => 'uppercase',
						'selector' => '.cl_service_boxed .box-content > h3',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),

				'title_color' => array(
						'type' => 'color',
						'label' => 'Title Color',
						'default' => '#444444',
						'selector' => '.cl_service_boxed .box-content > h3',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),
					
				
				
				'custom_desc_typography' => array(
					'type'        => 'switch',
					'label'       => __( 'Content Typography', 'mediclin' ),
					'tooltip' => 'Switch On if you want to modify default typography of content',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	
				
				
				
				'desc_font_size' => array(

						'type' => 'slider',
						'label' => 'Content Font Size',
						'default' => '14',
						'selector' => '.cl_service_boxed .box-content > .content',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '60',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'desc_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Content Font Weight',
						'default' => '400',
						'selector' => '.cl_service_boxed .box-content > .content',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'desc_line_height' => array(

						'type' => 'slider',
						'label' => 'Content Line Height',
						'default' => '22',
						'selector' => '.cl_service_boxed .box-content > .content',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '80',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'desc_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Content Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl_service_boxed .box-content > .content',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),
				'desc_color' => array(
						'type' => 'color',
						'label' => 'Content Color',
						'default' => '#6a6a6a',
						'selector' => '.cl_service_boxed .box-content > .content',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),



			'typography_end' => array(
				'type' => 'group_end',
				'label' => 'Typography',
				'groupid' => 'typography',
			),



			'animation_start' => array(
				'type' => 'group_start',
				'label' => 'Animation',
				'groupid' => 'animation'
			),
			
				'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl_service_boxed',
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl_service',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl_service_boxed',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
			
			'animation_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'animation'
			),


		'design_tab_end' => array(
			'type' => 'tab_end',
			'label' => 'Design',
			'tabid' => 'design'
		),
	)
));


/* Services Image */



 cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Services Image', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Manage all options of the selected Row',
	//'priority'    => 10,
	'icon'		  => 'icon-arrows-circle-check',
	'transport'   => 'postMessage',
	'settings'    => 'cl_service_image',
	'marginPositions' => array('top'),

	


	'is_container' => false,
	'shiftClick' => array( 
			array( 'option' => 'h5_font_size', 'selector' => '.box-content h3' ) 
	),
	'fields' => array(

		'element_tabs' => array(
			'type' => 'show_tabs',
			'default' => 'general',
			'tabs' => array(
				'general' => array( 'General', 'cl-icon-settings' ),
				'design' => array( 'Design', 'cl-icon-tune' )
			)
		),
		
		'general_tab_start' => array(
			'type' => 'tab_start',
			'label' => 'General',
			'tabid' => 'general'
		),
		
			/* ----------------------------------------------- */
			
			'options_start' => array(
				'type' => 'group_start',
				'label' => 'Layout',
				'groupid' => 'layout'
			),
				
				'media' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Media Type', 'mediclin' ),
					
					'default'     => 'type_icon',
					'choices' => array(
				
						'type_custom' => 'Custom IMG'
					),
					'selector' => '.cl_service_image',
					'reloadTemplate' => true,
					'selectClass' => ''
				),



				'image' => array(
					'type'        => 'image',
					'label'       => __( 'Upload Image', 'mediclin' ),
					'default'     => '',
					'priority'    => 10,
					'image_get' => 'id',
					'reloadTemplate' => true,
					'choices' => array()
				),

			

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'full',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'media',
								'operator' => '==',
								'value'    => 'type_custom',
							),
						),
				),

				'title' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service_image .box-content > h3',
					'label'       => esc_attr__( 'Title', 'mediclin' ),
					'default'     => 'Custom Service Title',
					'replace_type_vc' => 'textfield',
					'holder' => 'h2'
				),

		

				'content' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl_service_image .box-content > .content',
					'label'       => esc_attr__( 'Content', 'mediclin' ),
					'default'     => 'On the other hand, we denounce with righteous indignation and dislike men who are so beguiled',
					'holder' => 'div'
				),

				'animation_icon' => array(
					'type'        => 'switch',
					'label'       => __( 'SVG Animation', 'mediclin' ),
					'tooltip' => 'Switch to animate SVG on load',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'cl_required'    => array(
						array(
							'setting'  => 'media',
							'operator' => '==',
							'value'    => 'type_svg',
						),
					),
				),	
		        
		        'service_readmore' => array(

		        	'type'     => 'text',
					'priority' => 10,
					'selector' => '',
					'label'       => esc_attr__( 'Service Link Label', 'mediclin' ),
					'default'     => 'Read More'

		        ),
				
				'service_link' => array(
					'type'     => 'text',
					'priority' => 10,
					'selector' => '',
					'label'       => esc_attr__( 'Service Link', 'mediclin' ),
					'default'     => ''
				),

			'options_end' => array(
				'type' => 'group_end',
				'label' => 'Layout',
				'groupid' => 'layout'
			),

			

		'general_tab_end' => array(
			'type' => 'tab_end',
			'label' => 'General',
			'tabid' => 'general'
		),
		'design_tab_begin' => array(
			'type' => 'tab_start',
			'label' => 'Design',
			'tabid' => 'design'
		),

			'panel' => array(
				'type' => 'group_start',
				'label' => 'Box',
				'groupid' => 'design_panel'
			),
		
				'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_service_image',
					'css_property' => '',
					'default' => array('margin-top' => '35px'),
					'group_vc' => esc_attr('Style', 'mediclin')
				),

				'box_border_color' => array(
					'type' => 'color',
					'label' => 'Box Border Color',
					'default' => 'rgba(0,0,0,0.0)',
					'selector' => '.cl_service_image',
					'css_property' => 'border-color',
					'alpha' => true,
					'group_vc' => esc_attr('Style', 'mediclin')
				),


				
				
				'text_color' => array(
					'type' => 'inline_select',
					'label' => 'Text Color',
					'default' => 'dark-text',
					'choices' => array(
						'dark-text' => 'Dark',
						'light-text' => 'Light'
					),
					'selector' => '.cl_service_image',
					'selectClass' => '',
					'group_vc' => esc_attr('Style', 'mediclin')
				),
			
				
			'design_panel_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'design_panel'
			),



				'wrapper_bg_color' => array(
					'type' => 'color',
					'label' => 'Wrapper BG Color',
					'default' => 'rgba(0,0,0,0)',
					'selector' => '.cl_service_image > .icon_wrapper .wrapper-form',
					'css_property' => 'background-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'wrapper',
							'operator' => '!=',
							'value'    => 'wrapper_none',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),


			  
							

				'wrapper_border_color' => array(
					'type' => 'color',
					'label' => 'Wrapper Border Color',
					'default' => 'rgba(0,0,0,0.5)',
					'selector' => '.cl_service_image > .icon_wrapper .wrapper-form',
					'css_property' => 'border-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'wrapper',
							'operator' => '!=',
							'value'    => 'wrapper_none',
						),
					),
					'group_vc' => esc_attr('Style', 'mediclin')
				),
				


			'icon_end' => array(
				'type' => 'group_end',
				'label' => 'Icon',
				'groupid' => 'icon'
			),



			'typography_start' => array(
				'type' => 'group_start',
				'label' => 'Typography',
				'groupid' => 'typography',
			),

				'title_typography' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Title Typography', 'mediclin' ),
					'tooltip' => 'Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style',
					'default'     => 'h4',
					'priority'    => 10,
					'selector' => '.cl_service_image .box-content > h3',
					'selectClass' => 'custom_font ',
					'choices'     => array(
						'h1'  => esc_attr__( 'H1', 'mediclin' ),
						'h2' => esc_attr__( 'H2', 'mediclin' ),
						'h3' => esc_attr__( 'H3', 'mediclin' ),
						'h4' => esc_attr__( 'H4', 'mediclin' ),
						'h5' => esc_attr__( 'H5', 'mediclin' ),
						'h6' => esc_attr__( 'H6', 'mediclin' ),
						'custom_font' => esc_attr__( 'Custom Font', 'mediclin' ),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	


				'title_font_size' => array(

						'type' => 'slider',
						'label' => 'Title Font Size',
						'default' => '16',
						'selector' => '.cl_service_image .box-content > h3',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '72',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'title_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Title Font Weight',
						'default' => '600',
						'selector' => '.cl_service_image .box-content > h3',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'title_line_height' => array(

						'type' => 'slider',
						'label' => 'Title Line Height',
						'default' => '22',
						'selector' => '.cl_service_image .box-content > h3',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'title_letterspace' => array(

						'type' => 'slider',
						'label' => 'Title Letter-space',
						'default' => '1',
						'selector' => '.cl_service_image .box-content > h3',
						'css_property' => 'letter-spacing',
						'choices'     => array(
							'min'  => '0',
							'max'  => '4',
							'step' => '0.05',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
				
				'title_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Title Text Transform', 'mediclin' ),
						
						'default'     => 'uppercase',
						'selector' => '.cl_service_image .box-content > h3',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),

				'title_color' => array(
						'type' => 'color',
						'label' => 'Title Color',
						'default' => '#444444',
						'selector' => '.cl_service_image .box-content > h3',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'title_typography',
								'operator' => '==',
								'value'    => 'custom_font',
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),
					
				
				
				'custom_desc_typography' => array(
					'type'        => 'switch',
					'label'       => __( 'Content Typography', 'mediclin' ),
					'tooltip' => 'Switch On if you want to modify default typography of content',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'group_vc' => esc_attr('Typography', 'mediclin')
				),	
				
				
				
				'desc_font_size' => array(

						'type' => 'slider',
						'label' => 'Content Font Size',
						'default' => '14',
						'selector' => '.cl_service_image .box-content > .content',
						'css_property' => 'font-size',
						'choices'     => array(
							'min'  => '14',
							'max'  => '60',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),

				'desc_font_weight' => array(

						'type' => 'inline_select',
						'label' => 'Content Font Weight',
						'default' => '400',
						'selector' => '.cl_service_image .box-content > .content',
						'css_property' => 'font-weight',
						'choices'     => array(
							'100' => '100',
							'200' => '200',
							'300' => '300',
							'400' => '400',
							'500' => '500',
							'600' => '600',
							'700' => '700',
							'800' => '800'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'desc_line_height' => array(

						'type' => 'slider',
						'label' => 'Content Line Height',
						'default' => '22',
						'selector' => '.cl_service_image .box-content > .content',
						'css_property' => 'line-height',
						'choices'     => array(
							'min'  => '20',
							'max'  => '80',
							'step' => '1',
							'suffix' => 'px'
						),
						'suffix' => 'px',
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
					),
					
				'desc_transform' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Content Text Transform', 'mediclin' ),
						
						'default'     => 'none',
						'selector' => '.cl_service_image .box-content > .content',
						'css_property' => 'text-transform',
						'choices' => array(
							'none' => 'None',
							'uppercase' => 'Uppercase'
						),
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
						
					),
				'desc_color' => array(
						'type' => 'color',
						'label' => 'Content Color',
						'default' => '#6a6a6a',
						'selector' => '.cl_service_image .box-content > .content',
						'css_property' => 'color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'custom_desc_typography',
								'operator' => '==',
								'value'    => true,
							),
						),
						'group_vc' => esc_attr('Typography', 'mediclin')
				),



			'typography_end' => array(
				'type' => 'group_end',
				'label' => 'Typography',
				'groupid' => 'typography',
			),



			'animation_start' => array(
				'type' => 'group_start',
				'label' => 'Animation',
				'groupid' => 'animation'
			),
			
				'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl_service_image',
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl_service',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl_service_image',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'group_vc' => esc_attr('Animation', 'mediclin')
				),
			
			'animation_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'animation'
			),


		'design_tab_end' => array(
			'type' => 'tab_end',
			'label' => 'Design',
			'tabid' => 'design'
		),
	)
));






 /* Portfolio */
 cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Portfolio', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Create Portfolio Element',
	//'priority'    => 10,
	'icon'		  => 'icon-arrows-squares',
	'transport'   => 'postMessage',
	'settings'    => 'cl_portfolio',
	'css_dependency' => array( CODELESS_BASE_URL.'css/codeless-portfolio.css',CODELESS_BASE_URL.'css/ilightbox/'.codeless_get_mod('lightbox_skin', 'dark').'-skin/skin.css', CODELESS_BASE_URL.'css/ilightbox/css/ilightbox.css', CODELESS_BASE_URL.'css/owl.carousel.min.css', CODELESS_BASE_URL.'css/codeless-image-filters.css'),
	'marginPositions' => array('top'),
	'is_container' => false,
	'fields' => array(

		'element_tabs' => array(
			'type' => 'show_tabs',
			'default' => 'general',
			'tabs' => array(
				'general' => array( 'General', 'cl-icon-settings' ),
				'overlay' => array( 'Overlay', 'cl-icon-tune' )
			)
		),
		
		'general_tab_start' => array(
			'type' => 'tab_start',
			'label' => 'General',
			'tabid' => 'general'
		),
		
			/* ----------------------------------------------- */
			
			'options_start' => array(
				'type' => 'group_start',
				'label' => 'Layout',
				'groupid' => 'layout'
			),

				


				'layout' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Layout', 'mediclin' ),
					'default'     => 'grid',
					'choices' => array(
						'grid' => 'Grid',
						'masonry' => 'Masonry',
						'inline' => 'Inline'
					),
					'selector' => '#portfolio-entries',
					'selectClass' => 'portfolio-layout-',
					'reloadTemplate' => true,
					
				),

				'preset_masonry' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Preset Masonry', 'mediclin' ),
					'default'     => 'none',
					'choices' => array(
						'none' => 'Set all items layout individually, from portfolio item options',
						'preset1' => 'Preset1'
					),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'layout',
							'operator' => '==',
							'value'    => 'masonry',
						),
					),
					
				),

				'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					'default'     => 'only_media',
					'choices' => array(
						'classic' => 'Classic',
						'classic_excerpt' => 'Classic Excerpt',
						'media_title' => 'Media and Title',
						'only_media' => 'Only Media',
						'media_content' => 'Media with Content'
					),
					'selector' => '#portfolio-entries',
					'selectClass' => 'portfolio-style-',
					'reloadTemplate' => true
					
				),

				'columns' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Columns', 'mediclin' ),
					'default'     => '3',
					'choices'     => array(
					  '1'  => esc_attr__( '1 Column', 'mediclin' ),
					  '2'  => esc_attr__( '2 Columns', 'mediclin' ),
					  '3' => esc_attr__( '3 Columns', 'mediclin' ),
					  '4' => esc_attr__( '4 Columns', 'mediclin' ),
					  '5' => esc_attr__( '5 Columns', 'mediclin' ),
				   ),
					'selector' => '#portfolio-entries', 
					'htmldata' => 'grid-cols',
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'reloadTemplate' => true
					
				),

				'distance' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Columns (Items) Gap', 'mediclin' ),
					'default'     => '15',
					'choices'     => array(
						'min'  => '0',
						'max'  => '35',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '#portfolio-entries .portfolio_item',
					'css_property' => 'padding',
					'customJS' => array('front' => 'codeless_builder_cl_portfolio')
				),

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'portfolio_entry',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true
					),

				'portfolio_justify' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Justify Gallery', 'mediclin' ),
					'default'     => 0,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off'  => esc_attr__( 'Off', 'mediclin' )
					),
					'reloadTemplate' => true,
					'addClass' => 'cl-justify-gallery',
					'selector' => '#portfolio-entries',
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '==',
							'value'    => false,
						),
					),
					
				),

				'portfolio_justify_rowheight' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Justify Row Height', 'mediclin' ),
					'default'     => '200',
					'choices'     => array(
						'min'  => '120',
						'max'  => '1100',
						'step' => '5',
					),
					'suffix' => '',
					'selector' => '#portfolio-entries',
					'htmldata' => 'rowheight',
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					array(
							'setting'  => 'portfolio_justify',
							'operator' => '==',
							'value'    => true,
					),
				),

				'portfolio_justify_margins' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Justify Item Margins', 'mediclin' ),
					'default'     => '15',
					'choices'     => array(
						'min'  => '0',
						'max'  => '100',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '#portfolio-entries',
					'htmldata' => 'margins',
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					array(
							'setting'  => 'portfolio_justify',
							'operator' => '==',
							'value'    => true,
					),
				),

				'portfolio_justify_maxheight' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Justify Max Height', 'mediclin' ),
					'description'       => esc_attr__( 'Leave 0, for infinite max-height', 'mediclin' ),
					'default'     => '0',
					'choices'     => array(
						'min'  => '0',
						'max'  => '1100',
						'step' => '1',
					),
					'suffix' => '',
					'selector' => '#portfolio-entries',
					'htmldata' => 'maxheight',
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					array(
							'setting'  => 'portfolio_justify',
							'operator' => '==',
							'value'    => true,
					),
				),

				'portfolio_justify_lastrow' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Justify LastRow', 'mediclin' ),
					'default'     => 'nojustify',
					'choices'     => array(
						'nojustify'  => 'No Justify',
						'justify'  => 'Justify',
						'hide' => 'Hide',
					),
					'suffix' => '',
					'selector' => '#portfolio-entries',
					'htmldata' => 'lastrow',
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					array(
							'setting'  => 'portfolio_justify',
							'operator' => '==',
							'value'    => true,
					),
				),

				'portfolio_fullheight' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Portfolio Fullheight', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#portfolio-entries',
					'addClass' => 'portfolio_fullheight',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio')
				),	


			'options_end' => array(
				'type' => 'group_end',
				'label' => 'Layout',
				'groupid' => 'layout'
			),


			'carousel_start' => array(
				'type' => 'group_start',
				'label' => 'Carousel',
				'groupid' => 'carousel'
			),
				'carousel' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#portfolio-entries',
					'addClass' => 'owl-carousel cl-carousel owl-theme',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio')
				),	


				'portfolio_carousel_nav' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#portfolio-entries',
					'htmldata' => 'carousel-nav',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '==',
							'value'    => true,
						),
					),
				),	



				'portfolio_carousel_dots' => array(
					'type'   => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#portfolio-entries',
					'htmldata' => 'carousel-dots',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'), 
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '==',
							'value'    => true,
						),
					),
				),	

			'carousel_end' => array(
				'type' => 'group_end',
				'label' => 'Carousel',
				'groupid' => 'carousel'
			),

			'extra_style' => array(
				'type' => 'group_start',
				'label' => 'Extra Style',
				'groupid' => 'extra'
			),

				'portfolio_item_title_style' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Title Style', 'mediclin' ),
					'tooltip' => '',
					'default'     => 'h4',
					'priority'    => 10,
					'choices'     => array(
						'h1'  => esc_attr__( 'H1', 'mediclin' ),
						'h2' => esc_attr__( 'H2', 'mediclin' ),
						'h3' => esc_attr__( 'H3', 'mediclin' ),
						'h4' => esc_attr__( 'H4', 'mediclin' ),
						'h5' => esc_attr__( 'H5', 'mediclin' ),
						'h6' => esc_attr__( 'H6', 'mediclin' ),
					),
					'cl_required'    => array(
						array(
							'setting'  => 'style',
							'operator' => '!=',
							'value'    => 'only_media',
						),
					),
					'reloadTemplate' => true
				),

				

				'portfolio_pagination_style' => array( 
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Pagination', 'mediclin' ),
					'default'     => 'numbers',
					'choices'     => array(
						'none'  => esc_attr__( 'None', 'mediclin' ),
						'numbers'  => esc_attr__( 'Page Numbers', 'mediclin' ),
						'next_prev'  => esc_attr__( 'Next/Prev', 'mediclin' ),
						'load_more'  => esc_attr__( 'Load More', 'mediclin' ),
						'infinite_scroll'  => esc_attr__( 'Infinite', 'mediclin' ),
						
					),
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '!=',
							'value'    => true,
						),
					),

				),

				'portfolio_filters' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Filters', 'mediclin' ),
					'default'     => 'disabled',
					'choices'     => array(
						'disabled'  => esc_attr__( 'Disabled', 'mediclin' ),
						'small'  => esc_attr__( 'Small Square', 'mediclin' ),
						'fullwidth'  => esc_attr__( 'Fullwidth', 'mediclin' )
					),
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '!=',
							'value'    => true,
						),
					),
					
				),

				'portfolio_filters_align' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Filter Align', 'mediclin' ),
					'default'     => 'center',
					'choices'     => array(
						'left'  => esc_attr__( 'Left', 'mediclin' ),
						'center'  => esc_attr__( 'Center', 'mediclin' ),
						'right'  => esc_attr__( 'Right', 'mediclin' ),
					),
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'portfolio_filters',
							'operator' => '!=',
							'value'    => 'disabled',
						),
					),
					
				),

				'portfolio_filters_color' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Filter Color Type', 'mediclin' ),
					'default'     => 'dark',
					'choices'     => array(
						'dark'  => esc_attr__( 'Dark', 'mediclin' ),
						'light'  => esc_attr__( 'Light', 'mediclin' )
					),
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'portfolio_filters',
							'operator' => '==',
							'value'    => 'fullwidth',
						),
					),
					
				),



				'filter_fullwidth_shadow' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Fullwidth Filter with Shadow', 'mediclin' ),
					'default'     => 0,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off'  => esc_attr__( 'Off', 'mediclin' )
					),
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'portfolio_filters',
							'operator' => '==',
							'value'    => 'fullwidth',
						),
					),
					
				),

				'filter_fullwidth_sticky' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Fullwidth Filter Sticky', 'mediclin' ),
					'default'     => 0,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off'  => esc_attr__( 'Off', 'mediclin' )
					),
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_cl_portfolio'),
					'cl_required'    => array(
						array(
							'setting'  => 'portfolio_filters',
							'operator' => '==',
							'value'    => 'fullwidth',
						),
					),
					
				),



				'image_filter' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Images Filter', 'mediclin' ),
					'tooltip' => esc_attr__( 'Applied on portfolio images', 'mediclin' ),
					'default'     => 'normal',
					'choices' => array(
						'normal' => 'normal',
						'darken' => 'darken',
						'_1977' => '1977',
						'aden' => 'aden',
						'brannan' => 'brannan',
						'brooklyn' => 'brooklyn',
						'clarendon' => 'clarendon',
						'earlybird' => 'earlybird',
						'gingham' => 'gingham',
						'hudson' => 'hudson',
						'inkwell' => 'inkwell',
						'kelvin' => 'kelvin',
						'lark' => 'lark',
						'lofi' => 'lo-Fi',
						'maven' => 'maven',
						'mayfair' => 'mayfair',
						'moon' => 'moon',
						'nashville' => 'nashville',
						'perpetua' => 'perpetua',
						'reyes' => 'reyes',
						'rise' => 'rise',
						'slumber' => 'slumber',
						'stinson' => 'stinson',
						'toaster' => 'toaster',
						'valencia' => 'valencia',
						'walden' => 'walden',
						'willow' => 'willow',
						'xpro2' => 'x-pro II'
					),
					'reloadTemplate' => true
				),

				

				'boxed' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Boxed Style', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want to add a boxed shadow. Works only on Classic and Classic with Excerpt', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#portfolio-entries',
					'addClass' => 'portfolio_boxed',
				),	

				'portfolio_animation' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'    => __( 'Animation', 'mediclin' ),
					'tooltip' => __( 'Background Image', 'mediclin' ),
					'default'     => 'bottom-t-top',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
						'reveal-right' => 'Reveal Right',
						'reveal-left' => 'Reveal Left',
						'reveal-top' => 'Reveal Top',
						'reveal-bottom' => 'Reveal Bottom',
						'interchange_left_right' => 'Interchange Left-Right'
					),

					'reloadTemplate' => true,
				),

				'portfolio_animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => '100',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
				),




			'extra_style_end' => array(
				'type' => 'group_end',
				'label' => 'Extra Style',
				'groupid' => 'extra'
			),


			'query_start' => array(
				'type' => 'group_start',
				'label' => 'Query',
				'groupid' => 'query'
			),	

				'categories' => array(
					'type'     => 'select',
					'multiple' => 100,
					'priority' => 10,
					'label'       => esc_attr__( 'Categories', 'mediclin' ),
					'default'     => '',
					'choices' => codeless_get_terms( 'portfolio_entries', true ),
					'reloadTemplate' => true,
					'replace_type_vc' => 'dropdown_multi'
				),

				'posts_per_page' => array(
					'type' => 'text',
					'label'    => __( 'Items per page', 'mediclin' ),
					'tooltip' => __( 'Maximal number of items that will show in one portfolio page', 'mediclin' ),
					'default'  => 12,
					'reloadTemplate' => true
				),

				'orderby' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					'default'     => 'date',

					'choices'     => array(
						'none' => __('No order', 'mediclin'),
						'ID' => __('Post ID', 'mediclin'),
						'author' => __('Author', 'mediclin'),
						'title' => __('Title', 'mediclin'),
						'name' => __('Name (slug)', 'mediclin'),
						'date' => __('Date', 'mediclin'),
						'modified' => __('Modified', 'mediclin'),
					),

					'reloadTemplate' => true,
				),


				'order' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order', 'mediclin' ),
					'default'     => 'DESC',

					'choices'     => array(
						'DESC' => __('Descending', 'mediclin'),
						'ASC' => __('Ascending', 'mediclin'),				
					),
					'reloadTemplate' => true
				),

				'portfolio_custom_link_target' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Link Target', 'mediclin' ),
					'default'     => '_self',

					'choices'     => array(
						'_self' => __('_self', 'mediclin'),
						'_blank' => __('_blank', 'mediclin'),				
					),
					'reloadTemplate' => true
				),



			'query_end' => array(
				'type' => 'group_end',
				'label' => 'Query',
				'groupid' => 'query'
			),

		'general_tab_end' => array(
				'type' => 'tab_end',
				'label' => 'General',
				'tabid' => 'general'
		),	

		'overlay_start' => array(
				'type' => 'tab_start',
				'label' => 'Overlay',
				'tabid' => 'overlay'
		),

			'overlay_layout' => array(
				'type' => 'group_start',
				'label' => 'Overlay Layout',
				'groupid' => 'overlay_layout'
			),
				'portfolio_overlay' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					
					'default'     => 'color',

					'choices'     => array(
						'none'  => esc_attr__( 'None', 'mediclin' ),
						'color'  => esc_attr__( 'Color Overlay', 'mediclin' ),
						'zoom_color'  => esc_attr__( 'Zoom and Color', 'mediclin' ),
						'grayscale'  => esc_attr__( 'Grayscale Hover', 'mediclin' ),
						'antigrayscale'  => esc_attr__( 'From Grayscale to normal', 'mediclin' ),
						'two_icons' => esc_attr__( 'Two Icons', 'mediclin' )
					),
					'reloadTemplate' => true
				),

				

				'portfolio_overlay_layout' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Layout', 'mediclin' ),
					'tooltip' => esc_attr__( 'Position of content into the overlay ( icons, title, tags )', 'mediclin' ),
					'default'     => 'center',

					'choices'     => array(
						'center'  => esc_attr__( 'Center', 'mediclin' ),
						'icon_top_content_bottom'  => esc_attr__( 'Icon Top / Content Bottom', 'mediclin' ),
						'content_top'  => esc_attr__( 'Content Top / Icon Bottom', 'mediclin' )
					),
					'selector' => '#portfolio-entries',
					'selectClass' => 'overlay-layout-'
				),

				'portfolio_overlay_title_bool' => array(
					'type'        => 'switch',
					'label'       => __( 'Show Title', 'mediclin' ),
					'tooltip' => '',
					'default'     => 1,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'reloadTemplate' => true
				),

				'portfolio_overlay_title_style' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Title Style', 'mediclin' ),
					'tooltip' => '',
					'default'     => 'h5',
					'priority'    => 10,
					'choices'     => array(
						'h1'  => esc_attr__( 'H1', 'mediclin' ),
						'h2' => esc_attr__( 'H2', 'mediclin' ),
						'h3' => esc_attr__( 'H3', 'mediclin' ),
						'h4' => esc_attr__( 'H4', 'mediclin' ),
						'h5' => esc_attr__( 'H5', 'mediclin' ),
						'h6' => esc_attr__( 'H6', 'mediclin' ),
					),
					'cl_required'    => array(
						array(
							'setting'  => 'portfolio_overlay_title_bool',
							'operator' => '==',
							'value'    => true,
						),
					),
					'reloadTemplate' => true
				),

				'portfolio_overlay_categories_bool' => array(
					'type'        => 'switch',
					'label'       => __( 'Show Categories', 'mediclin' ),
					'default'     => 1,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'reloadTemplate' => true
				),

				'portfolio_overlay_icon_bool' => array(
					'type'        => 'switch',
					'label'       => __( 'Show Icon', 'mediclin' ),
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'reloadTemplate' => true
				),

				'portfolio_overlay_icon' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Icon', 'mediclin' ),
					
					'default'     => 'plus2',

					'choices'     => array(
						'plus2'  => esc_attr__( 'Plus', 'mediclin' ),
						'arrow-right'  => esc_attr__( 'Arrow Right', 'mediclin' ),
						'expand2'  => esc_attr__( 'Expand', 'mediclin' ),
						'lightbox' => esc_attr__( 'Lightbox', 'mediclin' ),
						'lightbox_link' => esc_attr__( 'Lightbox & Link', 'mediclin' ),
					),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'portfolio_overlay_icon_bool',
							'operator' => '==',
							'value'    => true,
						),
					),
				),


				'portfolio_overlay_distance' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Distance', 'mediclin' ),
					'tooltip' => esc_attr__( 'Distance between portfolio overlay and photo corners', 'mediclin' ),
					'default'     => '0',
					'choices'     => array(
						'min'  => '0',
						'max'  => '100',
						'step' => '5',
					),
					'suffix' => 'px',
					'selector' => '#portfolio-entries .entry-overlay',
					'css_property' => 'padding'
				),

			'overlay_layout_end' => array(
				'type' => 'group_end',
				'label' => 'Overlay Layout',
				'groupid' => 'overlay_layout'
			),


			'overlay_design' => array(
				'type' => 'group_start',
				'label' => 'Overlay Design',
				'groupid' => 'overlay_design'
			),

				'portfolio_overlay_color' => array(

					'type' => 'color',
					'label' => 'BG Color',
					'default' => 'rgba(31, 180, 204, 0.86)',
					'selector' => '#portfolio-entries .portfolio_item .entry-overlay .overlay-wrapper',
					'css_property' => 'background-color',
					'alpha' => true
					
				),

				'overlay_gradient' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Overlay Bg Color', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'azure_pop' =>	'Azure Pop',
						'love_couple' => 'Love Couple',
						'disco' => 'Disco',
						'limeade' => 'Limeade',
						'dania' => 'Dania',
						'shades_of_grey' =>	'Shades of Grey',
						'dusk' => 'dusk',
						'delhi' => 'delhi',
						'sun_horizon' => 'Sun Horizon',
						'blood_red' => 'Blood Red',
						'sherbert' => 'Sherbert',
						'firewatch' => 'Firewatch',
						'frost' => 'Frost',
						'mauve' => 'Mauve',
						'deep_sea' => 'Deep Sea',
						'solid_vault' => 'Solid Vault',
						'deep_space' =>	'Deep Space',
						'suzy' => 'Suzy'
						
						
					),
					'selector' => '#portfolio-entries .portfolio_item .entry-overlay .overlay-wrapper',
					'selectClass' => 'cl-gradient-',
				
				),

				'portfolio_overlay_content_color' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Content Color', 'mediclin' ),
					'default'     => 'light-text',

					'choices'     => array(
						'light-text'  => esc_attr__( 'Light', 'mediclin' ),
						'dark-text'  => esc_attr__( 'Dark', 'mediclin' )
					),

					'reloadTemplate' => true,
					'selector' => '#portfolio-entries .entry-overlay',
					'selectClass' => ''
				),
				

				'portfolio_overlay_content_animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Content Animation', 'mediclin' ),
					'default'     => 'alpha-anim',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
					
					),
					'selector' => '#portfolio-entries',
					'selectClass' => 'overlay-anim_'
				),

			'overlay_design_end' => array(
				'type' => 'group_end',
				'label' => 'Overlay Design',
				'groupid' => 'overlay_design'
			),

		'overlay_end' => array(
				'type' => 'tab_end',
				'label' => 'Overlay',
				'tabid' => 'overlay'
		),


		

	)
 ));

 /* Codeless Slider */
 cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Codeless Slider', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Codeless Slider',
	//'priority'    => 10,
	'icon'		  => 'icon-basic-webpage-multiple',
	'transport'   => 'postMessage',
	'settings'    => 'cl_slider',
	'is_root'	  => true,
	'marginPositions' => array('top'),
	'is_container' => true,
	'fields' => array(
		'slider_height' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Slider Height', 'mediclin' ),
					'tooltip' => esc_attr__( 'This is used as slider height. All slides inherit this value', 'mediclin' ),
					'default'     => '400',
					'choices'     => array(
						'min'  => '200',
						'max'  => '2000',
						'step' => '5',
					),
					'suffix' => 'px', 
					'selector' => '.cl_slider',
					'css_property' => 'height',
					
		),

		'fullheight_slider' => array(
					'type'        => 'switch',
					'label'       => __( 'Full Height Slider', 'mediclin' ),
					'tooltip' => 'Stretch Slider in a fullscreen style.',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'addClass' => 'cl_slider-fullheight',
					'customJS' => array('front' => 'codeless_builder_fullHeightSlider'),
					
		),

		

		'fullheight_slider_responsive' => array(
					'type'        => 'switch',
					'label'       => __( 'Force Fullheight on responsive', 'mediclin' ),
					'tooltip' => 'Active to force fullheight slider on responsive devices',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'addClass' => 'cl_slider-force-fullheight',
					'customJS' => array('front' => 'codeless_builder_fullHeightSlider'),
		),

		'navigation' => array(
					'type'        => 'switch',
					'label'       => __( 'Prev / Next Buttons', 'mediclin' ),
					'tooltip' => 'Switch on/off navigation buttons',
					'default'     => 1,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'htmldata' => 'navigation',
				),

		'navigation_style' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Navigation Style', 'mediclin' ),
					'tooltip' => 'Switch on/off navigation buttons',
					'default'     => 'lateral',
					'priority'    => 10,
					'choices'     => array(
						'lateral' => 'Lateral',
						'rounded_left_bottom' => 'Rounded Left Bottom'
					),
					'selector' => '.cl_slider',
					'htmldata' => 'navigation-style',
				),

		'pagination' => array(
					'type'        => 'switch',
					'label'       => __( 'Pagination Buttons', 'mediclin' ),
					'tooltip' => 'Switch on/off pagination buttons',
					'default'     => 1,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'htmldata' => 'pagination',
				),

		'pagination_style' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Pagination Style', 'mediclin' ),
					'tooltip' => 'Switch on/off pagination buttons',
					'default'     => 'round',
					'priority'    => 10,
					'choices'     => array(
						'round' => 'Rounded',
						'lines' => 'Lines'
					),
					'selector' => '.cl_slider',
					'htmldata' => 'pagination-style',
				),
		'effect' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Effect', 'mediclin' ),
					'tooltip' => esc_attr__( 'Need reload to function properly. Test it in website frontpage or make a reload here.', 'mediclin' ),
					'default'     => 'fade',
					'choices' => array(
						'fade' => 'Fade',
						'slide' => 'Slide',
						'cube' => 'Cube',
						'coverflow' => 'Coverflow',
						'flip' => 'Flip',
						'interleave' => 'Interleave',
						'softscale' => 'SoftScale'
					),
					'selector' => '.cl_slider',
					'htmldata' => 'effect',
					'customJS' => array('front' => 'codeless_builder_codelessSlider'),
					
				),
		'direction' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Direction', 'mediclin' ),
					'tooltip' => esc_attr__( 'Need reload to function properly. Test it in website frontpage or make a reload here.', 'mediclin' ),
					'default'     => 'horizontal',
					'choices' => array(
						'horizontal' => 'Horizontal',
						'vertical' => 'Vertical',
						
					),
					'selector' => '.cl_slider',
					'htmldata' => 'direction'
				),
		'responsive_plain_slider' => array(
					'type'        => 'switch',
					'label'       => __( 'Slider as Plain in responsive (Vertical)', 'mediclin' ),
					'tooltip' => 'By switch this on slider will show as plain sections not as slider in responsive devices. Works only with Vetical Slider',
					'default'     => 1,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					
					'addClass' => 'cl_slider-responsive-plain',
		),
		'speed' => array(
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Transition Speed', 'mediclin' ),
					'tooltip' => esc_attr__( 'Need reload to function properly. Test it in website frontpage or make a reload here.', 'mediclin' ),
					'default'     => '300',
					'selector' => '.cl_slider',
					'htmldata' => 'speed'
				),
		'autoplay' => array(
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Autoplay, delay between slides in ms', 'mediclin' ),
					'tooltip' => esc_attr__( 'Leave 0 if you dont want an autoplay slider', 'mediclin' ),
					'default'     => '6500',
					'selector' => '.cl_slider',
					'htmldata' => 'clautoplay'
				),
		'loop' => array(
					'type'        => 'switch',
					'label'       => __( 'Loop', 'mediclin' ),
					'tooltip' => '',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'htmldata' => 'loop',
				),

		'anchor_labels' => array(
					'type'        => 'switch',
					'label'       => __( 'Show Anchor Labels', 'mediclin' ),
					'tooltip' => '',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'htmldata' => 'anchors',
				),
		'mousewheel' => array(
					'type'        => 'switch',
					'label'       => __( 'Mousewheel', 'mediclin' ),
					'tooltip' => 'Useful in vertical sliders',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider',
					'htmldata' => 'mousewheel',
				),

		'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_slider',
					'css_property' => '',
					'default' => array('margin-top' => '0px')
			),
	)
));

	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Codeless Slide', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		'tooltip' => 'Add new slide for codeless slider',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-elaboration-browser-star',
		'transport'   => 'postMessage',
		'settings'    => 'cl_slide',
		'hide_from_list' => true,
		'is_container' => true,
		'fields' => array(
			'animation_slide' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none' => 'None',
						'cinemagraphs_first' => 'Cinemagraphs 1',
						'cinemagraphs_two' => 'Cinemagraphs 2'
						
					),
					'selector' => '.cl-slide',
					'selectClass' => 'cl-slide-animation animation--',
					
			),

			'add_scroll_svg' => array(
					'type'        => 'switch',
					'label'       => __( 'Scroll SVG Bottom', 'mediclin' ),
					'tooltip' => __( 'By activate this a new SVG Mouse Scroll indication will show on this slide.', 'mediclin' ),
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					)
					
			),
		)
	));

	/* Testimonial */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Testimonial', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-message-multiple',
		'transport'   => 'postMessage',
		'settings'    => 'cl_testimonial',
		'is_container' => false,
		'css_dependency' => array( CODELESS_BASE_URL.'css/owl.carousel.min.css'),
		'marginPositions' => array('top'),
		'fields' => array(

			'carousel_start' => array(
				'type' => 'group_start',
				'label' => 'Carousel',
				'groupid' => 'carousel'
			),	
				'carousel_nav' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#testimonial-entries',
					'htmldata' => 'carousel-nav',
					'reloadTemplate' => true

				),	

				'testimonial_autoplay' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Autoplay', 'mediclin' ),
					'tooltip' => esc_attr__( 'Set carousel to autoplay', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						1 => 'On',
						0 => 'Off'
					
					),
					'selector' => '#testimonial-entries',
					'htmldata' => 'carousel-autoplay',
				),	


				'carousel_dots' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '#testimonial-entries',
					'htmldata' => 'carousel-dots',
					'reloadTemplate' => true,

				),	


				'carousel_view_items' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Items', 'mediclin' ),
					
					'default'     => '1',
					'choices' => array(
						'1' =>	'1 item',
						'2' =>	'2 items',
						'3' => '3 items'
					),
					'selector' => '#testimonial-entries',
					'htmldata' => 'carousel-items',
					'reloadTemplate' => true,
			),

			'carousel_end' => array(
				'type' => 'group_end',
				'label' => 'Carousel',
				'groupid' => 'carousel'
			),

			'query_start' => array(
				'type' => 'group_start',
				'label' => 'Query',
				'groupid' => 'query'
			),	

				'categories' => array(
					'type'     => 'select',
					'multiple' => 100,
					'priority' => 10,
					'label'       => esc_attr__( 'Categories', 'mediclin' ),
					
					'default'     => '',
					'choices' => codeless_get_terms( 'testimonial_entries', true ),
					'reloadTemplate' => true,
					'replace_type_vc' => 'dropdown_multi'
				),

				'posts_per_page' => array(
					'type' => 'text',
					'label'    => __( 'Items to show', 'mediclin' ),
					'tooltip' => __( 'Maximal number of items that will show', 'mediclin' ),
					'default'  => 12,
					'reloadTemplate' => true
				),



				'orderby' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					
					'default'     => 'date',
					'multiple' => false,
					'choices'     => array(
						'none' => __('No order', 'mediclin'),
						'ID' => __('Post ID', 'mediclin'),
						'author' => __('Author', 'mediclin'),
						'title' => __('Title', 'mediclin'),
						'name' => __('Name (slug)', 'mediclin'),
						'date' => __('Date', 'mediclin'),
						'modified' => __('Modified', 'mediclin'),
					),

					'reloadTemplate' => true,
				),


				'order' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					
					'default'     => 'DESC',
					'multiple' => false,
					'choices'     => array(
						'DESC' => __('Descending', 'mediclin'),
						'ASC' => __('Ascending', 'mediclin'),				
					),
					'reloadTemplate' => true
				),



			'query_end' => array(
				'type' => 'group_end',
				'label' => 'Query',
				'groupid' => 'query'
			),

		)

	));

	/* Blog */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Blog', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-archive-full',
		'transport'   => 'postMessage',
		'settings'    => 'cl_blog',
		'is_container' => false,
		'marginPositions' => array('top'),
		'css_dependency' => array( CODELESS_BASE_URL.'css/ilightbox/'.codeless_get_mod('lightbox_skin', 'dark').'-skin/skin.css',CODELESS_BASE_URL.'css/ilightbox/css/ilightbox.css', CODELESS_BASE_URL.'css/owl.carousel.min.css', CODELESS_BASE_URL.'css/codeless-image-filters.css'),
		'fields' => array(
			'general_group_start' => array(
				'type' => 'group_start',
				'label' => 'General',
				'groupid' => 'general'
			),	

				'blog_style' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'    => __( 'Blog Style', 'mediclin' ),
					'tooltip' => __( 'Select one of the blog styles that you want to use as a default template', 'mediclin' ),
					'default'     => 'grid',
					'choices'     => array(
						'default'  => esc_attr__( 'Default', 'mediclin' ),
						'lateral'  => esc_attr__( 'Lateral', 'mediclin' ),
						'large_box'  => esc_attr__( 'Large Box', 'mediclin' ),
						/*'minimal'  => esc_attr__( 'Minimal', 'mediclin' ),
						'timeline'  => esc_attr__( 'Timeline', 'mediclin' ),
						'grid'  => esc_attr__( 'Grid', 'mediclin' ),
						'masonry' => esc_attr__( 'Masonry', 'mediclin' ),
						'news' => esc_attr__( 'News', 'mediclin' ),
						'media' => esc_attr__( 'Only Media', 'mediclin' )*/
					),

					'reloadTemplate' => true,
				),


				'blog_news' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'    => __( 'News Grid Layout', 'mediclin' ),
					'tooltip' => __( 'Select one of the blog news grid layouts.', 'mediclin' ),
					'default'     => 'grid_1',
					'choices' => array(
						'grid_1' => 'Layout 1',
						'grid_2' => 'Layout 2',
						'grid_3' => 'Layout 3',
					),
					'selector' => '.cl_blog > #blog-entries',
					'selectClass' => 'news-layout-',
					'cl_required'    => array(
						array(
							'setting'  => 'blog_style',
							'operator' => '==',
							'value'    => 'news',
						),
					),
					'reloadTemplate' => true,
				),


				
				

				



				'blog_grid_layout' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'    => __( 'Grid Layout', 'mediclin' ),
					'tooltip' => __( 'Here you can set the grid layout', 'mediclin' ),
					'default'     => '3',
					'choices' => array(
						'2'	=> '2 Columns',
						'3'	=> '3 Columns',
						'4'	=> '4 Columns',
						'5'	=> '5 Columns',
					),

					'reloadTemplate' => true,
				),

				'blog_pagination' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Blog Pagination', 'mediclin' ),
					
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'reloadTemplate' => true

				),	


				'blog_animation' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'    => __( 'Animation Type', 'mediclin' ),
					'tooltip' => __( 'Set the animation for blog post appear', 'mediclin' ),
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),

					'reloadTemplate' => true,
				),

				

				


				'image_filter' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Images Filter', 'mediclin' ),
					'tooltip' => esc_attr__( 'Applied on blog images', 'mediclin' ),
					'default'     => 'normal',
					'choices' => array(
						'normal' => 'normal',
						'darken' => 'darken',
						'_1977' => '1977',
						'aden' => 'aden',
						'brannan' => 'brannan',
						'brooklyn' => 'brooklyn',
						'clarendon' => 'clarendon',
						'earlybird' => 'earlybird',
						'gingham' => 'gingham',
						'hudson' => 'hudson',
						'inkwell' => 'inkwell',
						'kelvin' => 'kelvin',
						'lark' => 'lark',
						'lofi' => 'lo-Fi',
						'maven' => 'maven',
						'mayfair' => 'mayfair',
						'moon' => 'moon',
						'nashville' => 'nashville',
						'perpetua' => 'perpetua',
						'reyes' => 'reyes',
						'rise' => 'rise',
						'slumber' => 'slumber',
						'stinson' => 'stinson',
						'toaster' => 'toaster',
						'valencia' => 'valencia',
						'walden' => 'walden',
						'willow' => 'willow',
						'xpro2' => 'x-pro II'
					),
					'reloadTemplate' => true
				),

				

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>. When leaved default, for grid, alternate, news, media styles will be use the 'blog_entry_small' for other styles the 'blog_entry' ",
						'default'     => 'theme_default',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true
					),


			'general_group_end' => array(
				'type' => 'group_end',
				'label' => 'General',
				'groupid' => 'general'
			),


			'carousel_start' => array(
				'type' => 'group_start',
				'label' => 'Carousel',
				'groupid' => 'carousel'
			),	

				'carousel' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_blog > #blog-entries',
					'addClass' => 'owl-carousel cl-carousel owl-theme',
					'reloadTemplate' => true,
				),	

				'carousel_nav' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_blog > #blog-entries',
					'htmldata' => 'carousel-nav',
					'reloadTemplate' => true

				),	



				'carousel_dots' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'mediclin' ),
					'default'     => 1,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_blog > #blog-entries',
					'htmldata' => 'carousel-dots',
					'reloadTemplate' => true,

				),	

			'carousel_end' => array(
				'type' => 'group_end',
				'label' => 'Carousel',
				'groupid' => 'carousel'
			),

			'query_start' => array(
				'type' => 'group_start',
				'label' => 'Query',
				'groupid' => 'query'
			),	

				'categories' => array(
					'type'     => 'select',
					'multiple' => 100,
					'priority' => 10,
					'label'       => esc_attr__( 'Categories', 'mediclin' ),
					
					'default'     => '',
					'choices' => codeless_get_terms( 'post', true ),
					'reloadTemplate' => true,
					'replace_type_vc' => 'dropdown_multi'
				),

				'posts_per_page' => array(
					'type' => 'text',
					'label'    => __( 'Items per page', 'mediclin' ),
					'tooltip' => __( 'Maximal number of items that will show', 'mediclin' ),
					'default'  => 6,
					'reloadTemplate' => true
				),

				'orderby' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					
					'default'     => 'date',
					'multiple' => false,
					'choices'     => array(
						'none' => __('No order', 'mediclin'),
						'ID' => __('Post ID', 'mediclin'),
						'author' => __('Author', 'mediclin'),
						'title' => __('Title', 'mediclin'),
						'name' => __('Name (slug)', 'mediclin'),
						'date' => __('Date', 'mediclin'),
						'modified' => __('Modified', 'mediclin'),
					),

					'reloadTemplate' => true,
				),


				'order' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					
					'default'     => 'DESC',
					'multiple' => false,
					'choices'     => array(
						'DESC' => __('Descending', 'mediclin'),
						'ASC' => __('Ascending', 'mediclin'),				
					),
					'reloadTemplate' => true
				),



			'query_end' => array(
				'type' => 'group_end',
				'label' => 'Query',
				'groupid' => 'query'
			),

			'css_style' => array(
				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.cl_blog',
				'css_property' => '',
				'default' => array('margin-top' => '35px')
			),

		)
	));

	 /* Team */
	 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Team', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-postcard-multiple',
		'transport'   => 'postMessage',
		'settings'    => 'cl_team',
		'is_container' => false,
		'css_dependency' => array( CODELESS_BASE_URL.'css/owl.carousel.min.css'),
		'marginPositions' => array('top'),
		'fields' => array(

			'general_start' => array(
				'type' => 'group_start',
				'label' => 'General',
				'groupid' => 'general'
			),	

				'is_single' => array(
					'type'        => 'switch',
					'label'       => __( 'Single Team', 'mediclin' ),
					'tooltip' => 'Switch On to show only one Team Member.',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_team',
					'addClass' => 'is_single',
					'reloadTemplate' => true
				),

				'style' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					
					'default'     => 'simple',

					'choices'     => array(
						'simple' => __('Simple', 'mediclin'),
						'photo' => __('Only Photo', 'mediclin')
					),
					'selector' => '.cl_team',
					'selectClass' => 'style-',

					'reloadTemplate' => true,
					
				),

				'grid_layout' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'    => __( 'Layout', 'mediclin' ),
					'tooltip' => __( 'Set the grid layout', 'mediclin' ),
					'default'     => '3',
					'choices' => array(
						'2'	=> '2 Columns',
						'3'	=> '3 Columns',
						'4'	=> '4 Columns',
						'5'	=> '5 Columns',
						'6'	=> '6 Columns',
					),
					'selector' => '.cl_team',
					'htmldata' => 'columns',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'is_single',
							'operator' => '==',
							'value'    => 0,
						),
					)
				),

				'team_items_distance' => array(
						'type'     => 'slider',
						'priority' => 10,
						'label'       => esc_attr__( 'Distance between Team Members', 'mediclin' ),
						
						'default'     => '15',
						'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '5',
						),
						'suffix' => 'px',
						'selector' => '.cl_team .team-item',
						'css_property' => 'padding'
					),

				'carousel' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					
					),
					'selector' => '.cl_team',
					'addClass' => 'owl-carousel cl-carousel owl-theme',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_teamCarousel')
				),	


				'carousel_nav' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_team',
					'htmldata' => 'carousel-nav',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_teamCarousel'),
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '==',
							'value'    => 1,
						),
					),
				),	



				'carousel_dots' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_team',
					'htmldata' => 'carousel-dots',
					'reloadTemplate' => true,
					'customJS' => array('front' => 'codeless_builder_teamCarousel'), 
					'cl_required'    => array(
						array(
							'setting'  => 'carousel',
							'operator' => '==',
							'value'    => 1,
						),
					),
				),	


				'title_typography' => array(
					'type'        => 'inline_select',
					'label'       => __( 'Title Typography', 'mediclin' ),
					'tooltip' => 'Select one of the predefined title typography styles on Styling Section',
					'default'     => 'h3',
					'priority'    => 10,
					'selector' => '.cl_team .team-name',
					'selectClass' => 'custom_font ',
					'choices'     => array(
						'h1'  => esc_attr__( 'H1', 'mediclin' ),
						'h2' => esc_attr__( 'H2', 'mediclin' ),
						'h3' => esc_attr__( 'H3', 'mediclin' ),
						'h4' => esc_attr__( 'H4', 'mediclin' ),
						'h5' => esc_attr__( 'H5', 'mediclin' ),
						'h6' => esc_attr__( 'H6', 'mediclin' ),
					),
				),


				'team_animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'reloadTemplate' => true
				),

				'image_size' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Image Size', 'mediclin' ),
						'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
						'default'     => 'team_entry',
						'priority'    => 10,
						'choices'     => codeless_get_additional_image_sizes(),
						'reloadTemplate' => true
					),


			'general_end' => array(
				'type' => 'group_end',
				'label' => 'General',
				'groupid' => 'general'
			),	


			 'query_start' => array(
				'type' => 'group_start',
				'label' => 'Query',
				'groupid' => 'query'
			),	

				'team_id' => array(
					'type'     => 'select',
					'priority' => 10,
					'label'       => esc_attr__( 'Items', 'mediclin' ),
					
					'default'     => '',
					'choices' => codeless_get_items_by_term( 'staff' ),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'is_single',
							'operator' => '==',
							'value'    => 1,
						),
					)
				),

				'categories' => array(
					'type'     => 'select',
					'multiple' => 100,
					'priority' => 10,
					'label'       => esc_attr__( 'Categories', 'mediclin' ),
					
					'default'     => '',
					'choices' => codeless_get_terms( 'staff_entries', true ),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'is_single',
							'operator' => '==',
							'value'    => 0,
						),
					),
					'replace_type_vc' => 'dropdown_multi'

				),

				'posts_per_page' => array(
					'type' => 'text',
					'label'    => __( 'Items per page', 'mediclin' ),
					'tooltip' => __( 'Maximal number of items that will show in one portfolio page', 'mediclin' ),
					'default'  => 12,
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'is_single',
							'operator' => '==',
							'value'    => 0,
						),
					)
				),

				'orderby' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					
					'default'     => 'date',

					'choices'     => array(
						'none' => __('No order', 'mediclin'),
						'ID' => __('Post ID', 'mediclin'),
						'author' => __('Author', 'mediclin'),
						'title' => __('Title', 'mediclin'),
						'name' => __('Name (slug)', 'mediclin'),
						'date' => __('Date', 'mediclin'),
						'modified' => __('Modified', 'mediclin'),
					),

					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'is_single',
							'operator' => '==',
							'value'    => 0,
						),
					)
				),


				'order' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Order By', 'mediclin' ),
					
					'default'     => 'DESC',

					'choices'     => array(
						'DESC' => __('Descending', 'mediclin'),
						'ASC' => __('Ascending', 'mediclin'),				
					),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'is_single',
							'operator' => '==',
							'value'    => 0,
						),
					)
				),



			'query_end' => array(
				'type' => 'group_end',
				'label' => 'Query',
				'groupid' => 'query'
			),


			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_team',
					'css_property' => '',
					'default' => array('margin-top' => '35px')
				),



		)
	));
	
	 /* Shop */
	if( class_exists('woocommerce') ){
	
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Shop', 'mediclin' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-ecommerce-cart',
			'transport'   => 'postMessage',
			'settings'    => 'cl_woocommerce',
			'css_dependency' => array( CODELESS_BASE_URL.'css/codeless-woocommerce.css', CODELESS_BASE_URL.'css/owl.carousel.min.css'),
			'is_container' => false,
			'fields' => array(

				'shortcode' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Select Action', 'mediclin' ),
						'tooltip' => esc_attr__( 'Select one of Woocommerce elements that you want to add', 'mediclin' ),
						'default'     => 'recent_products',
						'choices' => array(
							'archive' => 'Archive with pagination',
							'recent_products' => 'Recent Products',
							'featured_products' => 'Featured Products',
							'product_category' => 'Product Category',
							'sale_products' => 'Sale Products',
							'best_selling_products' => 'Best Selling Products',
							'top_rated_products' => 'Top Rated Products',
						
						),
						'selector' => '.cl_woocommerce',
						'selectClass' => 'action-',
						'reloadTemplate' => true
					),

				'columns' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Columns', 'mediclin' ),
						'default'     => '3',
						'choices'     => array(
						  '2'  => esc_attr__( '2 Columns', 'mediclin' ),
						  '3' => esc_attr__( '3 Columns', 'mediclin' ),
						  '4' => esc_attr__( '4 Columns', 'mediclin' ),
						  '5' => esc_attr__( '5 Columns', 'mediclin' ),
						  '6' => esc_attr__( '6 Columns', 'mediclin' ),
					   ),
						'reloadTemplate' => true
						
					),

					'category' => array(
						'type'     => 'inline_select', 
						'priority' => 10,
						'label'       => esc_attr__( 'Category', 'mediclin' ),
						'default'     => '',
						'choices' => codeless_get_terms( 'product_cat', true ),
						'reloadTemplate' => true,
					),

					'per_page' => array(
						'type' => 'text',
						'label'    => __( 'Items per page', 'mediclin' ),
						'tooltip' => __( 'Maximal number of items that will show', 'mediclin' ),
						'default'  => 12,
						'reloadTemplate' => true
					),

					'orderby' => array(

						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Order By', 'mediclin' ),
						'default'     => 'date',

						'choices'     => array(
							'none' => __('No order', 'mediclin'),
							'ID' => __('Post ID', 'mediclin'),
							'author' => __('Author', 'mediclin'),
							'title' => __('Title', 'mediclin'),
							'name' => __('Name (slug)', 'mediclin'),
							'date' => __('Date', 'mediclin'),
							'modified' => __('Modified', 'mediclin'),
						),

						'reloadTemplate' => true,
					),


					'order' => array(

						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Order', 'mediclin' ),
						'default'     => 'DESC',

						'choices'     => array(
							'DESC' => __('Descending', 'mediclin'),
							'ASC' => __('Ascending', 'mediclin'),				
						),
						'reloadTemplate' => true
					),

					'carousel' => array(
						'type'        => 'switch',
						'label'       => __( 'Carousel', 'mediclin' ),
						'tooltip' => '',
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'mediclin' ),
							'off' => esc_attr__( 'Off', 'mediclin' ),
						),
						'reloadTemplate' => true
					),

					'carousel_nav' => array(
						'type'     => 'switch',
						'priority' => 10,
						'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
						'default'     => 0,
						'choices' => array(
							'on' => 'On',
							'off' => 'Off'
						
						),
						
						'reloadTemplate' => true,
						
						'cl_required'    => array(
							array(
								'setting'  => 'carousel',
								'operator' => '==',
								'value'    => true,
							),
						),
					),	



					'carousel_dots' => array(
						'type'     => 'switch',
						'priority' => 10,
						'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
						'default'     => 0,
						'choices' => array(
							'on' => 'On',
							'off' => 'Off'
						
						),
						
						'reloadTemplate' => true,
						
						'cl_required'    => array(
							array(
								'setting'  => 'carousel',
								'operator' => '==',
								'value'    => true,
							),
						),
					),

					'filters' => array(
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Filters', 'mediclin' ),
						'default'     => 'disabled',
						'choices'     => array(
							'disabled'  => esc_attr__( 'Disabled', 'mediclin' ),
							'small'  => esc_attr__( 'Small Square', 'mediclin' ),
							'fullwidth'  => esc_attr__( 'Fullwidth', 'mediclin' )
						),
						'reloadTemplate' => true,
						
						'cl_required'    => array(
							array(
								'setting'  => 'carousel',
								'operator' => '==',
								'value'    => false,
							),
						),
						
					),	

					'distance' => array(
						'type'     => 'slider',
						'priority' => 10,
						'label'       => esc_attr__( 'Columns (Items) Gap', 'mediclin' ),
						'default'     => '15',
						'choices'     => array(
							'min'  => '0',
							'max'  => '35',
							'step' => '1',
						),
						'suffix' => 'px',
						'selector' => '#shop-entries .product_item .inner-wrapper',
						'css_property' => 'padding',
						'customJS' => array('front' => 'codeless_builder_cl_woocommerce')
					),

					'animation' => array(

						'type'     => 'inline_select',
						'priority' => 10,
						'label'    => __( 'Animation', 'mediclin' ),
						'tooltip' => __( 'Set the animation effect', 'mediclin' ),
						'default'     => 'bottom-t-top',
						'choices' => array(
							'none'	=> 'None',
							'top-t-bottom' =>	'Top-Bottom',
							'bottom-t-top' =>	'Bottom-Top',
							'right-t-left' => 'Right-Left',
							'left-t-right' => 'Left-Right',
							'alpha-anim' => 'Fade-In',	
							'zoom-in' => 'Zoom-In',	
							'zoom-out' => 'Zoom-Out',
							'zoom-reverse' => 'Zoom-Reverse',
						),

						'reloadTemplate' => true,
					),

					'product_title' => array(
						'type'        => 'inline_select',
						'label'       => __( 'Product Title Style', 'mediclin' ),
						'tooltip' => '',
						'default'     => 'h5',
						'priority'    => 10,
						'choices'     => array(
									'h1'  => esc_attr__( 'H1', 'mediclin' ),
									'h2' => esc_attr__( 'H2', 'mediclin' ),
									'h3' => esc_attr__( 'H3', 'mediclin' ),
									'h4' => esc_attr__( 'H4', 'mediclin' ),
									'h5' => esc_attr__( 'H5', 'mediclin' ),
									'h6' => esc_attr__( 'H6', 'mediclin' ),
						),
						'reloadTemplate' => true
					),

					'pagination_style' => array( 
						'type'     => 'inline_select',
						'priority' => 10,
						'label'       => esc_attr__( 'Pagination', 'mediclin' ),
						'default'     => 'numbers',
						'choices'     => array(
							'none'  => esc_attr__( 'None', 'mediclin' ),
							'numbers'  => esc_attr__( 'Page Numbers', 'mediclin' ),
							'next_prev'  => esc_attr__( 'Next/Prev', 'mediclin' ),
							'load_more'  => esc_attr__( 'Load More', 'mediclin' ),
							'infinite_scroll'  => esc_attr__( 'Infinite', 'mediclin' ),
							
						),
						'reloadTemplate' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'shortcode',
								'operator' => '==',
								'value'    => 'archive',
							),
							array(
								'setting'  => 'carousel',
								'operator' => '==',
								'value'    => false,
							),
						),

					),

			)
		));
	}

	 /* Clients */
	 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Clients', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-cards-hearts',
		'transport'   => 'postMessage',
		'settings'    => 'cl_clients',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(

			'carousel_clients' => array(
					'type'        => 'switch',
					'label'       => __( 'Carousel', 'mediclin' ),
					'tooltip' => '',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_clients',
					'addClass' => 'cl-carousel owl-carousel owl-theme',
					'reloadTemplate' => true
			),

			'carousel_view_items' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Items', 'mediclin' ),
					
					'default'     => '6',
					'choices' => array(
						'2' =>	'2 items',
						'3' =>	'3 items',
						'4' => '4 items',
						'5' => '5 items',
						'6' => '6 items',
						'7' => '7 items',
					),
					'selector' => '.cl_clients',
					'htmldata' => 'items',
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_clients',
							'operator' => '==',
							'value'    => 1,
						),
					),
					'reloadTemplate' => true,
			),

			'carousel_nav' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Nav', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_clients',
					'htmldata' => 'carousel-nav',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_clients',
							'operator' => '==',
							'value'    => 1,
						),
					),

				),	



				'carousel_dots' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Carousel Dots', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'mediclin' ),
					'default'     => 1,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_clients',
					'htmldata' => 'carousel-dots',
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_clients',
							'operator' => '==',
							'value'    => 1,
						),
					),

				),

			'images' => array(
				'type'     => 'image_gallery',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Clients Images', 'mediclin' ),
				
				'reloadTemplate' => true,
			),

			'items_per_row' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Items per Row', 'mediclin' ),
					
					'default'     => 'all',
					'choices' => array(
						'all'	=> 'All',
						'2' =>	'2 items',
						'3' =>	'3 items',
						'4' => '4 items',
						'5' => '5 items',
						'6' => '6 items',
						'7' => '7 items',
					),
					'selector' => '.cl_clients',
					'selectClass' => 'items_',
					'cl_required'    => array(
						array(
							'setting'  => 'carousel_clients',
							'operator' => '==',
							'value'    => 0,
						),
					),
			),

			'clients_style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'Only Image',
						'overlay_title' => 'Overlay Title'
					),
					'selector' => '.cl_clients',
					'selectClass' => 'style_'
			),

			'overlay_color' => array(
					'type' => 'color',
					'label' => 'Overlay BG Color',
					'default' => 'rgba(255,255,255,0.85)',
					'selector' => '.cl_clients .client-item .overlay-bg',
					
					'css_property' => 'background-color',
					'alpha' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'clients_style',
							'operator' => '==',
							'value'    => 'overlay_title',
						),
					),
			),

			'autoplay_timeout' => array(
				'type'     => 'text',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Autoplay Timeout', 'mediclin' ),
				
				'default'     => '5000',
				'htmldata' => 'autoplay-timeout',
				'selector' => '.cl_clients',
				'reloadTemplate' => true
			),

			'show_title' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Show Title in overlay', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'reloadTemplate' => true,
					'cl_required'    => array(
						array(
							'setting'  => 'clients_style',
							'operator' => '==',
							'value'    => 'overlay_title',
						),
					),

				),

			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_clients',
					'css_property' => '',
					'default' => array('margin-top' => '35px')
			),
		)
	));

	 /* Empty Space */
	 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Empty Space', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-arrows-expand-vertical1',
		'transport'   => 'postMessage',
		'settings'    => 'cl_empty',
		'marginPositions' => array('top'),
		'is_container' => false,
		'fields' => array(
			'space' => array(
				'type'     => 'text',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Space in Pixels', 'mediclin' ),
				
				'selector' => '.cl_empty',
				'css_property' => 'height',
				'default'     => '60px'
			),

			'responsive' => array(
					'type'        => 'switch',
					'label'       => __( 'Custom Responsive', 'mediclin' ),
					'tooltip' => 'Stretch Row in a fullscreen style.',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
			),

			'custom_767' => array(
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Space Max-Width:767px (Phones)', 'mediclin' ),
					'tooltip' => esc_attr__( 'Is applied only for media screen (max-width:767px)', 'mediclin' ),
					'default'     => '60',
					
					'suffix' => 'px',
					'selector' => '.cl_empty',
					'css_property' => 'height',
					'media_query' => '(max-width: 767px)',
					'cl_required'    => array(
						array(
							'setting'  => 'responsive',
							'operator' => '==',
							'value'    => 1,
						),
					),
				),

			'custom_1024' => array(
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Space Max-Width:1024px ( Tablet )', 'mediclin' ),
					'tooltip' => esc_attr__( 'Is applied only for media screen (max-width:1024px)', 'mediclin' ),
					'default'     => '60',
					
					'suffix' => 'px',
					'selector' => '.cl_empty',
					'css_property' => 'height',
					'media_query' => '(max-width: 1024px)',
					'cl_required'    => array(
						array(
							'setting'  => 'responsive',
							'operator' => '==',
							'value'    => 1,
						),
					),
				),
		)
	));

	/* Counter */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Counter', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-clessidre',
		'transport'   => 'postMessage',
		'settings'    => 'cl_counter',
		'css_dependency' => array(CODELESS_BASE_URL.'css/odometer.css'),
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			'number' => array(
				'type'     => 'text',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Number Counter', 'mediclin' ),
				
				'default'     => '124',
				'reloadTemplate' => true,
				'customJS' => array('front' => 'codeless_builder_animations'),
				'holder' => 'h3'
			),

			'title' => array(
				'type'     => 'text',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Counter Title', 'mediclin' ),
				
				'default'     => 'Health Sections',
				'reloadTemplate' => true,
				'customJS' => array('front' => 'codeless_builder_animations'),
				'holder' => 'h4'
			),

			'duration' => array(
				'type'     => 'text',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Animation Duration', 'mediclin' ),
				
				'default'     => '2000',
				'reloadTemplate' => true,
				'customJS' => array('front' => 'codeless_builder_animations')
			),

			'align' => array(

					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Align', 'mediclin' ),
					
					'default'     => 'center',
					'multiple' => false,
					'choices'     => array(
						'left' => __('Left', 'mediclin'),
						'center' => __('Center', 'mediclin'),	
						'right' => __('Right', 'mediclin'),			
					),
					'selector' => '.cl_counter',
					'selectClass' => 'align-'
				),

			'custom_color' => array(
					'type'        => 'switch',
					'label'       => __( 'Custom Color', 'mediclin' ),
					'tooltip' => 'Custom Color',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
			),

			'color' => array(
					'type' => 'color',
					'label' => 'Color',
					'default' => '#222222',
					'selector' => '.cl_counter',
					'css_property' => 'color',
					'alpha' => true,
					'suffix' => '!important',
					'cl_required'    => array(
						array(
							'setting'  => 'custom_color',
							'operator' => '==',
							'value'    => true,
						),
					),
			),

			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_counter',
					'css_property' => '',
					'default' => array('margin-top' => '0px')
			),
		)
	));

	/* Countdown */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Countdown', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-clessidre',
		'transport'   => 'postMessage',
		'settings'    => 'cl_countdown',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			'dt' => array(
				'type'     => 'text',
				'priority' => 10,
				'selector' => '.cl_countdown',
				'label'       => esc_attr__( 'Date Countdown', 'mediclin' ),
				
				'default'     => '2021/01/01',
				'reloadTemplate' => true,
				'htmldata' => 'dt'

			),

			'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'large' =>	'Large'
					),
					'selector' => '.cl_countdown',
					'selectClass' => ''
				),

			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_countdown',
					'css_property' => '',
					'default' => array('margin-top' => '0px')

			),
		)
	));

	 /* Progress Bar */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Progress Bar', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-battery-half',
		'transport'   => 'postMessage',
		'settings'    => 'cl_progress_bar',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			'title' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'selector' => '',
				'label'       => esc_attr__( 'Space in Pixels', 'mediclin' ),
				
				'selector' => '.cl_progress_bar .title',
				'default' => 'Development',
				'replace_type_vc' => 'textfield'
			),

			'percentage' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Percentage', 'mediclin' ),
					
					'default'     => '50',
					'choices'     => array(
						'min'  => '0',
						'max'  => '100',
						'step' => '1',
					),
					'suffix' => '', 
					'selector' => '.cl_progress_bar',
					'htmldata' => 'percentage',
					'customJS' => 'inlineEdit_progress_percentage'
			),

			'color' => array(
					'type' => 'color',
					'label' => 'Progress Bar Color',
					'default' => codeless_get_mod('primary_color'),
					//'selector' => '.cl_progress_bar .bar',
					
					'css_property' => 'background-color',
					'alpha' => true
				),

			'second_color'=> array(

					'type' => 'color',
					'label' => 'Progress Bar Second Color',
					'default' => '#4cd4ca',
					'css_property' => 'background-color',
					'alpha' => true
			),


				'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl_progress_bar'
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Delay', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl_progress_bar',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl_progress_bar',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					)
				),

				'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_progress_bar',
					'css_property' => '',
					'default' => array('margin-top' => '15px')
				),
		)
	));

	 /* Google Map */
	 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Google Map', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-geolocalize-05',
		'transport'   => 'postMessage',
		'settings'    => 'cl_map',
		'marginPositions' => array('top'),
		'is_container' => false,
		'fields' => array(
			'api_key' => array(
				'type' => 'text',
				'label' => 'Api Key',
				'tooltip' => "Generate an API key <a target=\"_blank\" href=\"https://developers.google.com/maps/documentation/javascript/get-api-key\">here</a>, if you don't have one.",
				'selector' => '.cl_map',
				'customJS' => 'inlineEdit_loadGoogleApi',				

			),
			'lat_lon' => array(
				'type' => 'text',
				'label' => 'Latitude & Longitude',
				'tooltip' => "1. On your computer, visit Google Maps.<br />
2. Right-click a location on the map.<br />
3. Select What's here?.<br />
4. A card appears at the bottom of the screen with more info.<br />",
				'selector' => '.cl_map',
				'reloadTemplate' => true,

			),

			'height' => array(

					'type' => 'slider',
					'label' => 'Map Height',
					'default' => '400',
					'selector' => '.cl-map-element',
					'css_property' => 'height',
					'choices'     => array(
						'min'  => '40',
						'max'  => '1000',
						'step' => '5',
						'suffix' => 'px'
					),
					'suffix' => 'px'
				),

			'fullheight' => array(
					'type'        => 'switch',
					'label'       => __( 'Full Height Map', 'mediclin' ),
					'tooltip' => 'Stretch Map height 100%',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_map',
					'addClass' => 'cl-map-fullheight',
					'customJS' => 'inlineEdit_mapFullHeight'
			),

			'zoom' => array(
						'type'     => 'slider',
						'priority' => 10,
						'label'       => esc_attr__( 'Map Zoom', 'mediclin' ),
						
						'default'     => '14',
						'choices'     => array(
							'min'  => '0',
							'max'  => '19',
							'step' => '1',
						),
						'suffix' => '',
						'selector' => '.cl_map',
						'htmldata' => 'zoom',
						'customJS' => array('front' => 'codeless_builder_codelessGMap')
					),

			'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					'tooltip' => esc_attr__( 'Map Style, leave normal for the default style.', 'mediclin' ),
					'default'     => 'normal',
					'choices' => array(
						'normal' => 'Normal',
						'ultra_light_labels' => 'Ultra Light Labels',
						'shades_grey' => 'Shades Of Grey',
						'subtle_grayscale' => 'Subtle Grayscale',
						'blue_water' => 'Blue Water',
						'apple_style' => 'Apple Maps Style'
					),
					'selector' => '.cl_map',
					'htmldata' => 'style',
					'customJS' => array('front' => 'codeless_builder_codelessGMap')
					
					
					
				),


			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_media',
					'css_property' => '',
					'default' => array('margin-top' => '15px')
				),
		)
	));


	 /* Contact Form 7 */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Contact Form 7', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-mail',
		'transport'   => 'postMessage',
		'settings'    => 'cl_contact_form7',
		'marginPositions' => array('top'),
		'is_container' => false,
		'fields' => array(
			
			'id' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Select Form', 'mediclin' ),
					'tooltip' => 'Select one of the created contact forms. Or create a new form <a href="'.admin_url('admin.php?page=wpcf7-new').'" target="_blank">here</a>',
					'default'     => 'none',
					'choices' => codeless_get_items_by_term('wpcf7_contact_form'),
					'reloadTemplate' => true
			),


			'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					'tooltip' => 'Select one of the predefined styles or leave "none" and add your custom style in css.',
					'default'     => 'simple',
					'choices' => array(
						'none' => 'None',
						'simple' => 'Simple Vertical',
						'dark' => 'Simple Dark'
					),
					'selector' => '.cl_contact_form7',
					'selectClass' => 'style-'
			),



			

			'css_style' => array( 
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_contact_form7',
					'css_property' => '',
					'default' => array('margin-top' => '35px')
				),
		)
	));


	
	/* Toggles */

	 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Toggles', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-software-paragraph-space-before',
		'transport'   => 'postMessage',
		'settings'    => 'cl_toggles',
		'marginPositions' => array('top'),
		'is_container' => true,
		'fields' => array(

			'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					'tooltip' => 'Select one of the predefined styles or leave "none" and add your custom style in css.',
					'default'     => 'simple',
					'choices' => array(
						'none' => 'None',
						'simple' => 'Simple',
						'special' => 'Special'
					),
					'selector' => '.cl_toggles',
					'selectClass' => 'style-'
			),

			'accordion' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Accordion', 'mediclin' ),
					'tooltip' => esc_attr__( 'Make this togggles element function as a accordion', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_toggles',
					'htmldata' => 'accordion',
					'customJS' => array('front' => 'codeless_builder_codelessToggles')
				),

			'css_style' => array( 
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_toggles',
					'css_property' => '',
					'default' => array('margin-top' => '15px')
				),
		)
	));


	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Toggle', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-software-paragraph-space-before',
		'transport'   => 'postMessage',
		'settings'    => 'cl_toggle',
		'hide_from_list' => true,
		'marginPositions' => array('top'),
		'is_container' => true,
		'fields' => array(

			'is_active' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Active by default', 'mediclin' ),
					'tooltip' => esc_attr__( 'Make active this toggle by default by switch this option ON', 'mediclin' ),
					'default'     => 0,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_toggle .title',
					'addClass' => 'open'
				),

			'title' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'only_text' => true,
				'selector' => '.cl_toggle > .title span',
				'label'       => esc_attr__( 'Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => 'Toggle Title',
				'replace_type_vc' => 'textfield'
			),
		)
	));

	/* Tabs */

	 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Tabs', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-software-paragraph-space-before',
		'transport'   => 'postMessage',
		'settings'    => 'cl_tabs',
		'marginPositions' => array('top'),
		'is_container' => true,
		'fields' => array(

			'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					'tooltip' => 'Select one of the predefined styles or leave "none" and add your custom style in css.',
					'default'     => 'simple',
					'choices' => array(
						'none' => 'None',
						'simple' => 'Simple'
					),
					'selector' => '.cl_tabs',
					'selectClass' => 'style-'
			),


			'css_style' => array( 
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_tabs',
					'css_property' => '',
					'default' => array('margin-top' => '15px')
				),
		)
	));

	 
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Tab', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-software-paragraph-space-before',
		'transport'   => 'postMessage',
		'settings'    => 'cl_tab',
		'hide_from_list' => true,
		'marginPositions' => array('top'),
		'is_container' => true,
		'fields' => array(

			'title' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'selector' => '.tab-pane',
				'for_tab_title' => true,
				'label'       => esc_attr__( 'Tab Title', 'mediclin' ),
				'default'     => '',
				'only_text'  => true,
				'replace_type_vc' => 'textfield'
			),

			'tab_id' => array(
				'type'     => 'text',
				'priority' => 10,
				'label'       => esc_attr__( 'Tab ID', 'mediclin' ),
				'tooltip' => esc_attr__( 'Use an unique ID', 'mediclin' ),
				'default'     => 'tab',
			),

			
		)
	));

	/* List */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'List', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-todo-txt',
		'transport'   => 'postMessage',
		'settings'    => 'cl_list',
		'marginPositions' => array('top'),
		'is_container' => true,
		'fields' => array(

			'type' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Type', 'mediclin' ),
					'tooltip' => 'Select type of list',
					'default'     => 'ul',
					'choices' => array(
						'ul' => 'Unordered List',
						'ol' => 'Ordered List'
					),
					'customJS' => 'inlineEdit_listType'
			),

			'style' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Style', 'mediclin' ),
					'tooltip' => 'Select one of the predefined styles or leave "none" and add your custom style in css.',
					'default'     => 'simple',
					'choices' => array(
						'none' => 'None',
						'simple' => 'Simple'

					),
					'selector' => '.cl_list',
					'selectClass' => 'style-'
			),

			

			'distance' => array(
					'type'     => 'slider',
					'priority' => 10,
					'label'       => esc_attr__( 'Distance between items', 'mediclin' ),
					'tooltip' => esc_attr__( 'Distance between list items in pixel', 'mediclin' ),
					'default'     => '0',
					'choices'     => array(
						'min'  => '0',
						'max'  => '20',
						'step' => '1',
					),
					'suffix' => 'px',
					'selector' => '.cl_list .cl_list_item',
					'css_property' => array('padding-top','padding-bottom'),
				),



			'css_style' => array( 
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_list',
					'css_property' => '',
					'default' => array('margin-top' => '15px')
				),
		)
	));


	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'List Item', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-todo-txt',
		'transport'   => 'postMessage',
		'settings'    => 'cl_list_item',
		'hide_from_list' => true,
		'is_container' => false,
		'fields' => array(

			'custom_icon' => array(
					'type'     => 'switch',
					'priority' => 10,
					'label'       => esc_attr__( 'Custom Icon', 'mediclin' ),
					'tooltip' => esc_attr__( 'Switch to add a custom icon to list items', 'mediclin' ),
					'default'     => 1,
					'choices' => array(
						'on' => 'On',
						'off' => 'Off'
					
					),
					'selector' => '.cl_list_item',
					'addClass' => 'with_icon',
					'reloadTemplate' => true
				),

			'icon' => array(
					'type'     => 'select_icon',
					'priority' => 10,
					'label'       => esc_attr__( 'Select Icon', 'mediclin' ),
					'default'     => 'cl-icon-plus2',
					'selector' => '.cl_list_item > i',
					'selectClass' => ' '
					
			),

			'content' => array(
				'type'     => 'inline_text',
				'priority' => 10,
				'selector' => '.cl_list_item > .text',
				'label'       => esc_attr__( 'Text', 'mediclin' ),
				'tooltip' => esc_attr__( 'This will be the label for your link', 'mediclin' ),
				'default'     => 'Sample. Click to modify',
				'holder' => 'div'
			),

			'animation_start' => array(
				'type' => 'group_start',
				'label' => 'Animation',
				'groupid' => 'animation'
			),
			
			'animation' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Effect', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'top-t-bottom' =>	'Top-Bottom',
						'bottom-t-top' =>	'Bottom-Top',
						'right-t-left' => 'Right-Left',
						'left-t-right' => 'Left-Right',
						'alpha-anim' => 'Fade-In',	
						'zoom-in' => 'Zoom-In',	
						'zoom-out' => 'Zoom-Out',
						'zoom-reverse' => 'Zoom-Reverse',
					),
					'selector' => '.cl_list_item',
					'customJS' => array('front' => 'codeless_builder_animations')
				),
				
				'animation_delay' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Delay between items', 'mediclin' ),
					
					'default'     => 'none',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000',
						'1100' =>	'ms 1100',
						'1200' =>	'ms 1200',
						'1300' =>	'ms 1300',
						'1400' =>	'ms 1400',
						'1500' =>	'ms 1500',
						'1600' =>	'ms 1600',
						'1700' =>	'ms 1700',
						'1800' =>	'ms 1800',
						'1900' =>	'ms 1900',
						'2000' =>	'ms 2000',
					
					),
					'selector' => '.cl_list_item',
					'htmldata' => 'delay',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),

					'customJS' => array('front' => 'codeless_builder_animations')
				),
				
				'animation_speed' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Animation Speed', 'mediclin' ),
					
					'default'     => '400',
					'choices' => array(
						'none'	=> 'None',
						'100' =>	'ms 100',
						'200' =>	'ms 200',
						'300' =>	'ms 300',
						'400' =>	'ms 400',
						'500' =>	'ms 500',
						'600' =>	'ms 600',
						'700' =>	'ms 700',
						'800' =>	'ms 800',
						'900' =>	'ms 900',
						'1000' =>	'ms 1000'
						
					
					),
					'selector' => '.cl_list_item',
					'htmldata' => 'speed',
					'cl_required'    => array(
						array(
							'setting'  => 'animation',
							'operator' => '!=',
							'value'    => 'none',
						),
					),
					'customJS' => array('front' => 'codeless_builder_animations')
				),
			
			'animation_end' => array(
				'type' => 'group_end',
				'label' => 'Animation',
				'groupid' => 'animation'
			),
		)
	));



	/* Price List */

	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Price List', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-todo-txt',
		'transport'   => 'postMessage',
		'settings'    => 'cl_pricelist',
		'marginPositions' => array('top'),
		'is_container' => true,
		'fields' => array(


			'price' => array(
					'type'     => 'inline_text',
					'only_text' => true,
					'priority' => 10,
					'selector' => '.cl_pricelist .first-section .price',
					'label'       => esc_attr__( 'price', 'mediclin' ),
					'default'     => '59',
					'replace_type_vc' => 'textfield',
					'holder' => 'h3'
				),

			'currency' => array(
					'type'     => 'inline_text',
					'only_text' => true,
					'priority' => 10,
					'selector' => '.cl_pricelist .first-section .currency',
					'label'       => esc_attr__( 'Currency', 'mediclin' ),
					'default'     => '$',
					'replace_type_vc' => 'textfield',
					'holder' => 'h3'
				),
			
			'title' => array(
					'type'     => 'inline_text',
					'only_text' => true,
					'priority' => 10,
					'selector' => '.cl_pricelist .first-section .title',
					'label'       => esc_attr__( 'Title', 'mediclin' ),
					'default'     => 'Personal',
					'replace_type_vc' => 'textfield',
					'holder' => 'h3'
				),


			'content' => array(
				'type' => 'inline_text',
				'label' => esc_attr__('Add the lists', 'mediclin'),
				'selector' => '.cl_pricelist .lists',
				'tooltip' => 'You can list the features of this price table',
				'default' => '<ul><li>Primary care</li><li>Emergency Room</li><li>Hospital Services</li><li>Annual eye exams</li><li>Diagnostic imaging</li></ul>',
				'reloadTemplate' => true
			),

			'button_title' => array(
					'type'     => 'inline_text',
					'only_text' => true,
					'selector' => '.cl_pricelist .button',
					'priority' => 10,
					'label'       => esc_attr__( 'Button Title', 'mediclin' ),
					'default'     => 'Buy Now',
					'replace_type_vc' => 'textfield',
					'holder' => 'p'
				),

			'link_url' => array(

						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Column Link', 'mediclin' ),
						'default'     => '#',
						'reloadTemplate' => false
				),


		 	'highlight' => array(

					'type'        => 'switch',
					'label'       => __( 'Highlight Price Table', 'mediclin' ),
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_pricelist',
					'addClass' => 'highlight'
				),


		)
	));



	/* Icon */
	cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Icon', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-basic-clubs',
		'transport'   => 'postMessage',
		'settings'    => 'cl_icon',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			
			'icon' => array(
					'type'     => 'select_icon',
					'priority' => 10,
					'label'       => esc_attr__( 'Select Icon', 'mediclin' ),
					'default'     => 'cl-icon-camera2',
					'selector' => '.cl_icon i',
					'selectClass' => ' '
						
			),

			'icon_link' => array(

					'type' => 'text',
					'priority' => 10,
					'label' => esc_attr__('Set the hyperlink', 'mediclin'),
					'default' => '#',
					'selector' => '.cl_icon'

			),

			'icon_target' => array(

					'type' => 'inline_select',
					'priority'=> 10,
					'label' => esc_attr__('Set link loading mode', 'mediclin'),
					'default' => '_blank',
					'selector' => '.cl_icon',
					'choices' =>array(

						'_blank' => 'New window',
						'_self' => 'Same Window',
						'_parent' => 'Parent Window',
						'_top' => 'Top Window',


				),

			),

			'size' => array(
					'type'     => 'slider',
					'label' => 'Font size',
					'default' => '15',
					'selector' => '.cl_icon i',
					'css_property' => 'font-size',
					'choices'     => array(
								'min'  => '0',
								'max'  => '100',
								'step' => '1',
								'suffix' => 'px'
							),
					'suffix' => 'px',

					'label'       => esc_attr__( 'Icon Font Size', 'mediclin' )
					
				
			),

			

			'color' => array(

					'type' => 'color',
					'label' => 'Set Color',
					'default' => '#222',
					'selector' => '.cl_icon i',
					'css_property' => 'color',
					'alpha' => true
						
			),

			'hover_color' => array(

					'type' => 'color',
					'label' => 'Set Hover Color',
					'default' => '#222',
					'selector' => '.cl_icon > a',
					'alpha' => false
						
			),


			'align' => array(

					'type' => 'inline_select',
					'label' => 'Icon Alignment',
					'default' => 'left',
					'selector' => '.cl_icon',
					'css_property' => 'text-align',
					'choices' => array(

						'left' => 'Left',
						'right' => 'Right',
						'center' => 'Center'
						
					)

				),


			'line_height' => array(

					'type'     => 'slider',
					'label' => 'Line Height',
					'default' => '10',
					'selector' => '.cl_icon i',
					'css_property' => 'line-height',
					'choices'     => array(
								'min'  => '0',
								'max'  => '100',
								'step' => '1',
								'suffix' => 'px'
							),
					'suffix' => 'px',

					'label'       => esc_attr__( 'Set Line Height', 'mediclin' )
					
				
			),


			

			'css_style' => array(

					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_icon',
					'css_property' => '',
					'default' => array('margin-top' => '35px')

				),
				
				

			),

		
	));



/* Share Icons */

cl_builder_map(array(

	'type'        => 'clelement',
	'label'       => esc_attr__( 'Share Icons', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	//'priority'    => 10,
	'icon'		  => 'icon-basic-share',
	'transport'   => 'postMessage',
	'settings'    => 'cl_share',
	'is_container' => false,
	'marginPositions' => array('top'),
	'fields' => array(

		'add_facebook' => array(

					'type'        => 'switch',
					'label'       => __( 'Add Facebook Share Icon', 'mediclin' ),
					'default'     => '1',
					'priority'    => 10,
					'choices'     => array(
						'1'  => esc_attr__( 'On', 'mediclin' ),
						'0' => esc_attr__( 'Off', 'mediclin' ),
					),
					
					'reloadTemplate' => true,
					'selector' => '.cl_share i'


			),



		


		'add_twitter' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Twitter Share Icon', 'mediclin' ),
				'default'     => '1',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_share i',
				'reloadTemplate' => true



			),


		

		'add_linkedin' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Linkedin Share Icon', 'mediclin' ),
				'default'     => '1',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_share i',
				'reloadTemplate' => true



			),

		



		'add_pinterest' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Pinterest Share Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_share i',
				'reloadTemplate' => true



			),

		

	

	   'add_google_plus'=> array(

				   'type'        => 'switch',
				'label'       => __( 'Add Google Plus Share Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_share i',
				'reloadTemplate' => true




		   ),


	   'add_whatsapp' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Whatsapp Share Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_share i',
				'reloadTemplate' => true



			),



	   'target' => array(

				'type' => 'inline_select',
				'priority'=> 10,
				'label' => esc_attr__('Set link loading mode', 'mediclin'),
				'default' => '_blank',
				'selector' => '.cl_share',
				'choices' =>array(

					'_blank' => 'New window',
					'_self' => 'Same Window',
					'_parent' => 'Parent Window',
					'_top' => 'Top Window',


			),

		),



		'size' => array(
				'type'     => 'slider',
				'label' => 'Font size',
				'default' => '15',
				'selector' => '.cl_share i',
				'css_property' => 'font-size',
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',

				'label'       => esc_attr__( 'Icon Font Size', 'mediclin' )
				
			
		),

		

		'color' => array(

				'type' => 'color',
				'label' => 'Set Color',
				'default' => '#222',
				'selector' => '.cl_share > a',
				'css_property' => 'color',
				'alpha' => true
					
		),

		'hover_color' => array(

				'type' => 'color',
				'label' => 'Set Hover Color',
				'default' => '#222',
				'selector' => '.cl_share > a',
				'alpha' => false
					
		),


		'border' => array(

				'type' => 'inline_select',
				'label' => esc_attr__( 'Set the border style', 'mediclin' ),
				'default' => 'none',
				'selector' => '.cl_share',
				'choices' => array(

						'round' => 'Rounded Style',
						'square' => 'Square Style',
						'none' => 'None'

					),
				'selectClass' => ''
				

			),

		'bcolor' => array(

				'type' => 'color',
				'label' => 'Border Color',
				'default' => '#222',
				'selector' => '.cl_share',
				'css_property' => 'border-color',
				'alpha' => true,
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),


		),	

		'bgcolor' => array(

				'type' => 'color',
				'label' => 'Background Color',
				'default' => 'transparent',
				'selector' => '.cl_share',
				'css_property' => 'background-color',
				'alpha' => true,
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),
					
		),

		'padding' => array(
				'type'     => 'slider',
				'label' => 'Icon Size',
				'default' => '38',
				'selector' => '.cl_share',
				'css_property' => array('width', 'height'),
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',

				'label'       => esc_attr__( 'Wrapper Size', 'mediclin' ),
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),

				
			
		),	

		'display' => array(

				'type' => 'inline_select',
				'label' => 'Icon Display Mode',
				'default' => 'inline-block',
				'selector' => '.cl_share',
				'css_property' => 'display',
				'choices' => array(

					'inline-block' => 'Inline',
					'block' => 'Block'
					
					
				),


		),


		'margin'=> array(

				'type' => 'slider',
				'label' => 'Set the margin between icons',
				'default' => '5',
				'selector' => '.cl_share',
				'css_property' => array('margin-left', 'margin-right'),
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',
				'label'       => esc_attr__( 'Set Space Between Icons', 'mediclin' ),
				'cl_required'    => array(
						array(
							'setting'  => 'display',
							'operator' => '==',
							'value'    => 'inline-block',
						),
					),



		),


		'margintop'=> array(

				'type' => 'slider',
				'label' => 'Set the margin between icons',
				'default' => '5',
				'selector' => '.cl_share',
				'css_property' => array('margin-top', 'margin-bottom'),
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',
				'label'       => esc_attr__( 'Set Space Between Icons', 'mediclin' ),
				'cl_required'    => array(
						array(
							'setting'  => 'display',
							'operator' => '==',
							'value'    => 'block',
						),
					)



		),


		'align' => array(

				'type' => 'inline_select',
				'label' => 'Icon Alignment',
				'default' => 'left',
				'selector' => '.cl_sharediv',
				'css_property' => 'text-align',
				'choices' => array(

					'left' => 'Left',
					'right' => 'Right',
					'center' => 'Center'
					
				),

				'cl_required'    => array(
						array(
							'setting'  => 'display',
							'operator' => '==',
							'value'    => 'inline-block',
						),
					)

			),


		'line_height' => array(

				'type'     => 'slider',
				'label' => 'Line Height',
				'default' => '37',
				'selector' => '.cl_share i',
				'css_property' => 'line-height',
				'choices'     => array( 
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',

				'label'       => esc_attr__( 'Set Line Height', 'mediclin' )
				
			
		),



		'css_style' => array(

				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.cl_icon',
				'css_property' => '',
				'default' => array('margin-top' => '35px')

			),

	
	),	
));




/* Social Icons */
cl_builder_map(array(

	'type'        => 'clelement',
	'label'       => esc_attr__( 'Social Icons', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'use_on_header' => true,
	//'priority'    => 10,
	'icon'		  => 'icon-basic-share',
	'transport'   => 'postMessage',
	'settings'    => 'cl_socialicon',
	'is_container' => false,
	'marginPositions' => array('top'),
	'fields' => array(

		'add_facebook' => array(

					'type'        => 'switch',
					'label'       => __( 'Add Facebook Icon', 'mediclin' ),
					'default'     => '1',
					'priority'    => 10,
					'choices'     => array(
						'1'  => esc_attr__( 'On', 'mediclin' ),
						'0' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_socialicon i',
					'reloadTemplate' => true



			),


		 'facebook_link' => array(
				'type'     => 'text',
				'priority' => 10,
				'label'       => esc_attr__( 'Set the Facebook icon hyperlink', 'mediclin' ),
				'default'     => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_facebook',
							'operator' => '==',
							'value'    => '1',
						),
					),
					
		),


		 'add_instagram' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Instagram Icon', 'mediclin' ),
				'default'     => '1',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),



		'instagram_link' => array(
				'type'     => 'text',
				'priority' => 10,
				'label'       => esc_attr__( 'Set the instagram icon hyperlink', 'mediclin' ),
				'default'     => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_instagram',
							'operator' => '==',
							'value'    => '1',
						),
					),
					
		),


		'add_twitter' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Twitter Icon', 'mediclin' ),
				'default'     => '1',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),


		'twitter_link' => array(
				'type'     => 'text',
				'priority' => 10,
				'label'       => esc_attr__( 'Set the twitter icon hyperlink', 'mediclin' ),
				'default'     => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_twitter',
							'operator' => '==',
							'value'    => '1',
						),
					),
					
		),


		'add_email' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Email Icon', 'mediclin' ),
				'default'     => '1',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),


		'email_link' => array(
				'type'     => 'text',
				'priority' => 10,
				'label'       => esc_attr__( 'Set the email icon hyperlink', 'mediclin' ),
				'default'     => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_email',
							'operator' => '==',
							'value'    => '1',
						),
					),
					
		),


		'add_linkedin' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Linkedin Icon', 'mediclin' ),
				'default'     => '1',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),

		'linkedin_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Linkedin hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_linkedin',
							'operator' => '==',
							'value'    => '1',
						),
					),


		),



		'add_pinterest' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Pinterest Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),

		'pinterest_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Pinterest hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_pinterest',
							'operator' => '==',
							'value'    => '1',
						),
					),


		),

		'add_youtube' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Youtube Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),


		'youtube_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Youtube hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_youtube',
							'operator' => '==',
							'value'    => '1',
						),
					),

		),

		'add_vimeo' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Vimeo Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),



		'vimeo_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Viemo hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_vimeo',
							'operator' => '==',
							'value'    => '1',
						),
					),


		),


		'add_soundcloud' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Soundcloud Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),

		'soundcloud_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Soundcloud hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_soundcloud',
							'operator' => '==',
							'value'    => '1',
						),
					),


		),

		'add_slack' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Slack Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),

		'slack_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Slack hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_slack',
							'operator' => '==',
							'value'    => '1',
						),
					),


		),

		'add_skype' => array(

				'type'        => 'switch',
				'label'       => __( 'Add Skype Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true



			),

		'skype_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set skype hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_skype',
							'operator' => '==',
							'value'    => '1',
						),
			
				),		
		),

	   'add_google_plus'=> array(

				   'type'        => 'switch',
				'label'       => __( 'Add Google Plus Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true

		   ),

	   'google_plus_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Google Plus hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_google_plus',
							'operator' => '==',
							'value'    => '1',
						),
			
				),

		),

		'add_github'=> array(

				   'type'        => 'switch',
				'label'       => __( 'Add Github Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true




		   ),


		   'github_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Github hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_github',
							'operator' => '==',
							'value'    => '1',
						),
			
				),

		),

		'add_dribbble'=> array(

				   'type'        => 'switch',
				'label'       => __( 'Add Dribbble Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true




		   ),


		'dribbble_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Dribbble hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_dibbble',
							'operator' => '==',
							'value'    => '1',
						),
			
				),


		),

		'add_behance'=> array(

				   'type'        => 'switch',
				'label'       => __( 'Add Behance Icon', 'mediclin' ),
				'default'     => '0',
				'priority'    => 10,
				'choices'     => array(
					'1'  => esc_attr__( 'On', 'mediclin' ),
					'0' => esc_attr__( 'Off', 'mediclin' ),
					),
				'selector' => '.cl_socialicon i',
				'reloadTemplate' => true




		   ),

		'behance_link' => array(

				'type' => 'text',
				'priority' => 10,
				'label' => esc_attr__('Set the Behance hyperlink', 'mediclin'),
				'default' => '',
				'selector' => '.cl_socialicon',
				'cl_required'    => array(
						array(
							'setting'  => 'add_behance',
							'operator' => '==',
							'value'    => '1',
						),
			
				),

		),

		'target' => array(

				'type' => 'inline_select',
				'priority'=> 10,
				'label' => esc_attr__('Set link loading mode', 'mediclin'),
				'default' => '_blank',
				'selector' => '.cl_socialicon',
				'choices' =>array(

					'_blank' => 'New window',
					'_self' => 'Same Window',
					'_parent' => 'Parent Window',
					'_top' => 'Top Window',


			),

		),



		'size' => array(
				'type'     => 'slider',
				'label' => 'Font size',
				'default' => '15',
				'selector' => '.cl_socialicon i',
				'css_property' => 'font-size',
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',

				'label'       => esc_attr__( 'Icon Font Size', 'mediclin' )
				
			
		),

		

		'color' => array(

				'type' => 'color',
				'label' => 'Icon Color',
				'default' => '#222',
				'selector' => '.cl_socialicon > a',
				'css_property' => 'color',
				'alpha' => true
					
		),

		'color_hover' => array(

				'type' => 'color',
				'label' => 'Icon Color Hover',
				'default' => '',
				'alpha' => false
					
		),

		'bgcolor' => array(

				'type' => 'color',
				'label' => 'Background Color',
				'default' => 'transparent',
				'selector' => '.cl_socialicon',
				'css_property' => 'background-color',
				'alpha' => true,
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),
					
		),

		'bgcolor_hover' => array(

				'type' => 'color',
				'label' => 'Background Color Hover',
				'default' => 'transparent',
				'alpha' => true,
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),
					
		),


		'border' => array(

				'type' => 'inline_select',
				'label' => esc_attr__( 'Set the border style', 'mediclin' ),
				'default' => 'none',
				'selector' => '.cl_socialicon',
				'choices' => array(

						'round' => 'Rounded Style',
						'square' => 'Square Style',
						'none' => 'None'

					),
				'selectClass' => ''
				

			),

		'bcolor' => array(

				'type' => 'color',
				'label' => 'Border Color',
				'default' => '#222',
				'selector' => '.cl_socialicon',
				'css_property' => 'border-color',
				'alpha' => true,
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),


		),	

		'bcolor_hover' => array(

				'type' => 'color',
				'label' => 'Border Color Hover',
				'default' => '',
				'alpha' => true,
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),


		),	

		

		'padding' => array(
				'type'     => 'slider',
				'label' => 'Icon Size',
				'default' => '38',
				'selector' => '.cl_socialicon',
				'css_property' => array('width', 'height'),
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',

				'label'       => esc_attr__( 'Icon Size', 'mediclin' ),
				'cl_required'    => array(
					array(
						'setting'  => 'border',
						'operator' => '!=',
						'value'    => 'none',
						),
					),

				
			
		),	

		'display' => array(

				'type' => 'inline_select',
				'label' => 'Icon Display Mode',
				'default' => 'inline-block',
				'selector' => '.cl_socialicon',
				'css_property' => 'display',
				'choices' => array(

					'inline-block' => 'Inline',
					'block' => 'Block'
					
					
				),


		),


		'margin'=> array(

				'type' => 'slider',
				'label' => 'Set the margin between icons',
				'default' => '5',
				'selector' => '.cl_socialicon',
				'css_property' => array('margin-left', 'margin-right'),
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',
				'label'       => esc_attr__( 'Set Space Between Icons', 'mediclin' ),
				'cl_required'    => array(
						array(
							'setting'  => 'display',
							'operator' => '==',
							'value'    => 'inline-block',
						),
					),



		),


		'margintop'=> array(

				'type' => 'slider',
				'label' => 'Set the margin between icons',
				'default' => '5',
				'selector' => '.cl_socialicon',
				'css_property' => array('margin-top', 'margin-bottom'),
				'choices'     => array(
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',
				'label'       => esc_attr__( 'Set Space Between Icons', 'mediclin' ),
				'cl_required'    => array(
						array(
							'setting'  => 'display',
							'operator' => '==',
							'value'    => 'block',
						),
					),



		),


		'align' => array(

				'type' => 'inline_select',
				'label' => 'Icon Alignment',
				'default' => 'left',
				'selector' => '.cl_socialicondiv',
				'css_property' => 'text-align',
				'choices' => array(

					'left' => 'Left',
					'right' => 'Right',
					'center' => 'Center'
					
				),

				'cl_required'    => array(
						array(
							'setting'  => 'display',
							'operator' => '==',
							'value'    => 'inline-block',
						),
					),

			),


		'line_height' => array(

				'type'     => 'slider',
				'label' => 'Line Height',
				'default' => '37',
				'selector' => '.cl_socialicon i',
				'css_property' => 'line-height',
				'choices'     => array( 
							'min'  => '0',
							'max'  => '100',
							'step' => '1',
							'suffix' => 'px'
						),
				'suffix' => 'px',

				'label'       => esc_attr__( 'Set Line Height', 'mediclin' )
				
			
		),


		'device_visibility' => array(
					'type'     => 'multicheck',
					'priority' => 10,
					'label'       => esc_attr__( 'Devices Visibility', 'mediclin' ),
					
					'default'     => '',
					'choices' => array(
						'hidden-xs' => esc_attr__( 'Hide on Phones (less-than-768px)', 'mediclin' ),
						'hidden-sm' => esc_attr__( 'Hide on Tables (large-then-768px)', 'mediclin' ),
						'hidden-md' => esc_attr__( 'Hide on Medium Desktops (large-then-992px) ', 'mediclin' ),
						'hidden-lg' => esc_attr__( 'Hide on Large Desktops (large-then-1200px)', 'mediclin' ),
					),
					'selector' => '.cl_socialicondiv',
					'selectClass' => '',
		),

			

		

		
	)


));

 cl_builder_map(array(
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Revolution Slider', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-arrows-keyboard-right',
		'transport'   => 'postMessage',
		'settings'    => 'cl_revslider',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			
			'slides' => array(
				'type' => 'inline_select',
				'label' => esc_attr__('Select slide', 'mediclin'),
				'tooltip' => 'Select one of the created slides. Or create a new slider <a href="'.admin_url('admin.php?page=revslider').'" target="_blank">here</a>',
				'default' => '',
				'choices' => codeless_get_rev_slides(),
				'reloadTemplate' => true
				),

			'css_style' => array(
				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.rev_slider_wrapper',
				'css_property' => '',
				'default' => array('margin-top' => '35px')
			),
		),

	
));


cl_builder_map(array(
		
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Layer Slider', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-arrows-keyboard-right',
		'transport'   => 'postMessage',
		'settings'    => 'cl_layerslider',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			
			'slides' => array(
				'type' => 'inline_select',
				'label' => esc_attr__('Select slide', 'mediclin'),
				'tooltip' => 'Select one of the created slides. Or create a new slider <a href="'.admin_url('admin.php?page=layerslider').'" target="_blank">here</a>',
				'default' => '1',
				'choices' => codeless_get_layer_slides(),
				'reloadTemplate' => true
				),

			'css_style' => array(
				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.ls-container',
				'css_property' => '',
				'default' => array('margin-top' => '35px')
			),
		),

	
));


cl_builder_map(array(
		
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Custom Code', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-arrows-expand-vertical1',
		'transport'   => 'postMessage',
		'settings'    => 'cl_custom_code',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			
			'content' => array(
				'type' => 'textarea',
				'label' => esc_attr__('Add Custom Code', 'mediclin'),
				'tooltip' => 'Add Custom HTML or a Shortcode',
				'default' => '',
				'reloadTemplate' => true
			),

			'css_style' => array(
				'type' => 'css_tool',
				'label' => 'Tool',
				'selector' => '.cl_custom_code',
				'css_property' => '',
				'default' => array('margin-top' => '35px')
			),
		),

	
));

cl_builder_map(array(
		
		'type'        => 'clelement',
		'label'       => esc_attr__( 'Widget Sidebar', 'mediclin' ),
		'section'     => 'cl_codeless_page_builder',
		//'priority'    => 10,
		'icon'		  => 'icon-arrows-expand-vertical1',
		'transport'   => 'postMessage',
		'settings'    => 'cl_widget_sidebar',
		'is_container' => false,
		'marginPositions' => array('top'),
		'fields' => array(
			'sidebar' => array(
					'type'     => 'inline_select',
					'priority' => 10,
					'label'       => esc_attr__( 'Sidebar', 'mediclin' ),
					'default'     => 'default',
					'choices' => codeless_get_registered_sidebars(),
					'reloadTemplate' => true
			),

			'css_style' => array(
					'type' => 'css_tool',
					'label' => 'Tool',
					'selector' => '.cl_widget_sidebar',
					'css_property' => '',
					'default' => array('padding-top' => '0px', 'padding-bottom' => '0px' )
				),
		),

	
));



/* Codeless Slider */
cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Slider 1', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Slider 1',
	//'priority'    => 10,
	'icon'		  => 'icon-basic-webpage-multiple',
	'transport'   => 'postMessage',
	'settings'    => 'cl_slider_1',
	'is_root'	  => true,
	'marginPositions' => array('top'),
	'fields' => array(
		'slides' => array(
			'type'     => 'image_gallery',
			'priority' => 10,
			'selector' => '',
			'label'       => esc_attr__( 'Slides', 'mediclin' ),
			'description'       => esc_attr__( 'Upload/Select Images, automatically generate slides. Edit Title, Description on Media Gallery', 'mediclin' ),	
			'reloadTemplate' => true,
		),

		'footer_first_col' => array(
			'type'     => 'inline_text',
			'only_text' => true,
			'priority' => 10,
			'selector' => '.cl_slider_1 .slider-footer .first-col',
			'label'       => esc_attr__( 'Footer First Col', 'mediclin' ),
			'default'     => 'david@marubi.theme',
			'replace_type_vc' => 'textfield',
			'holder' => 'h3'
		),

		'footer_second_col' => array(
			'type'     => 'inline_text',
			'only_text' => true,
			'priority' => 10,
			'selector' => '.cl_slider_1 .slider-footer .second-col',
			'label'       => esc_attr__( 'Footer Second Col', 'mediclin' ),
			'default'     => '+1 544 541 7899',
			'replace_type_vc' => 'textfield',
			'holder' => 'h3'
		),

		'footer_widget' => array(
			'type'     => 'inline_select',
			'priority' => 10,
			'label'       => esc_attr__( 'Footer Widget (Third Col)', 'mediclin' ),
			'default'     => 'default',
			'choices' => codeless_get_registered_sidebars(),
			'reloadTemplate' => true
		),


		'pagination' => array(
			'type'        => 'switch',
			'label'       => __( 'Pagination Buttons', 'mediclin' ),
			'tooltip' => 'Switch on/off pagination buttons',
			'default'     => 1,
			'priority'    => 10,
			'choices'     => array(
				'on'  => esc_attr__( 'On', 'mediclin' ),
				'off' => esc_attr__( 'Off', 'mediclin' ),
			),
			'selector' => '.cl_slider_1',
			'htmldata' => 'pagination',
		),

		'navigation' => array(
			'type'        => 'switch',
			'label'       => __( 'Navigation Buttons', 'mediclin' ),
			'tooltip' => 'Switch on/off navigation buttons',
			'default'     => 1,
			'priority'    => 10,
			'choices'     => array(
				'on'  => esc_attr__( 'On', 'mediclin' ),
				'off' => esc_attr__( 'Off', 'mediclin' ),
			),
			'selector' => '.cl_slider_1',
			'htmldata' => 'navigation',
		),

	)
));





cl_builder_map(array(
	'type'        => 'clelement',
	'label'       => esc_attr__( 'Slider 2', 'mediclin' ),
	'section'     => 'cl_codeless_page_builder',
	'tooltip' => 'Slider 2',
	//'priority'    => 10,
	'icon'		  => 'icon-basic-webpage-multiple',
	'transport'   => 'postMessage',
	'settings'    => 'cl_slider_2',
	'is_root'	  => true,
	'marginPositions' => array('top'),
	'fields' => array(
		'slides' => array(
			'type'     => 'image_gallery',
			'priority' => 10,
			'selector' => '',
			'label'       => esc_attr__( 'Slides', 'mediclin' ),
			'description'       => esc_attr__( 'Upload/Select Images, automatically generate slides. Edit Title, Description on Media Gallery', 'mediclin' ),	
			'reloadTemplate' => true,
		),

		'footer_first_col' => array(
			'type'     => 'inline_text',
			'only_text' => true,
			'priority' => 10,
			'selector' => '.cl_slider_2 .slider-footer .first-col',
			'label'       => esc_attr__( 'Footer First Col', 'mediclin' ),
			'default'     => 'david@marubi.theme',
			'replace_type_vc' => 'textfield',
			'holder' => 'h3'
		),

		'footer_second_col' => array(
			'type'     => 'inline_text',
			'only_text' => true,
			'priority' => 10,
			'selector' => '.cl_slider_2 .slider-footer .second-col',
			'label'       => esc_attr__( 'Footer Second Col', 'mediclin' ),
			'default'     => '+1 544 541 7899',
			'replace_type_vc' => 'textfield',
			'holder' => 'h3'
		),

		'footer_widget' => array(
			'type'     => 'inline_select',
			'priority' => 10,
			'label'       => esc_attr__( 'Footer Widget (Third Col)', 'mediclin' ),
			'default'     => 'default',
			'choices' => codeless_get_registered_sidebars(),
			'reloadTemplate' => true
		),

		
		'autoplay' => array(
					'type'     => 'text',
					'priority' => 10,
					'label'       => esc_attr__( 'Autoplay, delay between slides in ms', 'mediclin' ),
					'tooltip' => esc_attr__( 'Leave 0 if you dont want an autoplay slider', 'mediclin' ),
					'default'     => '6500',
					'selector' => '.cl_slider_2',
					'htmldata' => 'clautoplay'
				),
		'loop' => array(
					'type'        => 'switch',
					'label'       => __( 'Loop', 'mediclin' ),
					'tooltip' => '',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider_2',
					'htmldata' => 'loop',
				),


		'mousewheel' => array(
					'type'        => 'switch',
					'label'       => __( 'Mousewheel', 'mediclin' ),
					'tooltip' => 'Useful in vertical sliders',
					'default'     => 0,
					'priority'    => 10,
					'choices'     => array(
						'on'  => esc_attr__( 'On', 'mediclin' ),
						'off' => esc_attr__( 'Off', 'mediclin' ),
					),
					'selector' => '.cl_slider_2',
					'htmldata' => 'mousewheel',
				),
	)
));

?>